2019-02-17  Sylvain Beucler <beuc@beuc.net>

	* NEWS, README, configure.ac, debian/changelog, debian/control,
	debian/patches/appdata.patch, debian/patches/series,
	doc/release.txt, freedink.spec, share/metainfo/freedink.appdata.xml: 
	Start branch 109.6

2019-02-17  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_fonts.cpp, src/test_gfx_fonts.cxx: testsuite: fix for
	SDL_ttf 2.0.15

2019-02-17  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.cpp: freedinkedit: fix warning (no actual
	security impact)

2019-02-12  Sylvain Beucler <beuc@beuc.net>

	* share/metainfo/freedink.appdata.xml: appstream: add D-Mod
	screenshot

2019-02-12  Sylvain Beucler <beuc@beuc.net>

	* emscripten/shell.html: emscripten: fix exception when loading
	D-Mod

2019-02-10  Sylvain Beucler <beuc@beuc.net>

	* share/metainfo/freedink.appdata.xml: appstream: give the editor
	some spotlight

2019-02-10  Sylvain Beucler <beuc@beuc.net>

	* doc/emscripten.txt, emscripten/source.html: emscripten: upgrade to
	1.38.27

2019-02-10  Sylvain Beucler <beuc@beuc.net>

	* doc/emscripten.txt: emscripten: better handling of optional wget
	during build

2019-02-10  Sylvain Beucler <beuc@beuc.net>

	* share/applications/freedink.desktop,
	share/applications/freedinkedit.desktop: freedesktop: add keywords
	just in case (Fedora warning)

2019-02-10  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, NEWS, po/da.po, po/de.po, po/eo.po, po/fr.po,
	po/pt_BR.po, po/ru.po, po/sv.po: Sync Translation Project

2019-02-05  Sylvain Beucler <beuc@beuc.net>

	* share/applications/freedink.desktop,
	share/applications/freedinkedit.desktop,
	share/metainfo/freedink.appdata.xml: appstream: add categories and
	rating

2019-02-04  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp: doc: GL_LINEAR/GL_NEAREST usage

2019-02-02  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/patches/appdata.patch: debian: update
	AppStream

2019-01-30  Sylvain Beucler <beuc@beuc.net>

	* share/metainfo/freedink.appdata.xml, src/app.cpp: appstream: stick
	to easy-to-find locale Distros don't check for freedink-data's
	non-standard locale path.  It's not even sure they all check outside
	of current package.

2019-01-29  Sylvain Beucler <beuc@beuc.net>

	* share/metainfo/freedink.appdata.xml: appstream: add more contact
	points

2019-01-29  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/control, debian/patches/appdata.patch,
	debian/patches/series, debian/rules, freedink.spec,
	share/Makefile.am: appstream: revert: install 'freedink'
	meta-package rather than 'freedink-engine'

2019-01-29  Sylvain Beucler <beuc@beuc.net>

	* share/metainfo/freedink.appdata.xml: appstream: add launchable tag
	just in case

2019-01-28  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: rpm: sync Fedora

2019-01-28  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/control: debian: move
	freedink.appdata.xml the hard way

2019-01-27  Sylvain Beucler <beuc@beuc.net>

	* share/README: icon: add copyright info for freedink.svg

2019-01-27  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: doc: more fixes to the release process

2019-01-27  Sylvain Beucler <beuc@beuc.net>

	* : Merge 109.4

2019-01-27  Sylvain Beucler <beuc@beuc.net>

	* NEWS, configure.ac, debian/changelog, doc/gnulib.txt,
	freedink.spec: Start branch 109.4

2019-01-27  Sylvain Beucler <beuc@beuc.net>

	* NEWS, doc/release.txt, freedink.spec: rpm: add links to
	documentation and handle new icon

2019-01-27  Sylvain Beucler <beuc@beuc.net>

	* share/metainfo/freedink.appdata.xml: appstream: fix warnings from
	Fedora - screenshot too short (< 351px) - caption too short (< 10 chars) - screenshot with transparent padding

2019-01-27  Sylvain Beucler <beuc@beuc.net>

	* contrib/ico2svg.py, share/Makefile.am,
	share/icons/hicolor/scalable/apps/freedink.svg: appstream: add
	alternate icon in alternate location so maybe Fedora will stop
	ignoring us

2019-01-27  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: rpm: follow packaging guidelines for AppData

2019-01-27  Sylvain Beucler <beuc@beuc.net>

	* po/POTFILES.in: i18n: actually fix missing translation strings

2019-01-27  Sylvain Beucler <beuc@beuc.net>

	* NEWS: doc: update NEWS

2019-01-27  Sylvain Beucler <beuc@beuc.net>

	* NEWS, doc/release.txt, src/AppFreeDinkedit.cpp, src/freedink.cpp: 
	i18n: fix missing strings in the tranlation template

2019-01-27  Sylvain Beucler <beuc@beuc.net>

	* debian/rules, doc/release.txt: debian: tidy doc

2019-01-27  Sylvain Beucler <beuc@beuc.net>

	* share/metainfo/freedink.appdata.xml: appstream: try to get flagged
	as localized Cf.
	https://gitlab.gnome.org/GNOME/gnome-software/issues/583

2019-01-24  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: rpm: bump version for testing

2019-01-24  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxGLFuncs.cpp: emscripten: revert GL static loading, just
	don't query non-existing glReadBuffer

2019-01-24  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: rpm: drop opensuse %if (untested for years)

2019-01-24  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/rules: debian: fix dbgsym-migration
	version

2019-01-24  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/rules, freedink.spec, share/Makefile.am: 
	appstream: install 'freedink' meta-package rather than
	'freedink-engine'

2019-01-24  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxGLFuncs.cpp: emscripten: link GL loading discussion

2019-01-24  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp, src/IOGfxGLFuncs.h: GL: clear the screen
	on exit especially since Emscripten/SDL2 doesn't do it anymore

2019-01-22  Sylvain Beucler <beuc@beuc.net>

	* doc/emscripten.txt: emscripten: fix build issues and fix SDL2
	joystick issue with 1.38.22

2019-01-22  Sylvain Beucler <beuc@beuc.net>

	* src/app.cpp: emscripten: retry loading joystick at each run

2019-01-22  Sylvain Beucler <beuc@beuc.net>

	* src/input.cpp: joystick: clarify debug output

2019-01-22  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp, src/gfx.cpp: gfx: don't call close()
	multiple times

2019-01-22  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxGLFuncs.cpp: emscripten: load static GL symbols

2019-01-20  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-w32-snapshot/Dockerfile: autobuild: update
	Debian

2019-01-20  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-w32-snapshot/build.sh: autobuild: fix
	reprotest-null

2019-01-20  Sylvain Beucler <beuc@beuc.net>

	* doc/emscripten.txt, emscripten/shell.html, emscripten/source.html: 
	emscripten: update to newer freedink and freedink-data

2019-01-20  Sylvain Beucler <beuc@beuc.net>

	* share/metainfo/freedink.appdata.xml: appdata: fix screenshots
	formatting

2019-01-19  Sylvain Beucler <beuc@beuc.net>

	* share/metainfo/freedink.appdata.xml: appdata: switch from http to
	https just in case some (future) tools complain

2019-01-19  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-w32-snapshot/build-deps.sh,
	autobuild/freedink-w32-snapshot/dependencies.sh: w32: update MXE,
	previous commitid had issues with SDL2_ttf

2019-01-19  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: doc: update release process

2019-01-19  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: fedora: lint tab/spaces

2019-01-19  Sylvain Beucler <beuc@beuc.net>

	* : Merge 109.2

2019-01-19  Sylvain Beucler <beuc@beuc.net>

	* NEWS, configure.ac, debian/changelog, debian/control,
	debian/rules, debian/watch, doc/release.txt, freedink.spec: Start
	branch 109.2

2019-01-18  Sylvain Beucler <beuc@beuc.net>

	* po/LINGUAS: translations: enable 'fur'

2019-01-18  Sylvain Beucler <beuc@beuc.net>

	* BUILD: BUILD: update Fedora dependencies

2019-01-18  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.cpp, src/test_dinkc_bindings.cxx, src/test_str_util.cxx: 
	test suite: fix for Debian's cxxtest and emscripten-related clean-up

2019-01-18  Sylvain Beucler <beuc@beuc.net>

	* .gitignore: gnulib: gitignore local clone

2019-01-18  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/media/README: vgasys.fon: only keep in .cpp
	format as it's flagged as windows executable

2019-01-18  Sylvain Beucler <beuc@beuc.net>

	* doc/emscripten.txt: emscripten: compilation notes

2019-01-18  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, po/es.po, po/fur.po: Sync Translation Project

2018-12-15  Sylvain Beucler <beuc@beuc.net>

	* emscripten/shell.html: git commit -m "emscripten: fix fetching
	data files for asmjs fallback" broken in
	085446deb4a1379ce1e5e68d6609a1ac7e1e8e7a

2018-12-15  Sylvain Beucler <beuc@beuc.net>

	* emscripten/extract.c, emscripten/importexport.c,
	emscripten/pre.js, emscripten/shell.html: emscripten: import
	savegames

2018-11-26  Sylvain Beucler <beuc@beuc.net>

	* emscripten/pre.js, emscripten/shell.html: Emscripten: simplify
	data loading

2018-11-26  Sylvain Beucler <beuc@beuc.net>

	* emscripten/shell.html: Emscripten: disable fullscreen button as it
	doesn't integrate well with SDL2 (can crash)

2018-11-11  Sylvain Beucler <beuc@beuc.net>

	* src/io_util.cpp: emscripten: fix incorrect comment

2018-11-11  Sylvain Beucler <beuc@beuc.net>

	* emscripten/shell.html: emscripten: don't break on missing dmod.diz

2018-11-11  Sylvain Beucler <beuc@beuc.net>

	* emscripten/pre.js: emscripten: better query_string handling

2018-10-11  Sylvain Beucler <beuc@beuc.net>

	* emscripten/shell.html: emscripten: fix HTML

2018-10-03  Sylvain Beucler <beuc@beuc.net>

	* emscripten/pre.js: emscripten: normalize data filenames

2018-10-03  Sylvain Beucler <beuc@beuc.net>

	* src/sfx.cpp: audio: debug more system formats

2018-07-11  Sylvain Beucler <beuc@beuc.net>

	* emscripten/importexport.c, emscripten/pre.js,
	emscripten/shell.html, emscripten/source.html: emscripten: savegames
	export

2018-07-10  Sylvain Beucler <beuc@beuc.net>

	* emscripten/pre.js: emscripten: ensure soundfonts are present
	before a D-Mod can start

2018-07-10  Sylvain Beucler <beuc@beuc.net>

	* emscripten/source.html: librejs: reference asmjs version

2018-07-09  Sylvain Beucler <beuc@beuc.net>

	* emscripten/pre.js, emscripten/shell.html: emscripten: make sure
	buttons are enabled/disabled as needed

2018-07-08  Sylvain Beucler <beuc@beuc.net>

	* emscripten/pre.js, src/savegame.cpp: emscripten: ensure async FS
	is loaded

2018-07-06  Sylvain Beucler <beuc@beuc.net>

	* emscripten/extract.c, emscripten/shell.html: emscripten: can load
	multiple D-Mods in a row

2018-07-05  Sylvain Beucler <beuc@beuc.net>

	* emscripten/pre.js, emscripten/shell.html, src/app.cpp,
	src/dinkc.cpp, src/input.cpp, src/test_dinkc.cxx,
	src/update_frame.h: emscripten: allow multiple runs so the user
	doesn't have to reload

2018-06-29  Sylvain Beucler <beuc@beuc.net>

	* emscripten/post.js, emscripten/pre.js: emscripten: split data
	files

2018-06-29  Sylvain Beucler <beuc@beuc.net>

	* emscripten/shell.html: emscripten: fallback to asmjs automatically

2018-06-29  Sylvain Beucler <beuc@beuc.net>

	* emscripten/post.js: emscripten: remove spurious output

2018-06-29  Sylvain Beucler <beuc@beuc.net>

	* emscripten/post.js, src/app.cpp, src/freedink_main.cpp,
	src/freedinkedit.cpp: emscripten: properly quit the game

2018-06-29  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_fonts.cpp: gfx_fonts: remove old FreeType double-free
	work-around

2018-06-21  Sylvain Beucler <beuc@beuc.net>

	* share/freedink/LiberationSans-Regular.sfd: font: add
	LiberationSans-Regular's source

2018-06-21  Sylvain Beucler <beuc@beuc.net>

	* Makefile.am, configure.ac, emscripten/extract.c,
	emscripten/post.js, emscripten/pre.js, emscripten/shell.html,
	emscripten/source.html, src/AppFreeDink.cpp,
	src/IOGfxDisplayGL2.cpp, src/app.cpp, src/app.h,
	src/freedink_main.cpp, src/io_util.cpp, src/paths.cpp,
	src/savegame.cpp: emscripten experiment from last month

2018-05-31  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-w32-snapshot/build-deps.sh: build:
	reproducible: merge changes from dfarc

2018-05-31  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-w32-snapshot/build-deps.sh: build:
	reproducible: merge changes from dfarc

2018-05-30  Sylvain Beucler <beuc@beuc.net>

	* autobuild/.gitignore,
	autobuild/freedink-w32-snapshot/GNUmakefile,
	autobuild/freedink-w32-snapshot/build.sh: build: reproducible: merge
	changes from dfarc

2018-05-30  Sylvain Beucler <beuc@beuc.net>

	* src/update_frame.cpp: cleanup: remove extra header

2018-05-30  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-w32-snapshot/Dockerfile,
	autobuild/freedink-w32-snapshot/GNUmakefile,
	autobuild/freedink-w32-snapshot/build-deps.sh,
	autobuild/freedink-w32-snapshot/build.sh,
	autobuild/freedink-w32-snapshot/dependencies.sh: build:
	reproducible: update setup

2018-05-29  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp, src/TestIOGfxDisplay.cxx: gfx: convert
	BGR to RGB if necessary

2018-05-27  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.cpp, src/game_engine.cpp: load_screen: fix
	incorrect safety check that e.g. broke Quest For Dorinthia 2's intro

2017-05-09  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/app.cpp: Use OpenGL rendering by default It's the most ubiquitous renderer, e.g. the only working one for
	Android

2017-05-09  Sylvain Beucler <beuc@beuc.net>

	* android/AndroidManifest.xml, share/Makefile.am, share/{appdata =>
	metainfo}/freedink.appdata.xml: appdata: update to new format

2017-04-22  Sylvain Beucler <beuc@beuc.net>

	* BUILD, autobuild/freedink-gnulinux-snapshot/.dockerignore,
	autobuild/freedink-gnulinux-snapshot/Dockerfile,
	autobuild/freedink-gnulinux-snapshot/GNUmakefile,
	autobuild/freedink-gnulinux-snapshot/build-deps.sh,
	autobuild/freedink-gnulinux-snapshot/build.sh,
	autobuild/freedink-gnulinux-snapshot/dependencies.sh,
	autobuild/freedink-gnulinux-snapshot/download-deps.sh,
	autobuild/freedink-w32-snapshot/Dockerfile, doc/midi.txt,
	doc/static-build.txt: build: first steps with appimage environment

2017-04-19  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-w32-snapshot/build-deps.sh: build:
	reproducible: fixup libstdc++.a inner ordering

2017-04-17  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-w32-snapshot/GNUmakefile: build: copying
	build.sh in wd/ only for the Docker build with mount point

2017-04-17  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-w32-snapshot/GNUmakefile: build: fix typos

2017-04-16  Sylvain Beucler <beuc@beuc.net>

	* autobuild/.gitignore,
	autobuild/freedink-w32-snapshot/.dockerignore,
	autobuild/freedink-w32-snapshot/Dockerfile,
	autobuild/freedink-w32-snapshot/GNUmakefile,
	autobuild/freedink-w32-snapshot/{dependencies-mxe.sh =>
	build-deps.sh}, autobuild/freedink-w32-snapshot/build.sh,
	autobuild/freedink-w32-snapshot/dependencies.sh, doc/release.txt: 
	build: integrate reprotest in the build environments

2017-04-11  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/freedink.maintscript, doc/release.txt,
	src/app.cpp, src/freedinkedit.cpp: debian: sync

2017-04-09  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog: debian: sync

2017-04-09  Sylvain Beucler <beuc@beuc.net>

	* share/README.fonts: fonts: liberation-fonts moved to pagure.io at
	last - update links

2017-04-09  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-w32-snapshot/build.sh, debian/changelog,
	debian/compat, debian/control, debian/copyright,
	debian/freedink.maintscript, debian/menu, debian/rules,
	debian/upstream/signing-key.asc, src/dinkc_bindings.cpp,
	src/gfx_fonts.cpp, src/paths.cpp: debian: rework packaging

2017-04-08  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-w32-snapshot/build.sh: build: w32: add security
	flags

2017-04-08  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: release: document new Fedora URL for package
	browsing

2017-04-08  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-w32-snapshot/GNUmakefile: build: avoid g+s
	permission in reproducible environment

2017-04-08  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, po/sv.po: Sync TranslationProject (and add new
	translations)

2017-03-31  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-w32-snapshot/build.sh: build: factor out a few
	'freedink' strings

2017-03-31  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-android-snapshot/GNUmakefile,
	autobuild/freedink-w32-snapshot/GNUmakefile: build: remove
	unnecessary mount point from docker environments

2017-03-31  Sylvain Beucler <beuc@beuc.net>

	* BUILD: doc: no more need to patch SDL2

2017-03-31  Sylvain Beucler <beuc@beuc.net>

	* po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/eo.po,
	po/es.po, po/eu.po, po/fi.po, po/fr.po, po/hr.po, po/hu.po,
	po/id.po, po/it.po, po/nb.po, po/nl.po, po/pl.po, po/pt_BR.po,
	po/ru.po, po/sl.po, po/sr.po, po/th.po, po/vi.po: Sync
	TranslationProject

2017-03-31  Sylvain Beucler <beuc@beuc.net>

	* android/GNUmakefile, doc/android.txt, src/FakeIOGfxDisplay.cpp,
	src/FakeIOGfxDisplay.h, src/IOGfxDisplay.cpp, src/IOGfxDisplay.h,
	src/IOGfxDisplayGL2.cpp, src/IOGfxDisplayGL2.h,
	src/IOGfxDisplaySW.cpp, src/IOGfxDisplaySW.h, src/Makefile.am,
	src/TestIOGfxDisplay.cxx: gfx: android work-around not necessary
	anymore + read pixels from backbuffer

2017-03-31  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-android-snapshot/GNUmakefile,
	autobuild/freedink-w32-snapshot/GNUmakefile,
	autobuild/freedink-w32-snapshot/build.sh,
	autobuild/freedink-w32-snapshot/dependencies-mxe.sh,
	autobuild/freedink-w32-snapshot/dependencies.sh: build: w32 should
	now be reproducible with patched ld and improved zip generation

2017-03-30  Sylvain Beucler <beuc@beuc.net>

	* Makefile.am, android/GNUmakefile,
	autobuild/freedink-android-snapshot/.dockerignore,
	autobuild/freedink-android-snapshot/Dockerfile,
	autobuild/freedink-android-snapshot/GNUmakefile,
	autobuild/freedink-android-snapshot/build.sh,
	autobuild/freedink-android-snapshot/dependencies-dl-android.sh,
	autobuild/freedink-android-snapshot/dependencies-dl-sdl.sh,
	autobuild/freedink-android-snapshot/dependencies-sdl.sh,
	doc/android-libsdlwiki.txt: build: automated build environment for
	android

2017-03-30  Sylvain Beucler <beuc@beuc.net>

	* autobuild/.gitignore,
	autobuild/freedink-w32-snapshot/.dockerignore,
	autobuild/freedink-w32-snapshot/Dockerfile,
	autobuild/freedink-w32-snapshot/GNUmakefile,
	autobuild/freedink-w32-snapshot/build.sh,
	autobuild/freedink-w32-snapshot/dependencies-mxe.sh,
	autobuild/freedink-w32-snapshot/dependencies.sh: build: first
	attempt at fully-automated reproducible build

2017-03-30  Sylvain Beucler <beuc@beuc.net>

	* doc/android-libsdlwiki.txt, doc/android.txt: android: split copy
	of my SDL wiki page for easier updates

2017-03-29  Sylvain Beucler <beuc@beuc.net>

	* src/TestIOGfxDisplay.cxx: test: use consistent order (actual,
	expected) in tests

2017-03-29  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp, src/IOGfxDisplaySW.cpp,
	src/IOGfxGLFuncs.cpp, src/IOGfxGLFuncs.h: GL: revert glReadBuffer as
	it's not supported on GLES + improve debug logs

2017-03-29  Sylvain Beucler <beuc@beuc.net>

	* android/AndroidManifest.xml, android/GNUmakefile,
	android/remote-test-driver,
	android/src/org/libsdl/app/SDLActivity.java, doc/android.txt,
	src/Makefile.am: android: refresh SDL2 stub and documentation

2017-03-29  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp, src/IOGfxGLFuncs.cpp, src/IOGfxGLFuncs.h: 
	GL: fix new issues in snapshot() by explicitely setting the read
	buffer

2017-03-29  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am: build: declare missing header file

2017-03-29  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-exe-mxe.sh: autobuild: sdl_mixer->sdl2_mixer

2017-03-28  Sylvain Beucler <beuc@beuc.net>

	* bootstrap, configure.ac, share/Makefile.am: build: mkdir_p is
	obsoleted

2017-03-27  Sylvain Beucler <beuc@beuc.net>

	* src/TestIOGfxDisplay.cxx: gl: avoid rendering offscreen + make it
	clearer that uploaded surfaces are freed At least one setup (Windows XP + SDL 2.0.5) has specific issues with
	offscreen rendering https://bugzilla.libsdl.org/show_bug.cgi?id=3619
	Since FreeDink does not normally render offscreen, let's avoid
	testing that entirely (even if windows popping-up during tests are
	annoying)

2017-03-27  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp: gl: pre-concat shader sources to
	anticipate issues with buggy drivers

2017-03-27  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-exe-mxe.sh, doc/plg.txt: build doc
	fixes/updates

2017-03-27  Sylvain Beucler <beuc@beuc.net>

	* src/test_gfx_fonts.cxx: fonts: fix test case with freetype >=2.7

2017-03-26  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-exe-mxe.sh: w32 build: add glm dependency

2017-03-26  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_fonts.cpp: fonts: force freetype<2.7 renderer to avoid
	ugly blocky letters

2017-03-04  Sylvain Beucler <beuc@beuc.net>

	* share/README.fonts: liberation-fonts: fedorahosted was taken down,
	link alternate copies

2017-01-22  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/control, debian/watch,
	share/README.fonts: debian: sync

2016-06-12  Sylvain Beucler <beuc@beuc.net>

	* BUILD, configure.ac: Update documented Debian dependencies

2015-09-10  Sylvain Beucler <beuc@beuc.net>

	* src/FakeIOGfxDisplay.cpp, src/FakeIOGfxDisplay.h,
	src/ImageLoader.cpp, src/ImageLoader.h, src/Makefile.am,
	src/gfx.cpp, src/gfx_fonts.cpp, src/test_gfx_fonts.cxx: gfx_fonts:
	simple tests

2015-09-10  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/gfx_fonts.cpp, src/gfx_fonts.h,
	src/test_gfx_fonts.cxx, src/test_gfx_fonts_libe.h: Add test
	structure for gfx_fonts

2015-09-09  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_fonts.cpp, src/gfx_fonts.h, src/test_text.cxx,
	src/text.cpp: Fix test_text

2015-09-08  Sylvain Beucler <beuc@beuc.net>

	* src/app.cpp, src/live_sprite.h, src/live_sprites_manager.cpp,
	src/text.cpp: Cache text sprites

2015-09-08  Sylvain Beucler <beuc@beuc.net>

	* src/text.cpp: Create text sprites with relative offsets

2015-09-08  Sylvain Beucler <beuc@beuc.net>

	* src/ImageLoader.cpp, src/ImageLoader.h, src/TestIOGfxDisplay.cxx,
	src/gfx_fonts.cpp, src/gfx_fonts.h, src/test_text.cxx, src/text.cpp: 
	Flatten text sprites from a dialog

2015-09-06  Sylvain Beucler <beuc@beuc.net>

	* src/brain_text.cpp, src/game_choice_renderer.cpp,
	src/game_engine.cpp, src/gfx_fonts.cpp, src/gfx_fonts.h,
	src/live_sprite.h, src/live_sprites_manager.cpp,
	src/test_brain_text.cxx, src/test_text.cxx, src/text.cpp: Return
	text textures instead of directly blitting them

2015-09-06  Sylvain Beucler <beuc@beuc.net>

	* src/AppFreeDink.cpp, src/brain.cpp, src/brain_diagonal.cpp,
	src/brain_duck.cpp, src/brain_lateral.cpp, src/brain_missile.cpp,
	src/brain_onetime.cpp, src/brain_people.cpp, src/brain_scale.cpp,
	src/brain_shadow.cpp, src/brain_text.cpp, src/dinkc.cpp,
	src/dinkc_bindings.cpp, src/freedinkedit.cpp, src/game_engine.cpp,
	src/live_sprite.h, src/live_sprites_manager.cpp,
	src/live_sprites_manager.h, src/sfx.cpp, src/test_brain_text.cxx,
	src/test_dinkc_bindings.cxx, src/test_integration.cxx,
	src/test_live_sprites_manager.cxx, src/update_frame.cpp: Encapsulate
	live sprite deletion

2015-09-06  Sylvain Beucler <beuc@beuc.net>

	* src/game_choice_renderer.cpp, src/gfx_fonts.cpp, src/gfx_fonts.h,
	src/test_text.cxx, src/text.cpp: Clean-up text display

2015-09-06  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplay.cpp, src/IOGfxDisplay.h,
	src/IOGfxDisplayGL2.cpp, src/IOGfxDisplayGL2.h,
	src/IOGfxDisplaySW.cpp, src/IOGfxDisplaySW.h, src/IOGfxGLFuncs.cpp,
	src/IOGfxGLFuncs.h, src/TestIOGfxDisplay.cxx: Implement GL2
	truecolor fading

2015-09-06  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplaySW.cpp: Disable linear interpolation to fix
	Android testsuite

2015-09-05  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplay.cpp, src/IOGfxDisplay.h,
	src/IOGfxDisplayGL2.cpp, src/IOGfxDisplayGL2.h,
	src/IOGfxDisplaySW.cpp, src/IOGfxDisplaySW.h: Factor out
	flipStretch/flipDebug

2015-09-05  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp, src/IOGfxDisplayGL2.h,
	src/IOGfxSurfaceGL2.cpp: Extract setVertexAttrib

2015-09-05  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp: Factor out some truecolor/indexed
	differences in flipStretch

2015-09-05  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxGLFuncs.cpp, src/IOGfxGLFuncs.h: Add gl->UniformMatrix3fv

2015-09-05  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp, src/IOGfxDisplayGL2.h: Improve shader
	debugging

2015-09-04  Sylvain Beucler <beuc@beuc.net>

	* src/TestIOGfxDisplay.cxx: Indexed texture screenshot test

2015-09-04  Sylvain Beucler <beuc@beuc.net>

	* src/TestIOGfxDisplay.cxx: Clarify gfx tests a bit

2015-09-02  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxSurface.h, src/IOGfxSurfaceGL2.cpp,
	src/IOGfxSurfaceGL2.h, src/IOGfxSurfaceSW.cpp,
	src/IOGfxSurfaceSW.h, src/TestIOGfxDisplay.cxx: More precise
	screenshot at the texture level

2015-09-01  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp, src/IOGfxSurfaceGL2.cpp: Minimize
	framebuffer changes

2015-08-31  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp, src/IOGfxSurfaceGL2.cpp,
	src/IOGfxSurfaceGL2.h: Factor-out and lazy-create FBOs

2015-08-31  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp, src/IOGfxDisplayGL2.h,
	src/IOGfxSurfaceGL2.cpp, src/IOGfxSurfaceGL2.h: Structure shaders
	data

2015-08-30  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.cpp: Give back ALT to FreeDinkedit (and allow
	select tiles 31-41)

2015-08-30  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.cpp: Fix segfault when calling a non-existing procedure
	in console

2015-08-30  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp, src/ImageLoader.cpp, src/ImageLoader.h,
	src/gfx_fonts.cpp: Fix font colors and transparency

2015-08-30  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.cpp: Fix crash when displaying render info before render
	is opened

2015-08-30  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_fonts.cpp: Optimize text rendering

2015-08-30  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.cpp: Fix splash palette

2015-08-30  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplay.h, src/IOGfxDisplayGL2.cpp,
	src/IOGfxDisplayGL2.h, src/IOGfxDisplaySW.cpp,
	src/IOGfxDisplaySW.h, src/TestIOGfxDisplay.cxx, src/gfx.cpp: Fix
	indexed mode on Android

2015-08-30  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp: Clarify GLES detection

2015-08-30  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp, src/IOGfxDisplayGL2.h,
	src/IOGfxSurfaceGL2.cpp, src/TestIOGfxDisplay.cxx: First version of
	DinkGL palette emulation

2015-08-30  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplay.h, src/IOGfxDisplayGL2.cpp,
	src/IOGfxDisplayGL2.h, src/IOGfxDisplaySW.cpp,
	src/IOGfxDisplaySW.h, src/IOGfxSurface.cpp, src/IOGfxSurface.h,
	src/IOGfxSurfaceGL2.cpp, src/IOGfxSurfaceGL2.h,
	src/IOGfxSurfaceSW.cpp, src/IOGfxSurfaceSW.h,
	src/TestIOGfxDisplay.cxx, src/brain_missile.cpp, src/freedink.cpp,
	src/freedinkedit.cpp: Unify vline/hline

2015-08-30  Sylvain Beucler <beuc@beuc.net>

	* src/TestIOGfxDisplay.cxx: Optimize gfx tests

2015-08-29  Sylvain Beucler <beuc@beuc.net>

	* src/AppFreeDink.cpp, src/IOGfxDisplay.cpp, src/IOGfxDisplay.h,
	src/IOGfxDisplayGL2.cpp, src/IOGfxDisplayGL2.h,
	src/IOGfxDisplaySW.cpp, src/IOGfxDisplaySW.h, src/IOGfxGLFuncs.h,
	src/IOGfxSurfaceGL2.cpp, src/Makefile.am, src/TestIOGfxDisplay.cxx,
	src/freedink.cpp, src/freedinkedit.cpp, src/game_engine.cpp,
	src/gfx.cpp: Clean-up gfx logs and tests; fix for Android

2015-08-28  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp, src/IOGfxDisplayGL2.h,
	src/IOGfxGLFuncs.cpp, src/IOGfxGLFuncs.h, src/IOGfxSurface.h,
	src/IOGfxSurfaceGL2.cpp, src/IOGfxSurfaceGL2.h,
	src/IOGfxSurfaceSW.cpp, src/IOGfxSurfaceSW.h,
	src/TestIOGfxDisplay.cxx: Implement fillRect and fill_screen

2015-08-27  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplay.h, src/IOGfxDisplayGL2.cpp,
	src/IOGfxDisplayGL2.h, src/IOGfxDisplaySW.cpp,
	src/IOGfxDisplaySW.h, src/TestIOGfxDisplay.cxx: Improve blit tests

2015-08-26  Sylvain Beucler <beuc@beuc.net>

	* src/TestIOGfxDisplay.cxx: Paletted test

2015-08-26  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplay.cpp, src/IOGfxDisplay.h,
	src/IOGfxDisplayGL2.cpp, src/IOGfxDisplayGL2.h,
	src/IOGfxDisplaySW.cpp, src/IOGfxDisplaySW.h, src/Makefile.am,
	src/TestIOGfxDisplay.cxx, src/app.cpp, src/app.h, src/gfx.cpp,
	src/gfx.h: Move graphics buffer init in the graphics driver

2015-08-26  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplay.cpp, src/IOGfxDisplay.h, src/IOGfxDisplayGL2.h,
	src/IOGfxDisplaySW.cpp, src/IOGfxSurfaceGL2.h,
	src/IOGfxSurfaceSW.cpp, src/IOGfxSurfaceSW.h, src/Makefile.am,
	src/{TestIOGfxDisplayGL2.cxx => TestIOGfxDisplay.cxx},
	src/TestIOGfxDisplaySW.cxx: Test all display types with the same
	tests

2015-08-26  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplay.cpp, src/IOGfxDisplay.h,
	src/IOGfxDisplayGL2.cpp, src/IOGfxDisplayGL2.h,
	src/IOGfxDisplaySW.cpp, src/IOGfxDisplaySW.h, src/IOGfxSurface.cpp,
	src/IOGfxSurface.h, src/IOGfxSurfaceGL2.cpp, src/IOGfxSurfaceGL2.h,
	src/IOGfxSurfaceSW.cpp, src/TestIOGfxDisplayGL2.cxx: Make Gfx tests
	more automated

2015-08-25  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp, src/IOGfxDisplayGL2.h, src/gfx.cpp: Move
	Android work-around in the gfx driver for all tests to rely on

2015-08-25  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxSurfaceGL2.cpp: Mark missing gfx primitives

2015-08-25  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.cpp: Android splash work-around

2015-08-25  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplay.cpp, src/IOGfxDisplayGL2.cpp: Log a bit less

2015-08-25  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.cpp: Fix splash screen on woe

2015-08-25  Sylvain Beucler <beuc@beuc.net>

	* src/AppFreeDink.cpp, src/IOGfxDisplay.cpp,
	src/IOGfxDisplayGL2.cpp, src/IOGfxDisplayGL2.h,
	src/IOGfxDisplaySW.cpp, src/IOGfxDisplaySW.h,
	src/IOGfxSurfaceGL2.cpp, src/IOGfxSurfaceGL2.h,
	src/TestIOGfxDisplayGL2.cxx, src/gfx.cpp: Center GL display and
	attempt to fix issues when starting fullscreen

2015-08-25  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp, src/IOGfxSurfaceGL2.cpp,
	src/TestIOGfxDisplayGL2.cxx, src/gfx.cpp: Cropped GL blits

2015-08-25  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxSurfaceGL2.cpp, src/IOGfxSurfaceGL2.h,
	src/TestIOGfxDisplayGL2.cxx, src/gfx.cpp, src/status.cpp: Stretched
	GL blits

2015-08-25  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp, src/IOGfxDisplayGL2.h,
	src/IOGfxGLFuncs.cpp, src/IOGfxGLFuncs.h, src/IOGfxSurfaceGL2.cpp,
	src/IOGfxSurfaceGL2.h, src/TestIOGfxDisplayGL2.cxx: IOGfxDisplayGL2:
	color key support

2015-08-24  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp, src/IOGfxGLFuncs.cpp,
	src/IOGfxGLFuncs.h, src/IOGfxSurfaceGL2.cpp, src/gfx.cpp: gfx: more
	error reporting

2015-08-24  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp, src/IOGfxGLFuncs.cpp,
	src/IOGfxGLFuncs.h, src/IOGfxSurfaceGL2.cpp,
	src/TestIOGfxDisplayGL2.cxx, src/gfx.cpp: Inter-texture GL blit

2015-08-24  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/gfx.cpp: Add GL2 to common objects

2015-08-24  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp, src/IOGfxDisplaySW.cpp,
	src/ImageLoader.cpp, src/fastfile.cpp, src/gfx_sprites.cpp: Move RLE
	optimization in the SW display

2015-08-24  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp, src/IOGfxSurfaceGL2.cpp,
	src/IOGfxSurfaceGL2.h, src/TestIOGfxDisplayGL2.cxx: Convert image
	format on upload

2015-08-24  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp, src/IOGfxDisplayGL2.h,
	src/IOGfxGLFuncs.cpp, src/IOGfxGLFuncs.h, src/IOGfxPrimitives.h,
	src/IOGfxSurfaceGL2.cpp, src/IOGfxSurfaceGL2.h,
	src/IOGfxSurfaceSW.cpp, src/Makefile.am,
	src/TestIOGfxDisplayGL2.cxx: Preliminary support for GL2 display

2015-08-23  Sylvain Beucler <beuc@beuc.net>

	* src/BgTilesetsManager.cpp, src/IOGfxDisplay.cpp,
	src/IOGfxDisplay.h, src/IOGfxPrimitivesSW.cpp, src/IOGfxSurface.h,
	src/IOGfxSurfaceSW.cpp, src/IOGfxSurfaceSW.h, src/ImageLoader.cpp,
	src/ImageLoader.h, src/dinkc_bindings.cpp, src/freedink.cpp,
	src/freedinkedit.cpp, src/gfx.cpp, src/gfx.h, src/gfx_fonts.cpp,
	src/gfx_sprites.cpp, src/live_screen.cpp, src/test_integration.cxx,
	src/update_frame.cpp: Switch global buffers to IOGfxSurface

2015-08-23  Sylvain Beucler <beuc@beuc.net>

	* src/BgTilesetsManager.cpp, src/BgTilesetsManager.h,
	src/IOGfxDisplay.h, src/IOGfxDisplayGL2.cpp, src/IOGfxDisplayGL2.h,
	src/IOGfxDisplaySW.cpp, src/IOGfxDisplaySW.h,
	src/IOGfxPrimitives.h, src/IOGfxPrimitivesSW.cpp,
	src/IOGfxSurface.h, src/IOGfxSurfaceSW.cpp, src/IOGfxSurfaceSW.h,
	src/brain_onetime.cpp, src/freedink.cpp, src/freedinkedit.cpp,
	src/game_choice_renderer.cpp, src/game_engine.cpp,
	src/game_engine.h, src/gfx.cpp, src/gfx_sprites.cpp,
	src/gfx_sprites.h, src/gfx_tiles.cpp, src/gfx_tiles.h,
	src/inventory.cpp, src/live_screen.cpp, src/live_screen.h,
	src/status.cpp, src/test_integration.cxx, src/update_frame.cpp: 
	Switch sprites to IOGfxSurface

2015-08-23  Sylvain Beucler <beuc@beuc.net>

	* src/TestIOGfxDisplayGL2.cxx, src/TestIOGfxDisplaySW.cxx,
	src/fastfile.cpp, src/fastfile.h, src/gfx_sprites.cpp,
	src/test_dinkini.cxx, src/test_text.cxx: Fix some warnings, drop
	unused fastfile code

2015-08-23  Sylvain Beucler <beuc@beuc.net>

	* src/BgTilesetsManager.cpp, src/IOGfxDisplay.h,
	src/IOGfxDisplayGL2.cpp, src/IOGfxDisplayGL2.h,
	src/IOGfxDisplaySW.cpp, src/IOGfxDisplaySW.h,
	src/IOGfxPrimitivesSW.cpp, src/ImageLoader.cpp, src/ImageLoader.h,
	src/Makefile.am, src/dinkc_bindings.cpp, src/freedink.cpp,
	src/freedinkedit.cpp, src/gfx.cpp, src/gfx.h, src/gfx_sprites.cpp,
	src/savegame.cpp, src/test_dinkini.cxx, src/test_text.cxx: gfx: move
	out bmp loading and reference palette, introduce display->upload

2015-08-23  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxPrimitives.cpp, src/IOGfxPrimitivesSW.cpp,
	src/IOGfxPrimitivesSW.h, src/IOGfxSurface.h,
	src/IOGfxSurfaceSW.cpp, src/IOGfxSurfaceSW.h, src/Makefile.am,
	src/brain_missile.cpp, src/freedink.cpp, src/freedinkedit.cpp: Move
	vline/hline/draw_box to IOGFXSurface

2015-08-23  Sylvain Beucler <beuc@beuc.net>

	* src/AppFreeDink.cpp, src/IOGfxDisplay.h,
	src/IOGfxPrimitivesSW.cpp, src/freedink.cpp, src/freedinkedit.cpp,
	src/game_engine.cpp, src/gfx.cpp: Drop flip_it

2015-08-23  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplay.cpp, src/IOGfxDisplay.h,
	src/IOGfxDisplayGL2.cpp, src/IOGfxDisplayGL2.h,
	src/IOGfxDisplaySW.cpp, src/IOGfxDisplaySW.h,
	src/IOGfxPrimitivesSW.cpp, src/Makefile.am,
	src/TestIOGfxDisplayGL2.cxx, src/TestIOGfxDisplaySW.cxx,
	src/freedink.cpp, src/gfx.cpp, src/gfx.h, src/gfx_fade.cpp,
	src/gfx_fade.h, src/test_text.cxx, src/text.cpp, src/text.h,
	src/update_frame.cpp: Move fade in software display

2015-08-23  Sylvain Beucler <beuc@beuc.net>

	* src/AppFreeDink.cpp, src/IOGfxDisplay.cpp, src/IOGfxDisplay.h,
	src/IOGfxPrimitivesSW.cpp, src/freedinkedit.cpp,
	src/game_engine.cpp, src/gfx.cpp, src/gfx.h, src/gfx_sprites.h: 
	IOGfxDisplay: now responsible for SDL_Init-ialization

2015-08-23  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.cpp, src/gfx.cpp: gfx: doc fixes

2015-08-23  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplay.cpp, src/IOGfxDisplay.h,
	src/IOGfxDisplayGL2.cpp, src/IOGfxDisplayGL2.h,
	src/IOGfxDisplaySW.cpp, src/IOGfxDisplaySW.h: Factor out window
	open/close

2015-08-23  Sylvain Beucler <beuc@beuc.net>

	* src/AppFreeDink.cpp, src/IOGfxDisplay.cpp, src/IOGfxDisplay.h,
	src/IOGfxDisplayGL2.cpp, src/IOGfxDisplayGL2.h,
	src/IOGfxDisplaySW.cpp, src/IOGfxDisplaySW.h,
	src/TestIOGfxDisplayGL2.cxx, src/freedinkedit.cpp, src/gfx.cpp,
	src/gfx.h: Reduce external calls to display members

2015-08-23  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplaySW.cpp: Note that using SDL_SetPaletteColors is
	mandatory

2015-08-23  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxDisplayGL2.cpp, src/IOGfxDisplayGL2.h, src/app.cpp,
	src/app.h, src/dinkc_bindings.cpp, src/freedinkedit.cpp,
	src/live_screen.cpp: Fix some harmless warnings

2015-08-23  Sylvain Beucler <beuc@beuc.net>

	* .gitignore, doc/eclipse-cdt.txt: Use autotools mode in Eclipse

2015-08-22  Sylvain Beucler <beuc@beuc.net>

	* .gitignore, src/AppFreeDink.cpp, src/IOGfxDisplay.cpp,
	src/IOGfxDisplay.h, src/IOGfxDisplayGL2.cpp, src/IOGfxDisplayGL2.h,
	src/IOGfxDisplaySW.cpp, src/IOGfxDisplaySW.h,
	src/IOGfxPrimitives.h, src/IOGfxPrimitivesSW.cpp,
	src/IOGfxSurface.h, src/IOGfxSurfaceSW.cpp, src/IOGfxSurfaceSW.h,
	src/Makefile.am, src/TestIOGfxDisplayGL2.cxx,
	src/TestIOGfxDisplaySW.cxx, src/dinkc_bindings.cpp,
	src/freedinkedit.cpp, src/game_engine.cpp, src/gfx.cpp, src/gfx.h,
	src/inventory.cpp: Prepare multi-render infra

2015-08-22  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxSurface.cpp, src/IOGfxSurface.h, src/IOGfxSurfaceSW.cpp,
	src/IOGfxSurfaceSW.h, src/Makefile.am: IOGfx: introduce intermediary
	structure for surfaces

2015-08-22  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxPrimitives.h, src/IOGfxPrimitivesSW.cpp, src/gfx.cpp: 
	IOGfxPrimitivesSW: drop dead code

2015-08-22  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, src/gfx_sprites.cpp: palettes: more documentation
	(sigh)

2015-08-22  Sylvain Beucler <beuc@beuc.net>

	* src/AppFreeDink.cpp, src/BgTilesetsManager.cpp, src/IOGfx.h,
	src/IOGfxDisplay.cpp, src/IOGfxDisplay.h, src/{IOGfxGL2.cpp =>
	IOGfxDisplayGL2.cpp}, src/{IOGfxGL2.h => IOGfxDisplayGL2.h},
	src/{IOGfx.cpp => IOGfxPrimitives.cpp}, src/IOGfxPrimitives.h,
	src/IOGfxPrimitivesSW.cpp, src/IOGfxPrimitivesSW.h,
	src/Makefile.am, src/{TestIOGfxGL2.cxx => TestIOGfxDisplayGL2.cxx},
	src/app.cpp, src/brain_missile.cpp, src/dinkc_bindings.cpp,
	src/freedink.cpp, src/freedinkedit.cpp, src/game_engine.cpp,
	src/gfx.cpp, src/gfx.h, src/gfx_sprites.cpp, src/inventory.cpp,
	src/live_screen.cpp, src/status.cpp: gfx: start moving out
	primitives

2015-08-21  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.cpp, src/game_engine.cpp, src/gfx_tiles.cpp,
	src/gfx_tiles.h, src/update_frame.cpp: gfx_tiles: use lower-level
	dependencies

2015-08-21  Sylvain Beucler <beuc@beuc.net>

	* src/BgTilesetsManager.cpp, src/BgTilesetsManager.h, src/DMod.cpp,
	src/DMod.h, src/Makefile.am, src/dinkc_bindings.cpp,
	src/freedinkedit.cpp, src/game_engine.cpp, src/gfx.cpp,
	src/gfx_tiles.cpp, src/gfx_tiles.h, src/savegame.cpp,
	src/update_frame.cpp: gfx_tiles: move background tiles slot
	management to a new class

2015-08-21  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.cpp, src/game_engine.cpp, src/gfx_tiles.cpp,
	src/gfx_tiles.h, src/update_frame.cpp: gfx_tiles: don't use
	cur_ed_screen global

2015-08-21  Sylvain Beucler <beuc@beuc.net>

	* src/DMod.cpp, src/DMod.h, src/app.cpp, src/dinkc_bindings.cpp,
	src/freedinkedit.cpp, src/game_engine.cpp, src/gfx.cpp,
	src/gfx_tiles.cpp, src/gfx_tiles.h, src/savegame.cpp,
	src/update_frame.cpp: gfx_tiles: step towards objectification

2015-08-21  Sylvain Beucler <beuc@beuc.net>

	* src/paths.cpp: paths: simplify refdir error message a bit

2015-08-21  Sylvain Beucler <beuc@beuc.net>

	* src/DMod.cpp, src/DMod.h, src/IOGfx.cpp, src/IOGfx.h,
	src/IOGfxGL2.cpp, src/IOGfxGL2.h, src/IOGfxGLFuncs.cpp,
	src/IOGfxGLFuncs.h, src/TestIOGfxGL2.cxx: Typo

2015-08-21  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.cpp, src/gfx.cpp: Fix gargage in fullscreen
	letterboxing

2015-08-21  Sylvain Beucler <beuc@beuc.net>

	* src/test_dinkini.cxx, src/test_text.cxx: Fix testsuite linking

2015-08-21  Sylvain Beucler <beuc@beuc.net>

	* NEWS, doc/palettes.txt, src/gfx.cpp, src/gfx_sprites.cpp: Sprites
	colors are more stable after a palette change and a savegame load to
	a different palette

2015-08-21  Sylvain Beucler <beuc@beuc.net>

	* doc/palettes.txt, src/dinkc_bindings.cpp, src/freedink.cpp,
	src/freedinkedit.cpp, src/gfx.cpp, src/gfx.h, src/gfx_fonts.cpp,
	src/gfx_palette.cpp, src/gfx_palette.h, src/gfx_sprites.cpp,
	src/savegame.cpp, src/test_dinkini.cxx, src/test_text.cxx: Simplify
	palette handling

2015-08-21  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.cpp: Fix FreeDinkedit screen refresh

2015-08-21  Sylvain Beucler <beuc@beuc.net>

	* src/live_sprites_manager.cpp: Clean-up does_sprite_have_text

2015-08-21  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/live_sprites_manager.cpp: Fix segfault (off-by-one array
	out of bounds) in does_sprite_have_text

2015-08-21  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/game_choice.cpp, src/inventory.cpp: Fix 'make
	distcheck'

2015-08-21  Sylvain Beucler <beuc@beuc.net>

	* android/remote-test-driver, src/Makefile.am,
	src/test_android_workaround.h: testsuite: android support

2015-08-20  Sylvain Beucler <beuc@beuc.net>

	* src/DMod.cpp, src/DMod.h: DMod: fix compilation on android

2015-08-20  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/app.cpp, src/msgbox.cpp, src/msgbox.h: 
	msgbox: drop

2015-08-20  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/app.cpp, src/log.cpp, src/paths.cpp,
	src/paths.h: Break paths' dependency on msgbox

2015-08-20  Sylvain Beucler <beuc@beuc.net>

	* src/DMod.cpp, src/DMod.h, src/EditorMap.cpp, src/EditorMap.h,
	src/TestEditorMap.cxx, src/app.cpp, src/dinkc_bindings.cpp,
	src/freedink.cpp, src/freedinkedit.cpp, src/game_engine.cpp,
	src/savegame.cpp, src/test_integration.cxx: Move g_map to g_dmod.map

2015-08-20  Sylvain Beucler <beuc@beuc.net>

	* src/DMod.cpp, src/DMod.h, src/Makefile.am: DMod: stub

2015-08-20  Sylvain Beucler <beuc@beuc.net>

	* src/EditorMap.cpp, src/EditorMap.h, src/hardness_tiles.cpp: Move
	hard_dat from EditorMap to hardness_tiles

2015-08-20  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am: IOGfxGL2: avoid stack corruption on woe + free
	resources

2015-08-20  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfxGL2.cpp, src/IOGfxGL2.h, src/IOGfxGLFuncs.cpp,
	src/IOGfxGLFuncs.h, src/Makefile.am, src/TestIOGfxGL2.cxx: IOGfxGL2:
	avoid stack corruption on woe + free resources

2015-08-20  Sylvain Beucler <beuc@beuc.net>

	* src/app.cpp, src/debug_renderer.cpp, src/gfx.cpp,
	src/gfx_fonts.cpp, src/gfx_fonts.h, src/log.cpp, src/log.h,
	src/msgbox.cpp, src/msgbox.h: log: break dependency on paths.cpp,
	and simplify

2015-08-20  Sylvain Beucler <beuc@beuc.net>

	* src/IOGfx.cpp, src/IOGfx.h, src/IOGfxGL2.cpp, src/IOGfxGL2.h,
	src/IOGfxGLFuncs.cpp, src/IOGfxGLFuncs.h, src/Makefile.am,
	src/TestIOGfxGL2.cxx: Prepare OpenGL renderer

2015-08-20  Sylvain Beucler <beuc@beuc.net>

	* doc/android.txt, src/Makefile.am, src/test_sdl_workaround.h: 
	android: enable tests

2015-08-20  Sylvain Beucler <beuc@beuc.net>

	* android/GNUmakefile: android: shortcut install

2015-08-20  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-exe-mxe.sh, configure.ac: Fix woe build

2015-08-18  Sylvain Beucler <beuc@beuc.net>

	* src/AppFreeDink.cpp: android: add handler for Back key

2015-08-17  Sylvain Beucler <beuc@beuc.net>

	* src/AppFreeDink.h: Properly add AppFreeDink.h

2015-08-17  Sylvain Beucler <beuc@beuc.net>

	* doc/TODO: TODO: mark test done

2015-08-17  Sylvain Beucler <beuc@beuc.net>

	* src/app.cpp: android: reference alternate locale detection method

2015-08-17  Sylvain Beucler <beuc@beuc.net>

	* src/live_sprites_manager.cpp: random_blood: document slight
	compatibility break

2015-08-17  Sylvain Beucler <beuc@beuc.net>

	* doc/palettes.txt: palette: emulation idea

2015-08-17  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.09.txt: doc: reference 1.09/HD

2015-08-17  Sylvain Beucler <beuc@beuc.net>

	* src/input.cpp: android: reference where mouse emulation comes from

2015-08-17  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.cpp: gfx: more renderer info

2015-08-16  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.cpp: gfx: log renderer flags

2015-08-16  Sylvain Beucler <beuc@beuc.net>

	* doc/midi.txt: midi: more doc

2015-08-16  Sylvain Beucler <beuc@beuc.net>

	* src/app.cpp, src/app.h, src/log.cpp: android: avoid crash when
	restarting the game

2015-08-15  Sylvain Beucler <beuc@beuc.net>

	* src/AppFreeDink.cpp: transition: fix blank frame

2015-08-15  Sylvain Beucler <beuc@beuc.net>

	* src/AppFreeDink.cpp, src/IOTouchDragAnywhere.cpp,
	src/IOTouchDragAnywhere.h, src/Makefile.am,
	src/TestIOTouchDragAnywhere.cxx, src/input.cpp: touchscreen: rough
	drag anywhere support

2015-08-15  Sylvain Beucler <beuc@beuc.net>

	* src/brain_diagonal.cpp, src/update_frame.cpp: update_frame:
	clarify some more

2015-08-15  Sylvain Beucler <beuc@beuc.net>

	* src/status.cpp: status: straighten update_status_all

2015-08-15  Sylvain Beucler <beuc@beuc.net>

	* src/status.cpp: status: rename magic gauge functions

2015-08-15  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.cpp, src/game_engine.cpp, src/game_state.cpp,
	src/game_state.h, src/status.cpp: Rename pexper -> pexp

2015-08-15  Sylvain Beucler <beuc@beuc.net>

	* src/status.cpp: status: drop old comments

2015-08-15  Sylvain Beucler <beuc@beuc.net>

	* src/update_frame.cpp: Clarify vars

2015-08-15  Sylvain Beucler <beuc@beuc.net>

	* src/game_engine.cpp, src/game_engine.h, src/update_frame.cpp: 
	update_frame: move out mode setting

2015-08-15  Sylvain Beucler <beuc@beuc.net>

	* : Provide pixel-art-style 256x256 icon so some tools stop
	complaining about 32x32 icon

2015-08-14  Sylvain Beucler <beuc@beuc.net>

	* doc/android.txt, src/app.cpp: android: support translations

2015-08-14  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.cpp: Restore loading pic

2015-08-14  Sylvain Beucler <beuc@beuc.net>

	* BUILD, android/GNUmakefile,
	android/src/org/libsdl/app/SDLActivity.java, configure.ac,
	doc/android.txt, src/Makefile.am, src/SDL_android_main.c,
	src/SDL_android_main.cpp, src/app.cpp, src/brain.cpp,
	src/brain_bounce.cpp, src/brain_text.cpp, src/freedink_main.cpp,
	src/hardness_tiles.cpp, src/live_screen.cpp, src/status.cpp,
	src/text.cpp: android: refresh

2015-08-14  Sylvain Beucler <beuc@beuc.net>

	* src/AppFreeDink.cpp, src/gfx.cpp: Test drawing outside of game
	screen

2015-08-14  Sylvain Beucler <beuc@beuc.net>

	* src/test_dinkc_console.cxx: Fix testsuite under woe

2015-08-14  Sylvain Beucler <beuc@beuc.net>

	* src/AppFreeDink.cpp, src/gfx.cpp: Increase available drawing space

2015-08-13  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.cpp: gfx: window can be resized (will stretch the game
	screen by default)

2015-08-13  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.cpp: gfx: window size issue is a bug in the software
	renderer, work-around inoperant

2015-08-13  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/test_dinkc_console.cxx: dinkc_console: test
	skeleton

2015-08-13  Sylvain Beucler <beuc@beuc.net>

	* src/game_state.h: game_state: mark play.mouse as transient

2015-08-13  Sylvain Beucler <beuc@beuc.net>

	* src/live_sprite.cpp, src/live_sprite.h, src/update_frame.cpp: 
	update_frame: move out live_sprite_animate

2015-08-13  Sylvain Beucler <beuc@beuc.net>

	* src/update_frame.cpp: live_sprite_animate: break dependency on
	dinkc

2015-08-13  Sylvain Beucler <beuc@beuc.net>

	* src/update_frame.cpp: update_frame: player push handling already
	done in humain_brain(), remove useless code

2015-08-13  Sylvain Beucler <beuc@beuc.net>

	* src/update_frame.cpp: updateFrame: semi-extract sprite animation

2015-08-13  Sylvain Beucler <beuc@beuc.net>

	* src/brain_keyboard.cpp, src/freedink.cpp, src/game_state.h,
	src/update_frame.cpp: play.push_active: booleanify

2015-08-13  Sylvain Beucler <beuc@beuc.net>

	* src/brain_keyboard.cpp, src/game_engine.cpp, src/game_engine.h,
	src/update_frame.cpp: Clarify 'flub_mode'

2015-08-13  Sylvain Beucler <beuc@beuc.net>

	* src/status.cpp: Dink may get 100000 coins

2015-08-13  Sylvain Beucler <beuc@beuc.net>

	* src/update_frame.cpp: updateFrame: indent some more

2015-08-13  Sylvain Beucler <beuc@beuc.net>

	* src/update_frame.cpp: updateFrame: indent a bit

2015-08-12  Sylvain Beucler <beuc@beuc.net>

	* src/update_frame.cpp: transition: fix initial glitch frame

2015-08-12  Sylvain Beucler <beuc@beuc.net>

	* src/game_engine.cpp, src/update_frame.cpp: Doc fixes

2015-08-12  Sylvain Beucler <beuc@beuc.net>

	* src/AppFreeDink.cpp, src/game_engine.cpp, src/game_engine.h,
	src/update_frame.cpp: updateFrame: move out speed handling

2015-08-12  Sylvain Beucler <beuc@beuc.net>

	* src/update_frame.cpp: updateFrame: clarify a bit

2015-08-12  Sylvain Beucler <beuc@beuc.net>

	* src/update_frame.cpp: show_bmp: fix double blit

2015-08-12  Sylvain Beucler <beuc@beuc.net>

	* src/game_choice.cpp, src/game_choice_renderer.cpp,
	src/update_frame.cpp: game_choice: internalize check on 'active'

2015-08-12  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/debug_renderer.cpp,
	src/game_choice_renderer.cpp, src/game_choice_renderer.h,
	src/inventory.cpp, src/update_frame.cpp: game_choice: move out
	rendering to a separate unit

2015-08-12  Sylvain Beucler <beuc@beuc.net>

	* src/game_choice.cpp: game_choice: fix glitch when going up the
	last entries of a multi-page menu

2015-08-12  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/game_choice.cpp, src/game_choice.h,
	src/update_frame.cpp: game_choices: extract logic and rendering

2015-08-12  Sylvain Beucler <beuc@beuc.net>

	* src/AppFreeDink.cpp, src/brain_keyboard.cpp, src/dinkc.cpp,
	src/game_choice.cpp, src/game_choice.h, src/inventory.cpp,
	src/status.cpp, src/test_dinkc.cxx, src/update_frame.cpp,
	src/update_frame.h: talk: rename to game_choice (variables)

2015-08-12  Sylvain Beucler <beuc@beuc.net>

	* src/AppFreeDink.cpp, src/Makefile.am, src/brain_keyboard.cpp,
	src/dinkc.cpp, src/dinkc_bindings.cpp, src/freedink.cpp,
	src/{talk.cpp => game_choice.cpp}, src/{talk.h => game_choice.h},
	src/inventory.cpp, src/status.cpp, src/test_dinkc.cxx,
	src/update_frame.cpp: talk: rename to game_choice

2015-08-12  Sylvain Beucler <beuc@beuc.net>

	* src/AppFreeDink.cpp, src/debug.cpp, src/debug.h,
	src/update_frame.cpp: updateFrame: move out FPS counter

2015-08-12  Sylvain Beucler <beuc@beuc.net>

	* src/AppFreeDink.cpp, src/Makefile.am, src/debug.cpp, src/debug.h,
	src/debug_renderer.cpp, src/debug_renderer.h, src/update_frame.cpp: 
	updateFrame: move out debug rendering

2015-08-12  Sylvain Beucler <beuc@beuc.net>

	* src/AppFreeDink.cpp, src/Makefile.am,
	src/dinkc_console_renderer.cpp, src/dinkc_console_renderer.h,
	src/update_frame.cpp: updateFrame: move out console display

2015-08-12  Sylvain Beucler <beuc@beuc.net>

	* src/brain_onetime.cpp, src/dinkc_bindings.cpp, src/freedink.cpp,
	src/freedinkedit.cpp, src/game_engine.cpp, src/gfx.cpp, src/gfx.h,
	src/gfx_fade.cpp, src/gfx_fonts.cpp, src/gfx_sprites.cpp,
	src/gfx_tiles.cpp, src/inventory.cpp, src/live_screen.cpp,
	src/status.cpp, src/test_dinkini.cxx, src/test_text.cxx,
	src/update_frame.cpp: gfx: rename buffers

2015-08-12  Sylvain Beucler <beuc@beuc.net>

	* src/AppFreeDink.cpp, src/brain_duck.cpp, src/brain_missile.cpp,
	src/dinkc_bindings.cpp, src/editor_screen.cpp, src/editor_screen.h,
	src/freedinkedit.cpp, src/game_engine.cpp, src/live_sprite.h,
	src/live_sprites_manager.cpp, src/update_frame.cpp: Rename
	spr[].timer -> timing for consistency with sp_timing

2015-08-12  Sylvain Beucler <beuc@beuc.net>

	* src/editor_screen.h: Rename sprite_placement -> editor_sprite

2015-08-12  Sylvain Beucler <beuc@beuc.net>

	* src/editor_screen.cpp, src/editor_screen.h: editor_sprite: mark
	unused fields

2015-08-11  Sylvain Beucler <beuc@beuc.net>

	* src/update_frame.cpp: updateFrame: drop dead code

2015-08-11  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.cpp, src/dinkc.h, src/update_frame.cpp: dinkc: break
	dependency on game_engine.cpp

2015-08-11  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.cpp, src/dinkc.h, src/update_frame.cpp: dinkc: extract
	purge of scripts with dead sprites

2015-08-11  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.cpp: dinkc: describe spr[] usage

2015-08-11  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.cpp, src/dinkc_bindings.cpp, src/live_sprite.h,
	src/update_frame.cpp: live_sprite: rename callback ->
	say_stop_callback

2015-08-11  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.cpp: kill_cur_item/kill_cur_magic: note
	documentation error

2015-08-11  Sylvain Beucler <beuc@beuc.net>

	* src/AppFreeDink.cpp, src/brain_keyboard.cpp, src/dinkc.cpp,
	src/dinkc.h, src/dinkc_bindings.cpp, src/game_engine.cpp,
	src/inventory.cpp, src/live_sprite.h, src/savegame.cpp,
	src/status.cpp, src/update_frame.cpp: dinkc: break part of
	dependency on spr[]

2015-08-11  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.cpp: freedinkedit: move g_editorMode from const
	to enum

2015-08-11  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.cpp: freedinkedit: rename mode to g_editorMode

2015-08-11  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.cpp: freedinkedit: document cursor handling

2015-08-11  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.cpp, src/gfx_tiles.cpp, src/gfx_tiles.h,
	src/update_frame.cpp: gfx_tiles: break dependency on game_engine.cpp

2015-08-11  Sylvain Beucler <beuc@beuc.net>

	* doc/plg.txt: More deployment doc

2015-08-10  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.cpp: freedinkedit: fix use non-constants use of
	mode

2015-08-10  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.cpp: freedinkedit: fix nasty selector
	misalignement bug introduced in
	4359f92b8cdb3da812d36ce2be76ae1b1504ab2b AFAICS

2015-08-10  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.cpp: freedinkedit: indent separated code

2015-08-10  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.cpp: freedinkedit: separate main interaction
	logic

2015-08-10  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.cpp, src/gfx.cpp, src/gfx.h: freedinkedit:
	simplify grid drawing

2015-08-10  Sylvain Beucler <beuc@beuc.net>

	* src/text.cpp: Drop dead code with sprite_owner=1200 which doesn't
	happen in 1.08 short of a buffer overflow with spr[1200].active=1
	and consistent x/y values

2015-08-10  Sylvain Beucler <beuc@beuc.net>

	* src/brain_text.cpp, src/dinkc_bindings.cpp,
	src/test_brain_text.cxx: Kill text with invalid sprite_owner

2015-08-10  Sylvain Beucler <beuc@beuc.net>

	* src/live_sprite.cpp, src/live_sprite.h, src/update_frame.cpp: 
	Extract sprite expiration

2015-08-10  Sylvain Beucler <beuc@beuc.net>

	* doc/eclipse-cdt.txt: Better build command

2015-08-10  Sylvain Beucler <beuc@beuc.net>

	* src/test_live_sprites_manager.cxx: live_sprites_manager: precise
	test purpose

2015-08-10  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/brain_keyboard.cpp: Can skip Mom's first dialog line
	when quickly starting a new game

2015-08-10  Sylvain Beucler <beuc@beuc.net>

	* src/brain.cpp, src/brain_keyboard.cpp, src/dinkc.cpp,
	src/dinkc_bindings.cpp, src/game_engine.cpp, src/live_sprite.h,
	src/test_brain_text.cxx, src/test_text.cxx, src/text.cpp,
	src/update_frame.cpp: Rename spr[].kill -> kill_ttl,
	spr[].kill_timer -> kill_start

2015-08-10  Sylvain Beucler <beuc@beuc.net>

	* src/brain_text.cpp: brain_text: reindent/comment

2015-08-10  Sylvain Beucler <beuc@beuc.net>

	* src/brain_text.cpp, src/test_brain_text.cxx, src/test_text.cxx,
	src/text.cpp: text: unbreak damage/experience animation

2015-08-10  Sylvain Beucler <beuc@beuc.net>

	* src/test_text.cxx, src/text.cpp: text: avoid crash with bad text
	owner

2015-08-10  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/test_text.cxx, src/text.cpp: text: add tests

2015-08-10  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.cpp, src/freedink.h, src/text.cpp, src/text.h: Move
	text_draw from freedink to text

2015-08-10  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.cpp: dinkc: fix log output on missing procedure

2015-08-09  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.cpp, src/freedink.h, src/game_engine.cpp,
	src/game_engine.h, src/live_screen.cpp, src/live_screen.h,
	src/update_frame.cpp: Move screen transition to live_screen

2015-08-09  Sylvain Beucler <beuc@beuc.net>

	* .gitignore, doc/eclipse-cdt.txt: Notes about Eclipse CDT

2015-08-09  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.cpp, src/freedink.h, src/status.cpp, src/status.h: 
	Move drawscreenlock from freedink to status

2015-08-09  Sylvain Beucler <beuc@beuc.net>

	* src/brain_text.cpp, src/test_brain_text.cxx: brain_text: protect
	against bad spr[].owner

2015-08-09  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/test_brain_text.cxx: brain_text: add tests

2015-08-09  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.cpp: text_draw: a bit of indentation

2015-08-09  Sylvain Beucler <beuc@beuc.net>

	* src/live_sprite.h: live_sprite: document owner

2015-08-09  Sylvain Beucler <beuc@beuc.net>

	* src/live_sprites_manager.cpp, src/live_sprites_manager.h,
	src/test_live_sprites_manager.cxx: Add isValidSprite central check

2015-08-09  Sylvain Beucler <beuc@beuc.net>

	* src/live_sprites_manager.cpp: Clean-up get_last_sprite

2015-08-09  Sylvain Beucler <beuc@beuc.net>

	* src/test_live_sprites_manager.cxx: More get_last_sprite testing

2015-08-09  Sylvain Beucler <beuc@beuc.net>

	* src/live_sprites_manager.cpp: Clean-up
	lsm_kill_all_nonlive_sprites

2015-08-09  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.cpp, src/game_engine.cpp, src/live_sprite.h,
	src/live_sprites_manager.cpp, src/live_sprites_manager.h,
	src/test_live_sprites_manager.cxx: Extract while(kill_last_sprite())

2015-08-09  Sylvain Beucler <beuc@beuc.net>

	* src/test_live_sprites_manager.cxx: Reflect actual usage of
	kill_last_sprite on tests

2015-08-09  Sylvain Beucler <beuc@beuc.net>

	* src/test_live_sprites_manager.cxx: Add missing
	test_live_sprites_manager test file

2015-08-09  Sylvain Beucler <beuc@beuc.net>

	* src/live_sprites_manager.cpp, src/live_sprites_manager.h: Move
	last_sprite_created initialization to live_sprites_manager_init

2015-08-09  Sylvain Beucler <beuc@beuc.net>

	* src/game_engine.h: Remove duplicate declaration

2015-08-09  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.cpp, src/freedink.h, src/live_sprites_manager.cpp,
	src/live_sprites_manager.h: Move get_last_sprite from freedink to
	live_sprites_manager

2015-08-09  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/live_sprite.h: Add test for
	live_sprites_manager

2015-08-09  Sylvain Beucler <beuc@beuc.net>

	* src/brain_duck.cpp, src/freedink.cpp, src/live_sprites_manager.h: 
	Move kill_sprite_all from freedink to brain_duck

2015-08-09  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.cpp, src/game_engine.cpp, src/game_engine.h,
	src/game_state.cpp, src/game_state.h: Document push event some more

2015-08-09  Sylvain Beucler <beuc@beuc.net>

	* src/AppFreeDink.cpp: AppFreeDink: indent new file

2015-08-08  Sylvain Beucler <beuc@beuc.net>

	* src/.dir-locals.el, src/AppFreeDink.cpp, src/AppFreeDink.h,
	src/AppFreeDinkedit.cpp, src/AppFreeDinkedit.h, src/Makefile.am,
	src/app.cpp, src/app.h, src/freedink_main.cpp,
	src/freedinkedit.cpp, src/gfx.cpp: Objectify app init

2015-08-08  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/app.cpp, src/app.h, src/dinkini.cpp,
	src/dinkini.h, src/freedink.cpp, src/freedink_main.cpp,
	src/freedinkedit.cpp, src/game_engine.cpp, src/game_engine.h,
	src/gfx.cpp, src/gfx.h, src/gfx_fonts.cpp,
	src/live_sprites_manager.cpp, src/log.cpp, src/log.h,
	src/test_dinkini.cxx, src/update_frame.cpp: Break dependencies on
	app

2015-08-08  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/bgm.cpp, src/brain.cpp,
	src/brain_bounce.cpp, src/brain_keyboard.cpp, src/brain_scale.cpp,
	src/brains.h, src/dinkc_bindings.cpp, src/dinkvar.cpp,
	src/freedink.cpp, src/freedink.h, src/freedinkedit.cpp,
	src/game_engine.cpp, src/game_engine.h, src/{dinkvar.h =>
	game_state.cpp}, src/game_state.h, src/inventory.cpp,
	src/inventory.h, src/savegame.cpp, src/status.cpp, src/status.h,
	src/talk.cpp, src/test_integration.cxx, src/update_frame.cpp: Finish
	splitting dinkvar.h

2015-08-08  Sylvain Beucler <beuc@beuc.net>

	* src/brain_onetime.cpp, src/dinkvar.cpp, src/dinkvar.h,
	src/freedink.cpp, src/freedink.h, src/game_engine.cpp,
	src/game_engine.h, src/live_screen.cpp, src/live_screen.h: Split
	dinkvar some more

2015-08-08  Sylvain Beucler <beuc@beuc.net>

	* src/app.cpp, src/bgm.cpp, src/brain.cpp, src/brain_keyboard.cpp,
	src/brain_onetime.cpp, src/dinkc_bindings.cpp, src/dinkini.cpp,
	src/dinkini.h, src/dinkvar.cpp, src/dinkvar.h,
	src/editor_screen.cpp, src/freedink.cpp, src/freedink_main.cpp,
	src/freedinkedit.cpp, src/game_engine.cpp, src/gfx_fonts.cpp,
	src/gfx_sprites.cpp, src/gfx_tiles.cpp, src/inventory.cpp,
	src/live_screen.cpp, src/live_sprite.cpp, src/live_sprite.h,
	src/savegame.cpp, src/status.cpp, src/test_dinkc_bindings.cxx,
	src/test_integration.cxx, src/text.cpp, src/update_frame.cpp: Split
	dinkvar some more

2015-08-08  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.cpp, src/dinkvar.h, src/gfx.cpp, src/gfx.h: Move
	show_bmp from dinkvar to gfx

2015-08-08  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.cpp, src/dinkvar.cpp, src/dinkvar.h,
	src/freedink.cpp, src/freedink.h: Extract game mode handling from
	show_bmp

2015-08-08  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.cpp, src/dinkvar.h, src/gfx.cpp, src/gfx.h: Move
	copy_bmp from dinkvar to gfx

2015-08-08  Sylvain Beucler <beuc@beuc.net>

	* src/app.cpp, src/app.h, src/dinkini.cpp, src/dinkini.h,
	src/dinkvar.cpp, src/dinkvar.h, src/freedinkedit.cpp: dinkini: drop
	'dinkedit' dependency

2015-08-08  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.cpp, src/dinkvar.h, src/live_screen.cpp,
	src/live_screen.h: Move get_box from dinkvar to live_screen

2015-08-08  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.cpp, src/dinkvar.h, src/freedinkedit.cpp: get_box:
	remove dependencies to dinkedit

2015-08-07  Sylvain Beucler <beuc@beuc.net>

	* src/brain_keyboard.cpp, src/dinkvar.cpp, src/dinkvar.h,
	src/freedink.cpp, src/game_engine.cpp, src/game_engine.h,
	src/live_screen.cpp, src/live_screen.h: Move screenlock to
	game_engine.cpp

2015-08-07  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.cpp, src/dinkvar.h, src/freedinkedit.cpp,
	src/game_engine.cpp, src/game_engine.h, src/update_frame.cpp: Move
	vars out of dinkvar

2015-08-07  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.cpp, src/dinkvar.h, src/update_frame.cpp: dinkvar.h:
	prune dead code and declaration

2015-08-07  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.cpp: Remove unused lmon method

2015-08-07  Sylvain Beucler <beuc@beuc.net>

	* src/live_screen.cpp: Drop unused get_hard_map parameter

2015-08-07  Sylvain Beucler <beuc@beuc.net>

	* src/brain_keyboard.cpp: Drop unused get_hard_play parameter

2015-08-07  Sylvain Beucler <beuc@beuc.net>

	* src/brain_keyboard.cpp, src/dinkvar.cpp, src/live_screen.h: Move
	get_hard_play from dinkvar to brain_keyboard

2015-08-07  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.cpp, src/dinkvar.h, src/game_engine.cpp,
	src/game_engine.h: Move set_mode and set_keep_mouse from dinkvar to
	game_engine

2015-08-07  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.cpp, src/dinkvar.h, src/gfx.cpp, src/gfx.h: Move
	fill_screen from dinkvar to gfx

2015-08-07  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.cpp, src/dinkvar.h, src/live_screen.cpp,
	src/live_screen.h: Move fill_hardxy from dinkvar to live_screen

2015-08-07  Sylvain Beucler <beuc@beuc.net>

	* src/test_editor_screen.cxx: Improve editor_screen test

2015-08-07  Sylvain Beucler <beuc@beuc.net>

	* src/paths.cpp: paths: improve test suite mode

2015-08-07  Sylvain Beucler <beuc@beuc.net>

	* src/app.cpp, src/editor_screen.cpp, src/editor_screen.h,
	src/live_screen.cpp, src/live_screen.h, src/test_editor_screen.cxx: 
	Rename screen_init -> live_screen_init

2015-08-07  Sylvain Beucler <beuc@beuc.net>

	* src/EditorMap.h, src/editor_screen.cpp, src/editor_screen.h,
	src/game_engine.cpp, src/live_screen.cpp, src/live_screen.h,
	src/test_integration.cxx: Rename struct screen -> struct
	editor_screen

2015-08-07  Sylvain Beucler <beuc@beuc.net>

	* src/TestEditorMap.cxx: EditorMap: more tests

2015-08-07  Sylvain Beucler <beuc@beuc.net>

	* src/game_engine.h: player_info: more doc

2015-08-07  Sylvain Beucler <beuc@beuc.net>

	* src/paths.cpp: paths: add working test suite mode

2015-08-07  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am: Fix spacing

2015-08-06  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/app.cpp, src/app.h, src/brain.cpp,
	src/brain.h, src/brain_button.cpp, src/brain_diagonal.cpp,
	src/brain_duck.cpp, src/brain_keyboard.cpp, src/brain_lateral.cpp,
	src/brain_missile.cpp, src/brain_mouse.cpp, src/brain_none.cpp,
	src/brain_onetime.cpp, src/brain_people.cpp, src/brain_pig.cpp,
	src/brain_repeat.cpp, src/brain_scale.cpp, src/brain_shadow.cpp,
	src/brain_text.cpp, src/brains.h, src/dinkc_bindings.cpp,
	src/dinkvar.cpp, src/dinkvar.h, src/fastfile.cpp, src/freedink.cpp,
	src/freedink.h, src/freedinkedit.cpp, src/game_engine.cpp,
	src/game_engine.h, src/gfx.cpp, src/gfx.h, src/gfx_sprites.cpp,
	src/gfx_sprites.h, src/live_screen.cpp, src/live_screen.h,
	src/live_sprite.h, src/live_sprites_manager.cpp,
	src/live_sprites_manager.h, src/rect.cpp, src/rect.h,
	src/savegame.cpp, src/text.cpp, src/update_frame.cpp: Split brains

2015-08-06  Sylvain Beucler <beuc@beuc.net>

	* src/EditorMap.cpp, src/EditorMap.h, src/TestEditorMap.cxx,
	src/app.cpp, src/dinkc_bindings.cpp, src/freedinkedit.cpp,
	src/savegame.cpp: Finish converting map to object

2015-08-06  Sylvain Beucler <beuc@beuc.net>

	* src/TestEditorMap.cxx, src/freedinkedit.cpp: Replace map_new ->
	EditorMap::load

2015-08-06  Sylvain Beucler <beuc@beuc.net>

	* src/EditorMap.cpp, src/EditorMap.h: Move map_save to
	EditorMap::save

2015-08-06  Sylvain Beucler <beuc@beuc.net>

	* src/EditorMap.cpp: Move map_new to EditorMap::Load

2015-08-06  Sylvain Beucler <beuc@beuc.net>

	* src/TestEditorMap.cxx: Test EditorMap::load

2015-08-06  Sylvain Beucler <beuc@beuc.net>

	* src/EditorMap.cpp, src/EditorMap.h, src/TestEditorMap.cxx,
	src/editor_screen.cpp, src/editor_screen.h, src/freedinkedit.cpp,
	src/game_engine.cpp, src/savegame.cpp: Move current_map to
	g_map.map_dat

2015-08-06  Sylvain Beucler <beuc@beuc.net>

	* src/EditorMap.cpp, src/EditorMap.h, src/TestEditorMap.cxx,
	src/dinkc_bindings.cpp, src/savegame.cpp: Move current_dat to
	g_map.dink_dat

2015-08-06  Sylvain Beucler <beuc@beuc.net>

	* src/EditorMap.cpp, src/EditorMap.h, src/TestEditorMap.cxx: 
	EditorMap constructor with alternate filenames

2015-08-06  Sylvain Beucler <beuc@beuc.net>

	* src/game_engine.h, src/savegame.cpp: Drop redundant play.dinkdat
	and play.mapdat

2015-08-06  Sylvain Beucler <beuc@beuc.net>

	* src/EditorMap.cpp, src/EditorMap.h, src/TestEditorMap.cxx: 
	Objectify EditorMap

2015-08-06  Sylvain Beucler <beuc@beuc.net>

	* src/paths.cpp, src/paths.h: Make paths use const char*

2015-08-06  Sylvain Beucler <beuc@beuc.net>

	* src/EditorMap.cpp, src/EditorMap.h, src/TestEditorMap.cxx,
	src/bgm.cpp, src/dinkc_bindings.cpp, src/freedink.cpp,
	src/freedinkedit.cpp, src/game_engine.cpp, src/savegame.cpp,
	src/test_integration.cxx, src/update_frame.cpp: Rename map -> g_map
	(avoids clash with std::map)

2015-08-06  Sylvain Beucler <beuc@beuc.net>

	* src/.dir-locals.el: Add Emacs directory configuration for coding
	style

2015-08-06  Sylvain Beucler <beuc@beuc.net>

	* src/{map.cpp => EditorMap.cpp}, src/{map.h => EditorMap.h},
	src/Makefile.am, src/{test_map.cxx => TestEditorMap.cxx},
	src/app.cpp, src/bgm.cpp, src/dinkc_bindings.cpp, src/dinkvar.cpp,
	src/freedink.cpp, src/freedinkedit.cpp, src/game_engine.cpp,
	src/hardness_tiles.cpp, src/savegame.cpp,
	src/test_dinkc_bindings.cxx, src/test_integration.cxx,
	src/update_frame.cpp: Rename struct map_info -> EditorMap

2015-08-06  Sylvain Beucler <beuc@beuc.net>

	* src/test_map.cxx: map: more tests

2015-08-06  Sylvain Beucler <beuc@beuc.net>

	* src/map.cpp, src/map.h: Make map a class

2015-08-06  Sylvain Beucler <beuc@beuc.net>

	* src/app.cpp, src/dinkc_bindings.cpp, src/freedinkedit.cpp,
	src/map.cpp, src/map.h, src/savegame.cpp, src/test_map.cxx: Rename
	*_info to map_*

2015-08-06  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/app.cpp, src/bgm.cpp, src/bgm.h,
	src/dinkc.cpp, src/dinkc_bindings.cpp, src/dinkvar.cpp,
	src/dinkvar.h, src/{screen.cpp => editor_screen.cpp}, src/{screen.h
	=> editor_screen.h}, src/freedink.cpp, src/freedink_main.cpp,
	src/freedinkedit.cpp, src/game_engine.cpp, src/gfx.cpp, src/gfx.h,
	src/gfx_fonts.cpp, src/gfx_sprites.cpp, src/gfx_tiles.cpp,
	src/input.cpp, src/input.h, src/inventory.h, src/live_screen.cpp,
	src/live_screen.h, src/live_sprites_manager.cpp, src/map.h,
	src/paths.cpp, src/savegame.cpp, src/savegame.h, src/sfx.cpp,
	src/status.cpp, src/status.h, src/talk.cpp, src/talk.h,
	src/test_dinkc_bindings.cxx, src/{test_screen.cxx =>
	test_editor_screen.cxx}, src/test_integration.cxx,
	src/update_frame.cpp: Rename screen -> editor_screen

2015-08-06  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/dinkc.cpp, src/dinkc_bindings.cpp,
	src/dinkvar.cpp, src/dinkvar.h, src/freedink.cpp,
	src/freedink_main.cpp, src/freedinkedit.cpp, src/game_engine.cpp,
	src/game_engine.h, src/gfx_tiles.cpp, src/hardness_tiles.cpp,
	src/inventory.cpp, src/live_screen.cpp, src/live_screen.h,
	src/live_sprite.cpp, src/live_sprite.h,
	src/live_sprites_manager.cpp, src/live_sprites_manager.h,
	src/savegame.cpp, src/screen.cpp, src/screen.h, src/sfx.cpp,
	src/status.cpp, src/talk.cpp, src/talk.h, src/test_dinkc.cxx,
	src/test_dinkc_bindings.cxx, src/test_integration.cxx,
	src/test_screen.cxx, src/text.cpp, src/update_frame.cpp,
	src/update_frame.h: Split codebase some more

2015-08-05  Sylvain Beucler <beuc@beuc.net>

	* src/game_engine.h: Rename mydata -> editor_sprite_override

2015-08-05  Sylvain Beucler <beuc@beuc.net>

	* src/game_engine.h: spmap: doc

2015-08-05  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_tiles.h, src/hardness_tiles.h, src/screen.h: Clarify
	various tiles structures

2015-08-05  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_tiles.h, src/hardness_tiles.h: Clarify
	GFX_TILES_NB_SQUARES doc

2015-08-05  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/app.cpp, src/dinkvar.cpp, src/dinkvar.h,
	src/freedinkedit.cpp, src/hardness_tiles.cpp, src/hardness_tiles.h,
	src/map.h, src/screen.cpp: Separate hardness tileset code

2015-08-05  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.cpp, src/map.cpp, src/map.h: Reference hard.dat as
	being part of the map

2015-08-05  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/freedinkedit.cpp, src/map.cpp, src/map.h,
	src/screen.cpp, src/screen.h, src/test_map.cxx, src/test_screen.cxx: 
	screen: drop global reference

2015-08-05  Sylvain Beucler <beuc@beuc.net>

	* BUILD, Makefile.am, autobuild/freedink-exe-mxe.sh, configure.ac: 
	Tidy release system

2015-08-04  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/test_dinkc_bindings.cxx, src/update_frame.cpp: sp_custom
	now works for sprite 1 instead of crashing the game

2015-08-04  Sylvain Beucler <beuc@beuc.net>

	* src/test_dinkc_bindings.cxx: Clean-up sp_custom test

2015-08-04  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.cpp: Clarify add_sprite/add_sprite_dumb a bit

2015-08-04  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/dinkc_bindings.cpp, src/dinkc_sp_custom.cpp,
	src/dinkc_sp_custom.h, src/game_engine.cpp, src/game_engine.h,
	src/screen.h, src/test_dinkc.cxx, src/test_dinkc_bindings.cxx: Move
	sp_custom from gnulib:hash to std::map

2015-08-04  Sylvain Beucler <beuc@beuc.net>

	* doc/TODO: Reference fade speed (too fast?)

2015-08-04  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/test_dinkc_bindings.cxx,
	src/test_integration.cxx: Prepare test for sp_custom

2015-08-04  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/dinkc_sp_custom.cpp: sp_custom returns 0 rather than -1
	if the lookup key doesn't exist

2015-08-04  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/dinkc.cpp, src/dinkc.h,
	src/dinkc_bindings.cpp, src/dinkc_bindings.h, src/dinkvar.cpp,
	src/dinkvar.h, src/game_engine.cpp, src/talk.cpp, src/talk.h,
	src/test_dinkc.cxx, src/test_integration.cxx: Make DinkC parser code
	more stand-alone

2015-08-04  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/cxxtest_freedink.hpp, src/freedinkedit.cpp,
	src/gfx_fonts.cpp, src/io_util.cpp, src/io_util.h,
	src/resources.cpp, src/resources.h, src/test_dinkc.cxx,
	src/test_integration.cxx, src/test_io_util.cxx,
	src/test_sdl_workaround.h, src/test_str_util.cxx: Split CxxTest
	units

2015-08-04  Sylvain Beucler <beuc@beuc.net>

	* THANKS: Refresh THANKS

2015-08-04  Sylvain Beucler <beuc@beuc.net>

	* valgrind/suppressions-debian_testing.txt: Remove Valgrind
	nearly-empty, SDL1 suppressions

2015-08-04  Sylvain Beucler <beuc@beuc.net>

	* psp/README: Remove old PSP files

2015-08-04  Sylvain Beucler <beuc@beuc.net>

	* test/enum.cpp, test/fontconfig.c, test/getmodulefilename.c,
	test/sdl/.gitignore, test/sdl/Makefile, test/sdl/README,
	test/sdl/SDL_rwops_libzip.c, test/sdl/SDL_rwops_libzip.h,
	test/sdl/SDL_rwops_zzip.c, test/sdl/SDL_rwops_zzip.h,
	test/sdl/embedded_font.c, test/sdl/embedded_font2.c,
	test/sdl/fade.c, test/sdl/joytest.c, test/sdl/keycodes.c,
	test/sdl/mixer_stream.c, test/sdl/mousetest.c, test/sdl/msb.c,
	test/sdl/paltest.c, test/sdl/sdl_freq.c, test/sdl/sdl_stretch.c,
	test/sdl/sdlgfx_resize.c, test/sdl/ticks.c, test/sdl/videoinfo.c,
	test/test.cpp, test/woefont.c, test/woepaths.c,
	test/x11_messagebox.c: Remove old technology tests

2015-08-04  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, src/Makefile.am, src/check_freedink.cpp,
	src/cxxtest_freedink.hpp: check->CxxTest

2015-08-04  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-exe-mxe.sh, src/fastfile.cpp,
	src/gfx_fonts.cpp, src/paths.cpp: Fix woe build

2015-08-04  Sylvain Beucler <beuc@beuc.net>

	* BUILD: doc: clarify SDL2 issues status

2015-08-04  Sylvain Beucler <beuc@beuc.net>

	* doc/midi.txt: doc: add note about ScummVM MIDI backends

2015-08-04  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/dinkc.cpp, src/dinkvar.h, src/freedink.cpp,
	src/freedinkedit.cpp, src/game_engine.h, src/gfx.cpp,
	src/gfx_tiles.cpp, src/inventory.cpp, src/io_util.cpp,
	src/io_util.h, src/savegame.cpp, src/screen.h, src/status.cpp,
	src/talk.h: Fix sign issues

2015-08-03  Sylvain Beucler <beuc@beuc.net>

	* NEWS, configure.ac, po/POTFILES.in, src/Makefile.am,
	src/{SDL_android_main.c => SDL_android_main.cpp}, src/{app.c =>
	app.cpp}, src/{bgm.c => bgm.cpp}, src/{check_freedink.c =>
	check_freedink.cpp}, src/{dinkc.c => dinkc.cpp},
	src/{dinkc_bindings.c => dinkc_bindings.cpp}, src/{dinkc_console.c
	=> dinkc_console.cpp}, src/{dinkc_sp_custom.c =>
	dinkc_sp_custom.cpp}, src/dinkc_sp_custom.h, src/{dinkini.c =>
	dinkini.cpp}, src/{dinkvar.c => dinkvar.cpp}, src/{fastfile.c =>
	fastfile.cpp}, src/fastfile.h, src/{freedink.c => freedink.cpp},
	src/{freedink_main.c => freedink_main.cpp}, src/{freedink_xpm.c =>
	freedink_xpm.cpp}, src/{freedinkedit.c => freedinkedit.cpp},
	src/{game_engine.c => game_engine.cpp}, src/game_engine.h,
	src/{gfx.c => gfx.cpp}, src/{gfx_fade.c => gfx_fade.cpp},
	src/{gfx_fonts.c => gfx_fonts.cpp}, src/{gfx_palette.c =>
	gfx_palette.cpp}, src/{gfx_sprites.c => gfx_sprites.cpp},
	src/gfx_sprites.h, src/{gfx_tiles.c => gfx_tiles.cpp}, src/{i18n.c
	=> i18n.cpp}, src/i18n.h, src/{input.c => input.cpp}, src/input.h,
	src/{inventory.c => inventory.cpp}, src/{io_util.c => io_util.cpp},
	src/io_util.h, src/{log.c => log.cpp}, src/{map.c => map.cpp},
	src/{meminfo.c => meminfo.cpp}, src/{msgbox.c => msgbox.cpp},
	src/{paths.c => paths.cpp}, src/paths.h, src/{rect.c => rect.cpp},
	src/rect.h, src/{savegame.c => savegame.cpp}, src/{screen.c =>
	screen.cpp}, src/{sfx.c => sfx.cpp}, src/{status.c => status.cpp},
	src/{str_util.c => str_util.cpp}, src/str_util.h, src/{talk.c =>
	talk.cpp}, src/{text.c => text.cpp}, src/{update_frame.c =>
	update_frame.cpp}, src/{vgasys_fon.c => vgasys_fon.cpp},
	src/vgasys_fon.h: Move to C++

2015-08-03  Sylvain Beucler <beuc@beuc.net>

	* src/check_freedink.c: testsuite: DinkC variables carry a '&' even
	internally

2015-08-03  Sylvain Beucler <beuc@beuc.net>

	* src/check_freedink.c, src/game_engine.c, src/map.c, src/map.h,
	src/screen.h: Allow loading screens and scripts from memory (rather
	than disk) to finish
	test_integration_player_position_is_updated_after_screen_is_loaded

2015-08-03  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.h, src/dinkc_bindings.c, src/dinkvar.c, src/dinkvar.h,
	src/freedink.c, src/freedinkedit.c, src/game_engine.c,
	src/game_engine.h, src/savegame.c, src/screen.c, src/screen.h,
	src/update_frame.c: Rename map -> screen

2015-08-03  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/dinkvar.h, src/freedinkedit.c, src/screen.c: 
	Rename ts_block.x[].y[] -> ts_block.hm[][]

2015-08-03  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/freedinkedit.c, src/game_engine.c,
	src/screen.c, src/screen.h: Rename hm -> screen_hitmap

2015-08-03  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c, src/dinkvar.c, src/dinkvar.h,
	src/freedink.c, src/freedinkedit.c, src/game_engine.c,
	src/gfx_tiles.c, src/screen.c, src/screen.h, src/update_frame.c: 
	Rename struct small_map -> struct screen ; pam -> cur_screen

2015-08-03  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/app.c, src/bgm.c, src/check_freedink.c,
	src/dinkc_bindings.c, src/dinkvar.c, src/dinkvar.h, src/freedink.c,
	src/freedinkedit.c, src/map.c, src/map.h, src/savegame.c,
	src/screen.c, src/screen.h, src/update_frame.c: Move
	dink.dat-related functions to new map.c

2015-08-03  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.c: Rename draw_map -> draw_map_editor

2015-08-03  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/dinkvar.c, src/freedinkedit.c: editor: fix non-portable
	new screen save

2015-08-03  Sylvain Beucler <beuc@beuc.net>

	* src/check_freedink.c, src/freedink.c: More did_player_cross_screen
	tests

2015-08-03  Sylvain Beucler <beuc@beuc.net>

	* src/update_frame.c: Remove dead code

2015-08-03  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/dinkvar.h, src/update_frame.c: Remove dead code

2015-08-02  Sylvain Beucler <beuc@beuc.net>

	* src/check_freedink.c, src/game_engine.c, src/paths.c, src/paths.h: 
	Start test for player position during screen change

2015-08-02  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/app.h, src/freedink.c, src/freedink_main.c: 
	Separate FreeDink main and initialization

2015-08-02  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/dinkvar.c, src/dinkvar.h, src/freedinkedit.c: Move
	save_info() to freedinkedit.c

2015-08-02  Sylvain Beucler <beuc@beuc.net>

	* src/bgm.c, src/dinkc_bindings.c, src/dinkvar.c, src/dinkvar.h,
	src/freedink.c, src/freedinkedit.c, src/game_engine.c,
	src/savegame.c, src/update_frame.c: Rename pmap->pplayer_map

2015-08-02  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.c, src/freedink.h, src/update_frame.c: 
	did_player_cross_screen: remove dead code

2015-08-02  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c, src/dinkvar.c, src/dinkvar.h,
	src/game_engine.c, src/game_engine.h, src/gfx_sprites.c,
	src/gfx_sprites.h: Move "Please wait" animation from common code to
	game engine

2015-08-02  Sylvain Beucler <beuc@beuc.net>

	* doc/CPP2C.txt, doc/cleanup.txt, doc/cleanup_g++.txt,
	doc/fonts.txt, doc/log.txt, doc/ncc.txt,
	doc/sdl_existing_window.txt, doc/sound_resources.txt,
	doc/troubleshootings.txt: Remove obsolete documentation

2015-08-02  Sylvain Beucler <beuc@beuc.net>

	* BUILD, autobuild/freedink-exe-mxe.sh: Precise woe build

2015-08-02  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, contrib/search_music.c, contrib/search_script.c,
	doc/psp.txt, doc/psp/PSP-MEM, doc/psp/PSP-READ2, doc/psp/TODO-PSP,
	doc/psp/memstat_hungry.c, doc/psp/memstat_mallinfo.c,
	doc/psp/zooming.patch, src/Makefile.am, src/app.c, src/dinkvar.c,
	src/input.c, src/savegame.c: Drop PSP support

2015-08-02  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.c, src/freedinkedit.c, src/update_frame.c: input:
	avoid key-xx.c loops and "dink keeps walking" issues by forwarding
	keyup events

2015-08-02  Sylvain Beucler <beuc@beuc.net>

	* src/input.h: input: tidy functions export

2015-08-02  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.c: input: use modifiers at the time of the keystroke

2015-08-02  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Fix printf warnings

2015-08-02  Sylvain Beucler <beuc@beuc.net>

	* nsis/.gitignore: .gitignore woe installer construction files

2015-08-02  Sylvain Beucler <beuc@beuc.net>

	* doc/TODO: Precision on potential woe midi issues

2015-08-01  Sylvain Beucler <beuc@beuc.net>

	* doc/TODO: Revolution issue reported by Paul seems unrelated to
	FreeDink Cf. http://www.dinknetwork.com/forum.cgi?MID=190166#190260
	and the lack of other reports.

2015-08-01  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/check_freedink.c: Document Scourger fix

2015-08-01  Sylvain Beucler <beuc@beuc.net>

	* doc/TODO: Reference a few bug reports from the forum

2015-08-01  Sylvain Beucler <beuc@beuc.net>

	* po/fr.po, po/nl.po: Sync TranslationProject

2015-07-31  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c: Find available script slot using rinfo for clarity

2015-07-31  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c: Clarify rbuf role

2015-07-31  Sylvain Beucler <beuc@beuc.net>

	* src/check_freedink.c, src/dinkc.c, src/dinkc.h: Test suite: can
	now create dinkc scripts unit-ly

2015-07-31  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c: Fix some log output (printf format mismatch)

2015-07-31  Sylvain Beucler <beuc@beuc.net>

	* doc/TODO, src/check_freedink.c, src/dinkc.c, src/dinkc.h: Add unit
	test for Scourger fix

2015-07-29  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Fix freeze in The Scourger fade_up() is prioritary over fade_down(), but post-fade callback
	script is still overwritten
	http://www.dinknetwork.com/forum.cgi?MID=189461#189461
	"FreeDink-specific" http://www.dinknetwork.com/forum.cgi?MID=107994
	6b6bef615c4aae45206fa98bb8b4bfea96eb0f3b   "Give priority to fade_up() over fade_down() - fix SoB intro in
	  truecolor mode" -> in Pilgrim Quest, not Stone of Balance
	http://lists.gnu.org/archive/html/bug-freedink/2009-08/msg00042.html

2015-07-29  Sylvain Beucler <beuc@beuc.net>

	* doc/TODO: tests: reference another tricky test case

2015-07-29  Sylvain Beucler <beuc@beuc.net>

	* BUILD: Freshen build instructions a bit

2015-07-29  Sylvain Beucler <beuc@beuc.net>

	* contrib/d2c.c: d2c: fix compilation with newer GCC

2014-12-29  Sylvain Beucler <beuc@beuc.net>

	* doc/freedink.scm: Guix rules merged to

	http://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/games.scm

2014-10-26  Sylvain Beucler <beuc@beuc.net>

	* nsis/MultiUser64.nsh, nsis/README, nsis/freedink-all.nsi: 
	installer: 64-bit support

2014-10-26  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-exe-mxe.sh, nsis/README: Update NSIS installer

2014-10-26  Sylvain Beucler <beuc@beuc.net>

	* doc/freedink.scm: Add test Guix recipe

2014-10-25  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.c: Fix infinite resize ratio when the source sprite has
	height or width set to 0 (and a segfault, since SDL2 is less
	tolerant to weird coordinates)

2014-10-22  Sylvain Beucler <beuc@beuc.net>

	* NEWS, autobuild/freedink-exe-mxe.sh, doc/release.txt: Sync 108.4
	doc

2014-10-22  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: Sync Fedora

2014-10-22  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/control: Prepare Debian release

2014-10-22  Sylvain Beucler <beuc@beuc.net>

	* doc/gnulib.txt: gnulib: fix version used for 108.2

2014-10-17  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: sp_script: more detail in error log

2014-10-17  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/dinkvar.c: Never recreate an empty hard.dat in the game Conflicts:         NEWS         src/dinkvar.c

2014-10-17  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: Remember to add modified version files when
	merging a release to the master branch

2014-10-15  Sylvain Beucler <beuc@beuc.net>

	* Makefile.am, autobuild/freedink-exe-mxe.sh: autobuild:
	freedink-exe-mxe.sh is now automated and tested

2014-10-15  Sylvain Beucler <beuc@beuc.net>

	* src/paths.c: Fix dmod name check

2014-10-14  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.c: freedinkedit: clean headers

2014-10-14  Sylvain Beucler <beuc@beuc.net>

	* doc/guile.txt: Notes on cross-compiling guile for Android

2014-10-14  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: Refresh release process

2014-10-14  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-exe-mxe.sh: MXE now requires explicit static
	mode

2014-10-14  Sylvain Beucler <beuc@beuc.net>

	* debian/rules: debian: build in verbose mode so build logs can be
	parsed for common errors

2014-10-14  Sylvain Beucler <beuc@beuc.net>

	* debian/upstream/signing-key.asc, debian/watch: debian: don't
	bother check tarball signature, having to maintain a copy of the
	signing key is cumbersome, plus I make the tarballs myself

2014-08-28  Sylvain Beucler <beuc@beuc.net>

	* configure.ac: configure.ac: fix non-portable test

2014-07-09  Sylvain Beucler <beuc@beuc.net>

	* src/talk.c: Fix spurious text choice change in subtext menus

2014-07-02  Sylvain Beucler <beuc@beuc.net>

	* src/SDL_android_main.c, src/app.c, src/freedink.c: android:
	show/hide IME

2014-07-01  Sylvain Beucler <beuc@beuc.net>

	* NEWS, autobuild/freedink-exe-mxe.sh, configure.ac, po/fr.po,
	src/Makefile.am, src/app.c, src/paths.c, src/paths.h: Game engine
	translations are loaded under Windows.

2014-07-01  Sylvain Beucler <beuc@beuc.net>

	* src/app.c: woe: fix crash on game exit when writing
	dinksmallwood.ini

2014-07-01  Sylvain Beucler <beuc@beuc.net>

	* src/check_freedink.c: tests: properly clean-up temp dirs

2014-06-30  Sylvain Beucler <beuc@beuc.net>

	* src/check_freedink.c, src/dinkc.c, src/dinkc_bindings.c,
	src/game_engine.c, src/game_engine.h, src/savegame.c: tests: run on
	woe

2014-06-30  Sylvain Beucler <beuc@beuc.net>

	* src/check_freedink.c, src/dinkc_sp_custom.c: tests: include
	dinkc_sp_custom test

2014-06-30  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/dinkc_bindings.c, src/freedink.c,
	src/freedink.h, src/game_engine.c, src/game_engine.h,
	src/savegame.c, src/savegame.h, src/status.h: Fix 'make check'

2014-06-30  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, NEWS, po/LINGUAS, po/hu.po: New Hungarian translation

2014-06-29  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/app.c, src/app.h, src/bgm.c, src/bgm.h,
	src/dinkc.c, src/dinkc.h, src/dinkc_bindings.c, src/dinkvar.c,
	src/dinkvar.h, src/freedink.c, src/freedink.h, src/freedinkedit.c,
	src/game_engine.c, src/game_engine.h, src/gfx_tiles.c,
	src/gfx_tiles.h, src/input.c, src/input.h, src/inventory.c,
	src/inventory.h, src/log.c, src/paths.c, src/screen.c,
	src/screen.h, src/sfx.c, src/sfx.h, src/status.c, src/status.h,
	src/talk.c, src/talk.h, src/text.c, src/text.h, src/update_frame.c: 
	Extract game-specific code from COMMON_OBJS

2014-06-29  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.c: freedinkedit: added PageUp/PageDown
	alternatives to '[' and ']'

2014-06-29  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/freedink.c: console: going back to Alt+C

2014-06-29  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.c: game keys: map layout-independent scancodes rather
	than layout-dependent keycodes

2014-06-29  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c: Note that division by 0 is not handled

2014-06-29  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c, src/dinkvar.c, src/dinkvar.h,
	src/freedink.c, src/freedink.h, src/input.c, src/update_frame.c: 
	mouse: use absolute mode so it works better with touchscreens and
	tablets (except for talk choices)

2014-06-29  Sylvain Beucler <beuc@beuc.net>

	* src/app.c, src/game_engine.c: Group game (non-dinkedit) init
	outside of 'app'

2014-06-29  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_fonts.c: console: avoid SDL warning when input text is
	empty

2014-06-26  Sylvain Beucler <beuc@beuc.net>

	* doc/android.txt, gnulib/m4/.gitignore, gnulib/m4/gnulib-cache.m4,
	src/dinkc.c, src/input.c, src/paths.c: gnulib: drop a few modules

2014-06-26  Sylvain Beucler <beuc@beuc.net>

	* src/paths.c: paths: improve error message

2014-06-26  Sylvain Beucler <beuc@beuc.net>

	* doc/android.txt: android: doc: a bit more concision

2014-06-26  Sylvain Beucler <beuc@beuc.net>

	* configure.ac: automake: use terse output

2014-06-24  Sylvain Beucler <beuc@beuc.net>

	* src/app.c, src/log.c, src/log.h: log: rely on SDL2's logging
	system (supports Android and woe console)

2014-06-24  Sylvain Beucler <beuc@beuc.net>

	* src/input.c: Make sure we don't leave joystick enabled when there
	are not; ignore accelerometers

2014-06-24  Sylvain Beucler <beuc@beuc.net>

	* src/paths.c: Add missing include

2014-06-24  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, BUILD, acsite.m4, android/redeploy.sh,
	autobuild/freedink-exe-mxe.sh, configure.ac, debian/rules,
	doc/android.txt, doc/binreloc.txt, doc/directory_layout.txt,
	doc/gnulib.txt, freedink.spec, gnulib/m4/gnulib-cache.m4,
	src/Makefile.am, src/SDL_rwops_libzip.c, src/SDL_rwops_libzip.h,
	src/SDL_rwops_zzip.c, src/SDL_rwops_zzip.h, src/app.c,
	src/binreloc.c, src/binreloc.h, src/freedinkedit.c,
	src/gfx_fonts.c, src/io_util.c, src/paths.c, src/paths.h: Drop
	relocatability; drop embedded resources; use platform-specific chdir

2014-06-24  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_palette.c: gfx_palette: better error reporting

2014-06-24  Sylvain Beucler <beuc@beuc.net>

	* src/log.c: DEBUG.TXT: use native carriage return

2014-06-23  Sylvain Beucler <beuc@beuc.net>

	* doc/android.txt: android: pkg-config installed as a native tool

2014-06-23  Sylvain Beucler <beuc@beuc.net>

	* .gitignore, BUILD, Makefile.am, bootstrap, configure.ac,
	gnulib/lib/.gitignore, po/POTFILES.in: autotools: update generated
	files list

2014-06-22  Sylvain Beucler <beuc@beuc.net>

	* BUILD, android/redeploy.sh,
	android/src/org/libsdl/app/SDLActivity.java, doc/android.txt,
	src/log.c: android: more build doc

2014-06-22  Sylvain Beucler <beuc@beuc.net>

	* BUILD: android: reference TiMidity fix

2014-06-22  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.c: gfx: remove unneeded include

2014-06-22  Sylvain Beucler <beuc@beuc.net>

	* src/input.c: android: disable mouse emulation

2014-06-22  Sylvain Beucler <beuc@beuc.net>

	* src/paths.c: android: chdir to internal storage path on startup

2014-06-22  Sylvain Beucler <beuc@beuc.net>

	* bootstrap, configure.ac: gnulib doc fixes

2014-06-22  Sylvain Beucler <beuc@beuc.net>

	* src/sfx.c: timidity: not how to change timidity.cfg location

2014-06-21  Sylvain Beucler <beuc@beuc.net>

	* android/.gitignore, android/AndroidManifest.xml,
	android/redeploy.sh, android/res/layout/main.xml,
	android/res/values/strings.xml,
	android/src/org/freedink/FreeDink.java,
	android/src/org/libsdl/app/SDLActivity.java, doc/android.txt: Add
	Android project

2014-06-21  Sylvain Beucler <beuc@beuc.net>

	* doc/debuglog-android.txt, doc/{woe-debug.txt => debuglog-woe.txt}: 
	Add Android debug log

2014-06-21  Sylvain Beucler <beuc@beuc.net>

	* doc/android.txt, src/Makefile.am, src/log.c, src/msgbox.c,
	src/paths.c: android: first working build

2014-06-21  Sylvain Beucler <beuc@beuc.net>

	* src/check_freedink.c, src/io_util.c: ciconvert: support private
	directory prefix

2014-06-21  Sylvain Beucler <beuc@beuc.net>

	* BUILD, configure.ac, doc/android.txt, src/Makefile.am,
	src/SDL_android_main.c, src/freedink.c: android: app starts, load
	.so libs... and exits :)

2014-06-20  Sylvain Beucler <beuc@beuc.net>

	* doc/woe-debug.txt: woe: added FreeDink trace on 8.1

2014-06-20  Sylvain Beucler <beuc@beuc.net>

	* doc/android.txt: Android: more build notes

2014-06-20  Sylvain Beucler <beuc@beuc.net>

	* src/check_freedink.c: tests: make more woe-friendly

2014-06-20  Sylvain Beucler <beuc@beuc.net>

	* doc/mxe.txt: MXE: update static builds status

2014-06-20  Sylvain Beucler <beuc@beuc.net>

	* doc/cross.txt: Typo

2014-06-20  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, src/Makefile.am: Make tests optional (check doesn't
	build on Android)

2014-06-18  Sylvain Beucler <beuc@beuc.net>

	* BUILD, autobuild/freedink-exe-mxe.sh, configure.ac,
	doc/android.txt, doc/gnulib.txt: Build system review

2014-06-18  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c: Don't access callback[MAX_CALLBACKS] (overflow)

2014-06-16  Sylvain Beucler <beuc@beuc.net>

	* src/app.c, src/freedink.c, src/freedinkedit.c, src/input.c,
	src/input.h, src/update_frame.c: input: simplify handling + temp fix
	for double input handling in game + shortcuts/console/etc.

2014-06-16  Sylvain Beucler <beuc@beuc.net>

	* BUILD, configure.ac, doc/static-build.txt: static build:
	experiment with SDL2+dlopen

2014-06-16  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/freedink.c: Doc update

2014-06-15  Sylvain Beucler <beuc@beuc.net>

	* doc/TODO, src/freedink.c: Update Dink position after the new
	screen is loaded.  This is nonsensical because scripts will then poll Dink's position
	in the previous screen, but we've got to be compatible.  More details at:
	http://www.dinknetwork.com/forum.cgi?MID=186069#186263

2014-06-15  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/{init.c => app.c}, src/{init.h => app.h},
	src/dinkc_console.c, src/dinkc_console.h, src/dinkvar.c,
	src/dinkvar.h, src/freedink.c, src/freedink.h, src/freedinkedit.c,
	src/gfx.c, src/gfx_fonts.c, src/input.c, src/input.h,
	src/update_frame.c: input: refactor

2014-06-14  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.c: freedinkedit: fix info box background opacity
	on 'i' key

2014-06-14  Sylvain Beucler <beuc@beuc.net>

	* src/input.c: input: display joystick guid

2014-06-14  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c: Update copyright notice + typo

2014-06-14  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/update_frame.c: Use Meta-x for console

2014-06-14  Sylvain Beucler <beuc@beuc.net>

	* src/bgm.c: bgm: doc fix

2014-06-14  Sylvain Beucler <beuc@beuc.net>

	* src/check_freedink.c, src/dinkc.c, src/dinkc.h: tests: DinkC
	variable lookup

2014-06-14  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Use DINKC_GLOBAL_SCOPE instead of 0

2014-06-14  Sylvain Beucler <beuc@beuc.net>

	* src/bgm.c: Remove unused 'cd_track' variable

2014-06-13  Sylvain Beucler <beuc@beuc.net>

	* src/check_freedink.c, src/str_util.c: Tests: test case of
	separate_string (tested against original separate_string results)

2014-06-13  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.c: Don't crash if an hard-coded graphics isn't present

2014-06-13  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.c: Doc fix

2014-06-13  Sylvain Beucler <beuc@beuc.net>

	* doc/palettes.txt, src/gfx.c: Fix 24->8-bit sprite conversion

2014-06-09  Sylvain Beucler <beuc@beuc.net>

	* doc/palettes.txt: palettes: more documentation

2014-06-09  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/dinkc_bindings.c, src/dinkvar.c: load_palette: search
	for palette in the right place

2014-06-09  Sylvain Beucler <beuc@beuc.net>

	* contrib/d2c.c: d2c: display the filename on error

2014-06-09  Sylvain Beucler <beuc@beuc.net>

	* doc/android.txt: Added notes on SDL2+Android (pending SDL wiki
	request for licensing policy)

2014-06-09  Sylvain Beucler <beuc@beuc.net>

	* BUILD: SDL2: refresh bugs status

2014-06-08  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/dinkvar.c, src/dinkvar.h, src/freedink.c,
	src/freedink.h, src/freedinkedit.c, src/update_frame.c: Centralize
	input checks; clean-up screen transition code; fix debug mode
	toggling

2014-06-08  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c, src/dinkc_console.c, src/dinkc_console.h,
	src/input.c: DinkC console: centralize input activation

2014-06-08  Sylvain Beucler <beuc@beuc.net>

	* configure.ac: Disabled .tar.bz2 generation - unused

2014-06-08  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, src/bgm.c, src/bgm.h, src/dinkc_bindings.c,
	src/dinkc_console.c, src/dinkvar.c, src/freedink.c,
	src/freedinkedit.c, src/game_engine.c, src/gfx.c, src/gfx.h,
	src/gfx_fonts.c, src/gfx_palette.c, src/gfx_sprites.c, src/init.c,
	src/input.c, src/input.h, src/msgbox.c, src/sfx.c: Refresh copyright
	notices

2014-06-06  Sylvain Beucler <beuc@beuc.net>

	* BUILD, NEWS, configure.ac, doc/TODO, doc/palettes.txt, src/bgm.c,
	src/bgm.h, src/dinkc_bindings.c, src/dinkc_console.c,
	src/dinkc_console.h, src/dinkvar.c, src/dinkvar.h, src/freedink.c,
	src/freedinkedit.c, src/game_engine.c, src/game_engine.h,
	src/gfx.c, src/gfx.h, src/gfx_fonts.c, src/gfx_fonts.h,
	src/gfx_palette.c, src/gfx_sprites.c, src/init.c, src/init.h,
	src/input.c, src/input.h, src/log.c, src/msgbox.c, src/msgbox.h,
	src/paths.c, src/sfx.c, src/update_frame.c: Initial SDL2 support

2014-06-07  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.c: debug: display video format

2014-06-07  Sylvain Beucler <beuc@beuc.net>

	* TROUBLESHOOTING, src/sfx.c: audio: log SDL_mixer capabilities

2014-06-07  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c: DinkC: redefining globals is so common that we can't
	say it's an error

2014-06-04  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c: Typo

2014-06-01  Sylvain Beucler <beuc@beuc.net>

	* src/check_freedink.c: tests: update copyright notice - that test
	is actually quite old :)

2014-05-30  Sylvain Beucler <beuc@beuc.net>

	* src/check_freedink.c, src/io_util.c: tests: ciconvert

2014-05-30  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, NEWS, po/LINGUAS, po/ru.po: Add Russian translation

2014-05-30  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: rpm: typo

2014-05-29  Sylvain Beucler <beuc@beuc.net>

	* src/check_freedink.c: tests: better structure

2014-05-29  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, src/Makefile.am, src/check_freedink.c: tests: first
	simple test with 'check'

2014-05-29  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog: debian: bump version

2014-05-29  Sylvain Beucler <beuc@beuc.net>

	* src/str_util.c: Typo

2014-05-29  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Fix potential out-of-bound string access +
	doc fixes

2014-05-29  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: Update FreshMeat -> FreeCode

2014-05-29  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: rpm: uniform capitalization

2014-05-29  Sylvain Beucler <beuc@beuc.net>

	* : commit 10ec46363d3be16f05f499b298b97bacbc6f0d3f Author: Sylvain
	Beucler <beuc@beuc.net> Date:   Thu May 29 11:01:39 2014 +0200

2014-05-29  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, doc/release.txt, freedink.spec: packaging: bump
	dates

2014-05-29  Sylvain Beucler <beuc@beuc.net>

	* ChangeLog: ChangeLog update

2014-05-29  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: rpm: lint

2014-05-29  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: rpm: change package URL again

2014-05-29  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: rpm: typo

2014-05-29  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: Update ChangeLog later in the release process

2014-05-29  Sylvain Beucler <beuc@beuc.net>

	* ChangeLog: Update ChangeLog

2014-05-29  Sylvain Beucler <beuc@beuc.net>

	* debian/control: debian: not using intltool quite yet

2014-05-29  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/control, freedink.spec,
	share/appdata/freedink.appdata.xml,
	share/applications/freedink.desktop,
	share/applications/freedinkedit.desktop: Use consistent package
	description

2014-05-29  Sylvain Beucler <beuc@beuc.net>

	* debian/rules: debian: drop reference to my old autotools script

2014-05-29  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: debian: simplify release process

2014-05-29  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: rpm: fix some .spec warnings

2014-05-28  Sylvain Beucler <beuc@beuc.net>

	* NEWS, autobuild/freedink-exe-mxe.sh, doc/gnulib.txt,
	doc/release.txt, nsis/README: doc fixes

2014-05-28  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: rpm: fix appstream/appdata install

2014-05-28  Sylvain Beucler <beuc@beuc.net>

	* gnulib/lib/.gitignore: gnulib update

2014-05-28  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog: typo

2014-05-28  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/upstream/signing-key.asc, debian/watch: 
	debian: watch: add pgpsigurlmangle option

2014-05-28  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-debs.sh: Clean-up pbuilding

2014-05-27  Sylvain Beucler <beuc@beuc.net>

	* NEWS: Tidy NEWS

2014-05-27  Sylvain Beucler <beuc@beuc.net>

	* share/appdata/freedink.appdata.xml: Add AppStream/AppData
	description file (2)

2014-05-27  Sylvain Beucler <beuc@beuc.net>

	* share/Makefile.am: Add AppStream/AppData description file

2014-05-27  Sylvain Beucler <beuc@beuc.net>

	* BUILD: gnulib: recommend installing rsync to fetch
	translationproject.org, otherwise it falls back to wget with --quiet
	where errors are easy to miss (fix sent to gnulib)

2014-05-27  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: Typo

2014-05-27  Sylvain Beucler <beuc@beuc.net>

	* debian/control: debian: update reference Git repo

2014-05-27  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-debs.sh, autobuild/freedink-rpms.sh,
	doc/release.txt: Update release procedure

2014-05-27  Sylvain Beucler <beuc@beuc.net>

	* ChangeLog, NEWS, configure.ac, debian/changelog, doc/gnulib.txt,
	doc/release.txt, freedink.spec: Start branch 108.2

2014-05-26  Sylvain Beucler <beuc@beuc.net>

	* BUILD, autobuild/freedink-exe-mxe.sh: Refresh build instructions

2014-05-26  Sylvain Beucler <beuc@beuc.net>

	* po/Makevars: translations: use the same options as the Translation
	Project robot

2014-05-26  Sylvain Beucler <beuc@beuc.net>

	* po/ca.po, po/da.po, po/de.po, po/el.po, po/eo.po, po/es.po,
	po/eu.po, po/fi.po, po/fr.po, po/hr.po, po/id.po, po/it.po,
	po/nb.po, po/nl.po, po/pl.po, po/th.po, po/vi.po: translations: sync
	with TP

2014-05-24  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/rules: Compile with -O1 on Raspbian to
	avoid weird segfault

2014-05-24  Sylvain Beucler <beuc@beuc.net>

	* Makefile.am: Makefile.am: DEB was removed

2014-05-24  Sylvain Beucler <beuc@beuc.net>

	* TROUBLESHOOTING: TROUBLESHOOTING: reference sdl_mixer/fluidsynth
	memory leak + reorder

2014-05-24  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/sfx.c: Display SDL audio driver in debug mode

2014-05-04  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/copyright, src/SDL_rwops_libzip.c,
	src/SDL_rwops_libzip.h, src/SDL_rwops_zzip.c, src/SDL_rwops_zzip.h: 
	Centralize copyright information some more

2014-05-04  Sylvain Beucler <beuc@beuc.net>

	* debian/update-autotools-config.sh: debian: remove
	update-autotools-config.sh, we don't use it anymore, and probably
	nobody needs it, actually

2014-05-04  Sylvain Beucler <beuc@beuc.net>

	* DEB, Makefile.am, debian/changelog, debian/gbp.conf: Put back
	debian/ in releases, since we're using format 3.0 which supports
	that

2014-05-04  Sylvain Beucler <beuc@beuc.net>

	* debian/control: debian: fix
	package-needs-versioned-debhelper-build-depends

2014-05-04  Sylvain Beucler <beuc@beuc.net>

	* debian/README.source: debian: remove obsolete source documentation

2014-05-04  Sylvain Beucler <beuc@beuc.net>

	* TROUBLESHOOTING: TROUBLESHOOTING: explain how to enforce aspect
	ratio on 16:9 screens

2014-05-04  Sylvain Beucler <beuc@beuc.net>

	* TROUBLESHOOTING: Remove obsolete TROUBLESHOOTING entries

2014-05-04  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_fonts.c: double-free segfault on exit traced to FreeType
	not freeing system_font, better not free it than risking a segfault
	leaving the user in 640*480

2014-05-04  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_fonts.c: fonts: vgasys_fon can be considered read-only
	memory

2014-05-04  Sylvain Beucler <beuc@beuc.net>

	* valgrind/suppressions-debian_testing.txt: Use Valgrind
	suppressions file with newer syntax

2014-05-04  Sylvain Beucler <beuc@beuc.net>

	* valgrind/suppressions-debian_etch.txt,
	valgrind/suppressions-debian_lenny.txt: Remove obsolete Valgrind
	suppressions files

2014-05-02  Sylvain Beucler <beuc@beuc.net>

	* po/LINGUAS: FreeBSD: disable en@quot and en@boldquot locales,
	unused and causing issues

2014-05-02  Sylvain Beucler <beuc@beuc.net>

	* BUILD: FreeBSD: link to X11 config

2014-05-01  Sylvain Beucler <beuc@beuc.net>

	* gnulib/lib/.gitignore, gnulib/m4/.gitignore,
	gnulib/m4/gnulib-cache.m4: Update gnulib

2014-05-01  Sylvain Beucler <beuc@beuc.net>

	* BUILD: Update BUILD instructions

2014-05-01  Sylvain Beucler <beuc@beuc.net>

	* src/meminfo.c: Fix compilation on FreeBSD

2014-01-03  Sylvain Beucler <beuc@beuc.net>

	* BUILD, freedink.spec: Sync Fedora + fix old changelog weekdays

2013-11-09  Sylvain Beucler <beuc@beuc.net>

	* gnulib/lib/.gitignore, gnulib/m4/.gitignore: Gnulib update

2013-11-09  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-exe-mxe.sh: 64-bit woe build support

2013-10-20  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, NEWS, debian/copyright, po/LINGUAS, po/cs.po,
	po/pt_BR.po, po/sl.po, po/sr.po: Update translations

2013-10-20  Sylvain Beucler <beuc@beuc.net>

	* TROUBLESHOOTING: Document issue with laptop accelerometer

2013-10-20  Sylvain Beucler <beuc@beuc.net>

	* NEWS: Update NEWS file

2013-10-20  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/dinkc_bindings.c: Properly play Dink's intro screen
	music

2013-10-20  Sylvain Beucler <beuc@beuc.net>

	* TROUBLESHOOTING, doc/midi.txt: Document new fluidsynth backend for
	SDL-Mixer

2013-10-20  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/compat, debian/control,
	debian/freedink.xpm, debian/install, debian/rules: Debian packaging:
	fix Lintian 'hardening-no-relro' + reuse XPM icon from src/

2013-10-20  Sylvain Beucler <beuc@beuc.net>

	* gnulib/m4/gnulib-cache.m4: Update gnulib

2013-10-19  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/control: Update Debian package name for
	Liberation

2013-10-19  Sylvain Beucler <beuc@beuc.net>

	* Makefile.am, autopackage/.gitignore, autopackage/Makefile.am,
	autopackage/Makefile.autopackage, autopackage/default.apspec.in,
	autopackage/extract-package.sh,
	autopackage/skeletons/@libsdl.org/sdl_ttf/skeleton.1, configure.ac: 
	Remove autopackage support - if there's interest in resurrecting it,
	cf. the superseding Listaller project

2013-10-19  Sylvain Beucler <beuc@beuc.net>

	*
	gentoo/games-rpg/freedink-engine/freedink-engine-1.08.20080920.ebui
	ld, gentoo/games-rpg/freedink-engine/metadata.xml,
	gentoo/games-rpg/freedink/freedink-1.08.20080920.ebuild,
	gentoo/games-rpg/freedink/metadata.xml: Remove obsolete gentoo
	ebuild - get it from official Gentoo instead :)

2013-10-18  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-rpms.sh: Document my RPM build setup

2012-12-20  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-exe-mxe.sh: Minor fix to mxe build doc

2012-12-19  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-exe-mxe.sh, configure.ac, doc/mxe.txt: Detect
	SDL and SDL_* with pkg-config; this allows to automatically detect
	libs for static compilation

2012-12-16  Sylvain Beucler <beuc@beuc.net>

	* nsis/README, nsis/freedink-all.nsi: Refresh the NSIS bundle
	installer

2012-12-16  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-exe-mxe.sh, autobuild/freedink-exe.sh: Adapt
	woe autobuild script for MXE

2012-12-16  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am: stop.wav and jump.wav have free replacements now,
	so we can bundle them in freedinkedit.exe

2012-12-16  Sylvain Beucler <beuc@beuc.net>

	* src/init.c, src/paths.c: Fix early debugging of paths detection

2012-12-16  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, doc/autopackage.txt, doc/cross.txt, doc/fonts.txt,
	doc/{mingw-cross-env.txt => mxe.txt}, doc/woe-compile.txt: woe
	build: update docs

2012-12-09  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: Precise pbuilder instructions

2012-12-09  Sylvain Beucler <beuc@beuc.net>

	* NEWS, configure.ac: Merge 1.08.20121209

2012-12-09  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/patches/install-reloc.patch,
	debian/patches/series: Release 1.08.20121209

2012-12-09  Sylvain Beucler <beuc@beuc.net>

	* ChangeLog, NEWS, configure.ac, debian/changelog, freedink.spec,
	po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/eo.po,
	po/es.po, po/eu.po, po/fi.po, po/fr.po, po/hr.po, po/id.po,
	po/it.po, po/nb.po, po/nl.po, po/pl.po, po/sl.po, po/sr.po,
	po/vi.po: Release 1.08.20121209

2012-12-09  Sylvain Beucler <beuc@beuc.net>

	* doc/gnulib.txt, doc/release.txt, gnulib/lib/.gitignore,
	gnulib/m4/.gitignore, gnulib/m4/gnulib-cache.m4: Update Gnulib

2012-12-09  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: Update Fedora Git URL

2012-11-15  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, NEWS, debian/copyright, po/LINGUAS, po/eu.po, po/fi.po: 
	New Basque translation and updated Finnish translation

2012-11-04  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, NEWS, debian/copyright, po/LINGUAS, po/ca.po, po/da.po,
	po/de.po, po/eo.po, po/fr.po, po/hr.po, po/nb.po, po/nl.po,
	po/pl.po, po/vi.po: Update translations

2012-10-14  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/patches/install-reloc.patch,
	debian/patches/series: Sync debian/ + prepare next Debian release

2012-10-14  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/freedink.c: Mark places where spr[0] might be
	trashed I'm not sure about fixing this, because often in Dink, bugs like
	this have side effects, and D-Mods might depend on these side
	effects.  Fixing this miswrite could break some D-Mods :/ If we're
	sure there's no side effect we can fix them.  See also http://bugs.debian.org/688934 (thanks to Bas Wijnen for pointing out)

2012-10-14  Sylvain Beucler <beuc@beuc.net>

	* po/cs.po, po/da.po, po/de.po, po/el.po, po/eo.po, po/es.po,
	po/fi.po, po/fr.po, po/hr.po, po/id.po, po/it.po, po/nb.po,
	po/nl.po, po/pl.po, po/sl.po, po/sr.po, po/vi.po: make update-po

2012-10-14  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, NEWS, debian/copyright, po/nb.po: Updated Norwegian
	Bokmaal translation

2012-10-14  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/freedink.c: Fix game freeze when warping in some special
	situations (thanks Bas Wijnen)

2012-10-14  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c, src/dinkvar.c, src/dinkvar.h,
	src/freedink.c, src/game_engine.h: Factor find_sprite + doc

2012-10-13  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/dinkvar.h, src/freedink.c, src/freedink.h,
	src/freedinkedit.c, src/game_engine.h, src/screen.c,
	src/update_frame.c: Clarify & document warp functions and variables

2012-06-10  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: freedink.spec: reference bundled copy of gnulib

2012-04-27  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog: Tidy Debian changelog

2012-04-27  Sylvain Beucler <beuc@beuc.net>

	* NEWS, configure.ac: Merve 1.08.20120427

2012-04-27  Sylvain Beucler <beuc@beuc.net>

	* ChangeLog, configure.ac, doc/release.txt: Release 1.08.20120427

2012-04-27  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/control, freedink.spec: Update packaging

2012-04-27  Sylvain Beucler <beuc@beuc.net>

	* autotools/.gitignore, gnulib/lib/.gitignore,
	gnulib/m4/.gitignore, gnulib/m4/gnulib-cache.m4: Update gnulib

2012-04-27  Sylvain Beucler <beuc@beuc.net>

	* doc/mingw-cross-env.txt: Update mxe study

2012-04-27  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, NEWS, debian/copyright, po/LINGUAS, po/cs.po, po/da.po,
	po/de.po, po/el.po, po/eo.po, po/es.po, po/fi.po, po/fr.po,
	po/hr.po, po/id.po, po/it.po, po/nb.po, po/nl.po, po/pl.po,
	po/sl.po, po/sr.po, po/vi.po: Update translations

2012-01-08  Sylvain Beucler <beuc@beuc.net>

	* contrib/ffrextract.c: Fix minor compilation issues in ffrextrat

2012-01-08  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, NEWS, debian/copyright, po/LINGUAS, po/sr.po: New Serbian
	translation

2011-07-25  Sylvain Beucler <beuc@beuc.net>

	* NEWS: Tidy NEWS file

2011-07-25  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, NEWS, debian/copyright, po/LINGUAS, po/sl.po: New
	Slovenian translation

2011-07-25  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: Fix Fedora package URL

2011-07-25  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/dinkc_bindings.c: Support sp_seq(..., -1) again

2011-06-11  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_sprites.c: Not doing dir.ff palette conversion in
	truecolor mode

2011-06-01  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.h, src/game_engine.h, src/sfx.h, src/update_frame.c: A
	couple C headers fixes

2011-05-30  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c, src/freedinkedit.c, src/update_frame.c: Fix GCC 4.6
	warnings

2011-03-26  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/control: Drop Debian support for Lenny

2011-03-26  Sylvain Beucler <beuc@beuc.net>

	* NEWS, autobuild/freedink-debs.sh, configure.ac, debian/changelog,
	debian/compat, debian/copyright, debian/rules,
	debian/source/format, src/dinkc_bindings.c: Modernize Debian
	packaging

2011-03-18  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, NEWS, debian/copyright, po/LINGUAS, po/eo.po: New
	Esperanto translation

2011-03-18  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: playmidi: play 9.mid when requesting 1009 or
	1009.mid

2010-11-14  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/control, doc/release.txt: Sync Debian

2010-11-14  Sylvain Beucler <beuc@beuc.net>

	* NEWS, configure.ac: Sync release fixes to trunk

2010-11-14  Sylvain Beucler <beuc@beuc.net>

	* ChangeLog, NEWS, configure.ac, doc/release.txt, freedink.spec,
	po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/fi.po,
	po/fr.po, po/id.po, po/it.po, po/nb.po, po/nl.po, po/pl.po,
	po/vi.po: Release 1.08.20101114

2010-11-13  Sylvain Beucler <beuc@beuc.net>

	* BUILD, NEWS: Precise gettext+libiconv dependency

2010-11-12  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, NEWS: Update NEWS

2010-11-12  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-debs.sh, autobuild/freedink-exe.sh,
	autobuild/freedink-rpms.sh, autobuild/freedink-snapshot.sh: Sync
	autobuilder scripts

2010-11-12  Sylvain Beucler <beuc@beuc.net>

	* BUILD, configure.ac, doc/cross.txt: Support external gettext under
	woe

2010-11-12  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/control, debian/rules: Require debhelper
	7.4.2

2010-11-12  Sylvain Beucler <beuc@beuc.net>

	* doc/bootstrap.txt, doc/cross.txt, doc/release.txt,
	src/Makefile.am: Release process fixes, notably adding gettext as a
	new woe dependency

2010-11-12  Sylvain Beucler <beuc@beuc.net>

	* Makefile.am, bootstrap, configure.ac, doc/bootstrap.txt,
	doc/gettext.txt, doc/release.txt, po/.gitignore, po/ChangeLog: 
	Upgrade gettext infrastructure (required by newer gnulib)

2010-11-12  Sylvain Beucler <beuc@beuc.net>

	* gnulib/lib/.gitignore, gnulib/m4/.gitignore,
	gnulib/m4/gnulib-cache.m4: Update gnulib

2010-11-12  Sylvain Beucler <beuc@beuc.net>

	* Makefile.am, configure.ac, nsis/Makefile.am: Use file-grained
	EXTRA_DIST for nsis, to avoid shipping installer work files

2010-11-12  Sylvain Beucler <beuc@beuc.net>

	* doc/gettext.txt: Remove obsolete gettext info

2010-11-12  Sylvain Beucler <beuc@beuc.net>

	* doc/hardware_surfaces.txt, doc/testvidinfo.txt: More doc on
	hardware surfaces

2010-11-12  Sylvain Beucler <beuc@beuc.net>

	* doc/testvidinfo.txt: Added video information for several platforms

2010-11-08  Sylvain Beucler <beuc@beuc.net>

	* BUILD, doc/TODO, doc/cross.txt, doc/palettes.txt, src/gfx.c,
	test/sdl/paltest.c: More docs on palettes

2010-11-06  Sylvain Beucler <beuc@beuc.net>

	* doc/TODO, doc/hardware_surfaces.txt: Notes on SDL 1.3 support of
	server-side X Pixmap

2010-11-01  Sylvain Beucler <beuc@beuc.net>

	* doc/TODO, src/freedink.c, src/gfx.c, src/input.c, src/input.h: SDL
	1.3 tests

2010-11-01  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.c: Dump bit flags in the right order

2010-11-01  Sylvain Beucler <beuc@beuc.net>

	* src/bgm.c: Disable unsupported CD-ROM module under SDL 1.3

2010-10-30  Sylvain Beucler <beuc@beuc.net>

	* doc/psp/PSP-MEM, doc/psp/PSP-READ2, doc/psp/TODO-PSP,
	doc/psp/memstat_hungry.c, doc/psp/memstat_mallinfo.c,
	doc/psp/zooming.patch: Archive some PSP docs

2010-10-30  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, debian/copyright, po/LINGUAS, po/cs.po: New Czech
	translation

2010-10-30  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/copyright, debian/rules: Sync debian/

2010-10-30  Sylvain Beucler <beuc@beuc.net>

	* po/it.po: Actually commit new Italian translation

2010-10-30  Sylvain Beucler <beuc@beuc.net>

	* NEWS, README, doc/mingw-cross-env.txt, doc/release.txt,
	src/init.c: Doc fixes

2010-10-22  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, NEWS, debian/copyright, po/LINGUAS: New Italian
	translation

2010-10-12  Sylvain Beucler <beuc@beuc.net>

	* NEWS, po/LINGUAS, po/el.po: Add Greek translation

2010-10-10  Sylvain Beucler <beuc@beuc.net>

	* po/es.po: Update Spanish translation

2010-09-20  Sylvain Beucler <beuc@beuc.net>

	* NEWS, nsis/AdvUninstLog.nsh, nsis/README, nsis/freedink-all.nsi: 
	Improvements to the NSIS-based woe installer

2010-09-19  Sylvain Beucler <beuc@beuc.net>

	* contrib/search_script.c: search_script can now find a substring of
	a script name, and scripts attached to map screens

2010-08-29  Sylvain Beucler <beuc@beuc.net>

	* contrib/.gitignore, contrib/search_music.c: Quick hack: I needed
	to search where a midi file was used in the map

2010-08-03  Sylvain Beucler <beuc@beuc.net>

	* NEWS: Mention high-speed mode in NEWS

2010-08-03  Sylvain Beucler <beuc@beuc.net>

	* README, src/dinkc.c, src/dinkvar.c, src/dinkvar.h,
	src/freedink.c, src/game_engine.c, src/game_engine.h,
	src/gfx_tiles.c, src/init.c, src/update_frame.c: Implement
	high-speed mode (maintain Tab pressed == triple speed)

2010-08-03  Sylvain Beucler <beuc@beuc.net>

	* TRANSLATIONS.txt: Remove references to DFArc in TRANSLATIONS.txt

2010-06-13  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c: Typo

2010-06-13  Sylvain Beucler <beuc@beuc.net>

	* NEWS, contrib/.gitignore, contrib/search_script.c, src/dinkvar.c,
	src/dinkvar.h: Add script to find a DinkC script usage in the world
	map

2010-06-13  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/dinkc_bindings.c, src/update_frame.c: Fix game crash
	when referencing a sequence >= 1000

2010-06-13  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/gfx_sprites.c: Override transparency for 32bit BMPs

2010-06-13  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/init.c: Mention -t/--truecolor in --help

2010-06-13  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/dinkc.c: Fix buffer overflow in DinkC variable
	assignment

2010-05-30  Sylvain Beucler <beuc@beuc.net>

	* NEWS, po/da.po: Update Danish translation from TP

2010-05-30  Sylvain Beucler <beuc@beuc.net>

	* src/dinkini.c: Fix missing newline in a console error

2010-05-30  Sylvain Beucler <beuc@beuc.net>

	* TROUBLESHOOTING: Update TROUBLESHOOTING + mention performances
	issues with KMS

2010-05-20  Sylvain Beucler <beuc@beuc.net>

	* doc/memory_usage.txt: exmap news: I managed to run it on recent
	kernel/compilers

2010-05-20  Sylvain Beucler <beuc@beuc.net>

	* configure.ac: Another good reason to use C99 over C89

2010-05-19  Sylvain Beucler <beuc@beuc.net>

	* doc/ncc.txt: Explain NCC support

2010-05-19  Sylvain Beucler <beuc@beuc.net>

	* configure.ac: Document rationale behind std=c99

2010-05-19  Sylvain Beucler <beuc@beuc.net>

	* doc/mingw-cross-env.txt: Document a legitimate use case for .dll's

2010-05-01  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c, src/dinkvar.c, src/dinkvar.h,
	src/freedink.c, src/freedink.h, src/freedinkedit.c,
	src/update_frame.c: More variables made static; fix ncc support

2010-05-01  Sylvain Beucler <beuc@beuc.net>

	* NEWS: Update NEWS

2010-05-01  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/dinkvar.h, src/freedinkedit.c: Make
	editor-specific variables static (also fixes the last freedinkedit
	warning)

2010-05-01  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.c: Fix 'may be used uninitialized' C warning
	(variable 'greba' in freedinkedit

2010-05-01  Sylvain Beucler <beuc@beuc.net>

	* configure.ac: Tame configure warning: precise that help2man is
	only necessary if you modify the source code

2010-05-01  Sylvain Beucler <beuc@beuc.net>

	* src/fastfile.c: Fix type warning

2010-04-28  Sylvain Beucler <beuc@beuc.net>

	* doc/mingw-cross-env.txt, doc/woe-compile.txt: Notes on
	mingw-cross-env

2010-04-26  Sylvain Beucler <beuc@beuc.net>

	* src/game_engine.c: Mention FreeDink on the title screen so players
	know what engine they use when reporting bugs

2010-04-20  Sylvain Beucler <beuc@beuc.net>

	* NEWS, configure.ac: Set version back to UNRELEASED/20100232

2010-04-20  Sylvain Beucler <beuc@beuc.net>

	* ChangeLog, NEWS, configure.ac, freedink.spec, po/da.po, po/de.po,
	po/es.po, po/fi.po, po/fr.po, po/id.po, po/nb.po, po/nl.po,
	po/pl.po, po/vi.po: Release 1.08.20100420

2010-04-20  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/source/format, doc/cross.txt: sync debian

2010-04-20  Sylvain Beucler <beuc@beuc.net>

	* NEWS: Update NEWS

2010-04-20  Sylvain Beucler <beuc@beuc.net>

	* doc/cross.txt, doc/mingw-cross-env.txt, doc/woe-compile.txt: 
	Update cross-compilation doc

2010-04-20  Sylvain Beucler <beuc@beuc.net>

	* autotools/.gitignore, gnulib/lib/.gitignore, gnulib/m4/.gitignore: 
	Update Gnulib

2010-04-01  Sylvain Beucler <beuc@beuc.net>

	* Makefile.am: Include acsite.m4 in releases

2010-03-28  Sylvain Beucler <beuc@beuc.net>

	* po/vi.po: Sync vietnamese translation with TP

2010-03-21  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: .zip are preferrable over .tar.gz at the DN

2010-03-21  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/control, debian/copyright, freedink.spec: 
	Packaging fixes/syncs

2010-03-21  Sylvain Beucler <beuc@beuc.net>

	* NEWS, configure.ac: Set version back to UNRELEASED/20100232

2010-03-21  Sylvain Beucler <beuc@beuc.net>

	* ChangeLog, NEWS, configure.ac, freedink.spec, po/da.po, po/de.po,
	po/es.po, po/fi.po, po/fr.po, po/id.po, po/nb.po, po/nl.po,
	po/pl.po, po/vi.po: Release 1.08.20100321

2010-02-28  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, doc/cross.txt: Get a minimal mikmod to work at last

2010-02-28  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, NEWS, po/LINGUAS, po/de.po: Add new German translation

2010-02-28  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, doc/cross.txt: Forsake mikmod as .dll for now

2010-02-28  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, doc/cross.txt: Support mikmod in static woe builds

2010-02-28  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/dinkc_bindings.c: Fix crash in show_console mode

2010-02-28  Sylvain Beucler <beuc@beuc.net>

	* doc/cross.txt: Support cross-compiling libmikmod

2010-02-21  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS: Credit Indonesian translator in AUTHORS

2010-02-21  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-exe.sh, doc/cross.txt: Update dependencies for
	woe builds

2010-02-21  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-exe.sh, doc/cross.txt: Update dependencies for
	woe builds

2010-02-21  Sylvain Beucler <beuc@beuc.net>

	* Makefile.am: Add instructions for translators - also in the
	.tar.gz

2010-02-21  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-exe.sh, autobuild/freedink-snapshot.sh: Sync
	autobuild scripts

2010-02-21  Sylvain Beucler <beuc@beuc.net>

	* TRANSLATIONS.txt: Add instructions for translators

2010-02-21  Sylvain Beucler <beuc@beuc.net>

	* NEWS, po/LINGUAS, po/id.po: New Indonesian translation

2010-02-21  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/dinkc_sp_custom.c: Fix sp_custom so it doesn't always
	quit the game

2010-02-21  Sylvain Beucler <beuc@beuc.net>

	* autotools/.gitignore, gnulib/lib/.gitignore,
	gnulib/m4/.gitignore, gnulib/m4/gnulib-cache.m4: Update Gnulib

2010-02-03  Sylvain Beucler <beuc@beuc.net>

	* po/LINGUAS, po/nl.po: New Dutch translation from the TP

2010-02-03  Sylvain Beucler <beuc@beuc.net>

	* po/nb.po: Sent Norwegian translation to the TP

2010-02-03  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: Update JeuxLibres.net when making a release

2009-11-13  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, NEWS, debian/copyright, po/LINGUAS, po/Makevars,
	po/{de.po => da.po}, po/es.po, po/fr.po, po/pl.po, po/vi.po: New
	translations: es,da,pl,vi; updated French translation

2009-09-30  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: Add more contact URLs for releases

2009-09-30  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: Sync openSUSE

2009-09-30  Sylvain Beucler <beuc@beuc.net>

	* debian/{BUILD => README.source}, debian/changelog,
	debian/control, debian/copyright, debian/gbp.conf, debian/rules: 
	Sync debian

2009-09-30  Sylvain Beucler <beuc@beuc.net>

	* po/LINGUAS, po/fi.po: Add Finnish translation

2009-09-29  Sylvain Beucler <beuc@beuc.net>

	* doc/SDL_gfx-patches/asm_gcc4.3.diff,
	doc/SDL_gfx-patches/asm_win32_nomingw.diff,
	doc/SDL_gfx-patches/debian_020_gcc4.3.diff,
	doc/SDL_gfx-patches/libtool_crosscompile.diff,
	doc/SDL_gfx-patches/libtool_static.diff,
	doc/SDL_gfx-patches/scaling-2.diff,
	doc/SDL_gfx-patches/scaling.diff, doc/SDL_gfx-patches/series,
	doc/cross.txt: SDL_gfx patches are now included upstream (2.0.20)

2009-09-19  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: No Makefile in the 'releases/woe' directory

2009-09-19  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-debs.sh, autobuild/freedink-exe.sh,
	autobuild/freedink-rpms.sh: Sync autobuild scripts

2009-09-19  Sylvain Beucler <beuc@beuc.net>

	* NEWS, configure.ac: Set version back to UNRELEASED/20090932

2009-09-18  Sylvain Beucler <beuc@beuc.net>

	* NEWS, configure.ac, freedink.spec, po/de.po, po/fr.po, po/nb.po: 
	Release 1.08.20090918

2009-09-18  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.c, src/freedinkedit.c, src/init.c: Fix crashing when
	exiting under woe

2009-09-18  Sylvain Beucler <beuc@beuc.net>

	* src/fastfile.c, src/fastfile.h: Clarify fastfile module quit

2009-09-17  Sylvain Beucler <beuc@beuc.net>

	* doc/cross.txt: Update cross-compilation dependencies, and their
	build instructions

2009-09-17  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: Document version scheme

2009-09-16  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: Improve documentation about release process

2009-09-16  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_fonts.c: Fixed slight memory leak in font lookup

2009-09-16  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am: Correctly locates engine translations under
	Debian

2009-09-16  Sylvain Beucler <beuc@beuc.net>

	* ChangeLog, NEWS, configure.ac, doc/release.txt, freedink.spec,
	po/de.po, po/fr.po, po/nb.po: Release 1.08.20090916

2009-09-16  Sylvain Beucler <beuc@beuc.net>

	* share/README.fonts: Upgrade LiberationSans-Regular.ttf to v1.04.93

2009-09-16  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: Precise current directory in the release process

2009-09-16  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_fonts.c: Detail fontconfig error messages

2009-09-10  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.c, src/freedinkedit.c, src/gfx_sprites.c, src/sfx.c: 
	Remove a few unused variables

2009-08-30  Sylvain Beucler <beuc@beuc.net>

	* gnulib/lib/.gitignore, gnulib/m4/.gitignore: Update gnulib

2009-08-30  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Give priority to fade_up() over fade_down()
	- fix SoB intro in truecolor mode

2009-08-30  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c, src/dinkc_sp_custom.c: Fix compilation
	warnings, including 2 off-by-one memory access

2009-08-30  Sylvain Beucler <beuc@beuc.net>

	* src/i18n.c: Fix typo that causes invalid memory access in the
	translation system

2009-08-30  Sylvain Beucler <beuc@beuc.net>

	* doc/fonts.txt, doc/valgrind.txt,
	valgrind/suppressions-debian_testing.txt: Precisions about font
	patents and valgrind usage

2009-08-30  Sylvain Beucler <beuc@beuc.net>

	* po/de.po, po/fr.po, po/nb.po: PO update

2009-07-17  me <me@debian.(none)>

	* BUILD, README: Make reference to BUILD more visible in README and
	point to newer freedink-data for the data

2009-07-17  me <me@debian.(none)>

	* src/Makefile.am: Remove 'dink' and 'dinkedit' symlink on uninstall

2009-07-10  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: More release instructions precisions

2009-07-10  Sylvain Beucler <beuc@beuc.net>

	* gnulib/lib/.gitignore, gnulib/m4/.gitignore: Gnulib update

2009-07-10  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.c: Fix repeating keys bug in the editor

2009-07-06  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: Improve release instructions

2009-07-05  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: Improve release instructions

2009-07-05  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/dinkc_bindings.c, src/i18n.c, src/i18n.h: Support for
	context in translations

2009-07-05  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c: Fix buffer overflow in recent fseek->fread
	conversion

2009-07-05  Sylvain Beucler <beuc@beuc.net>

	* doc/TODO, src/media/README: Update TODO

2009-07-05  Sylvain Beucler <beuc@beuc.net>

	* test/sdl/mixer_stream.c: Add standalone test for streaming chunks
	in SDL_mixer

2009-07-05  Sylvain Beucler <beuc@beuc.net>

	* contrib/xpot-tag.pl: xpot: don't miss translatable string when
	there's a space between the 2nd quote and the comma (missed 1 string
	in the original game)

2009-07-05  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c: Use fread/fwrite instead of fseek for small skips -
	this greatly improves perfs on PSP

2009-07-05  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.c, src/gfx_sprites.c: A little clean-up in sprite loading

2009-07-05  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_sprites.c: Cancel dir.ff+png trick - no performance
	improvement.  This reverts commit 2d8ce789e72dcb2707f77f1ecd7c36f4dadfd7f6.

2009-07-04  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_sprites.c: Support alternate dir.ff with png's, that I
	made for the PSP port

2009-07-04  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.c, src/gfx_fonts.c: Detect truecolor-ness in fallback mode

2009-07-04  Sylvain Beucler <beuc@beuc.net>

	* contrib/ffrextract.c, contrib/ffrpack.cpp, src/Makefile.am,
	src/dinkc_bindings.c, src/dinkvar.c, src/freedink.c, src/gfx.c,
	src/gfx.h, src/gfx_fonts.c, src/gfx_palette.c, src/{gfx_utils.h =>
	gfx_palette.h}, src/gfx_utils.c, src/init.c, src/update_frame.c: 
	Encapsulate and simplify physical palette manipulation

2009-07-04  Sylvain Beucler <beuc@beuc.net>

	* contrib/.gitignore, contrib/ffrextract.c, contrib/ffrpack.cpp: 
	contrib: adding dir.ff packing tool

2009-07-04  Sylvain Beucler <beuc@beuc.net>

	* contrib/ffrextract.c: ffrextract: fix fastfile extraction when
	there's a dir.ff within the dir.ff

2009-07-03  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.c, src/freedinkedit.c, src/sfx.c, src/sfx.h: 
	Reimplement the SFX channels clean-up without threads, because PSP
	support is suboptimal

2009-07-03  Sylvain Beucler <beuc@beuc.net>

	* NEWS: Document RAM optimization

2009-07-03  Sylvain Beucler <beuc@beuc.net>

	* src/sfx.c: Sound memory usage: quit playing finished sounds asap

2009-07-03  Sylvain Beucler <beuc@beuc.net>

	* src/sfx.c: Sound memory usage: close non-playing channels from a
	thread

2009-07-03  Sylvain Beucler <beuc@beuc.net>

	* src/sfx.c: Sound memory usage: get rid of per-channel fake buffer

2009-07-01  Sylvain Beucler <beuc@beuc.net>

	* Makefile.am, configure.ac, debian/changelog, debian/control,
	debian/copyright, debian/rules, doc/release.txt, src/freedinkedit.c: 
	Fix Debian lintian warnings + sync with Debian packaging

2009-06-14  Sylvain Beucler <beuc@beuc.net>

	* debian/BUILD: Deprecate notes about dpkg-shlibdeps warnings,
	because we don't use libzzip anymore

2009-06-14  Sylvain Beucler <beuc@beuc.net>

	* BUILD: Remove libffi from build instructions

2009-05-26  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c, src/dinkc_bindings.c: Fix crash when calling
	drap_map_game()

2009-05-24  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-rpms.sh, freedink.spec: Include
	LiberationFont-Sans.ttf in our Fedora builds, to avoid dependencies
	conflicts due to F11 font renaming

2009-05-21  Sylvain Beucler <beuc@beuc.net>

	* Makefile.am, configure.ac, doc/psp.txt, psp/Makefile.PSP.EBOOT,
	psp/README, src/Makefile.am, src/init.c: Integrate PSP build system

2009-05-21  Sylvain Beucler <beuc@beuc.net>

	* doc/psp.txt, src/dinkc.c, src/dinkc_bindings.c, src/gfx_fonts.c: 
	Improve debug messages

2009-04-25  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Fix crash in a DinkC parsing corner case
	(introduced in recent clean-up)

2009-04-21  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/dinkc_bindings.c: Log all say_xxx(...) DinkC calls,
	because it makes it much easier to debug

2009-04-21  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Expand the text given to say_xy(...) (bug
	introduced when fixing DinkC buffer overflows)

2009-04-21  Sylvain Beucler <beuc@beuc.net>

	* contrib/dmods_mass_extract.sh, contrib/ffrextract.c,
	src/gfx_sprites.h: Reduce MAX_FRAMES_PER_ABUSED_SEQUENCE from 1000
	to 69 (max ever abused in D-Mods), this saves 3.5MB of .bss which
	comes in handy for PSP1

2009-04-21  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c, src/dinkvar.c, src/game_engine.h: Drop unused fields
	from 'struct player_info'

2009-04-20  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, src/meminfo.c: Check if 'struct mallinfo' is present
	for malloc stats - e.g. it's not in mingw32

2009-04-20  Sylvain Beucler <beuc@beuc.net>

	* doc/existing_bugs.txt, src/dinkc_bindings.c, src/dinkvar.c,
	src/dinkvar.h: Clean-up: rename
	kill_cur_item_script->kill_item_script,
	kill_cur_magic_script->kill_mitem_script

2009-04-20  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c, src/dinkvar.c, src/dinkvar.h,
	src/freedink.c, src/game_engine.h, src/update_frame.c: Clean-up:
	index item[] and item[] from 0

2009-04-19  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/game_engine.h: Item's script name is 11 chars
	instead of 10, thanks to off-by-one overflow on a memory alignment
	gap

2009-04-19  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: get_next_sprite_with_this_brain didn't work
	anymore because the (int, int, int) signature was not declared

2009-04-19  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.c, src/meminfo.c, src/sfx.c: Remove extra \n in log_debug
	calls

2009-04-19  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/dinkc.c, src/dinkc_bindings.c, src/dinkvar.c,
	src/dinkvar.h, src/freedinkedit.c, src/game_engine.h, src/gfx.c,
	src/gfx.h, src/gfx_tiles.c, src/gfx_tiles.h, src/screen.c: Clean-up:
	factor out tiles display, rename hardness-related variables for
	clarity

2009-04-19  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/Makefile.am, src/dinkc.h, src/dinkc_bindings.c,
	src/dinkvar.c, src/dinkvar.h, src/freedinkedit.c,
	src/game_engine.c, src/game_engine.h, src/gfx_tiles.c,
	src/screen.c, src/screen.h, src/update_frame.c: Clean-up: factor out
	sprite sort by queue, new screen.c file for screen display and
	hardness functions

2009-04-19  Sylvain Beucler <beuc@beuc.net>

	* src/meminfo.c, src/meminfo.h: Debug GFX/SFX memory usage when
	loading a screen (2)

2009-04-18  Sylvain Beucler <beuc@beuc.net>

	* doc/psp.txt, src/Makefile.am, src/freedink.h, src/gfx.c,
	src/gfx.h, src/gfx_tiles.c, src/sfx.c, src/sfx.h: Debug GFX/SFX
	memory usage when loading a screen

2009-04-17  Sylvain Beucler <beuc@beuc.net>

	* doc/memory_usage.txt, src/dinkvar.c, src/dinkvar.h,
	src/gfx_sprites.c, src/gfx_sprites.h, src/gfx_tiles.c: Reduce BSS
	data segment by removing unused data or shortening fields

2009-04-16  Sylvain Beucler <beuc@beuc.net>

	* NEWS, doc/memory_usage.txt, doc/psp.txt: Doc: mention .bss / data
	segment size

2009-04-13  Sylvain Beucler <beuc@beuc.net>

	* doc/psp.txt: Precise/fix/clean-up psp.txt

2009-04-13  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec, src/SDL_rwops_zzip.c, src/dinkvar.h,
	src/freedink.c, src/game_engine.h, src/gfx.h, src/i18n.c,
	src/i18n.h, src/io_util.h, src/log.h, src/msgbox.c, src/msgbox.h,
	src/paths.h, src/str_util.c, src/str_util.h, src/vgasys_fon.c: 
	Update copyright notices

2009-04-13  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_fonts.c: Update 'Liberation-Sans not found' error message
	with new lookup order

2009-04-12  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Fix regression: now text can be coloured
	again

2009-04-12  Sylvain Beucler <beuc@beuc.net>

	* : Improve PSP background

2009-04-12  Sylvain Beucler <beuc@beuc.net>

	* src/io_util.c, src/paths.c, src/paths.h: Allow loading
	Liberation-Sans from exedir, because bunding resources can be
	inconvenient and is mainly used for standalone .exe w/o data

2009-04-12  Sylvain Beucler <beuc@beuc.net>

	* src/i18n.c, src/log.c: mingw32 fix: use setvbuf instead of
	setlinebuf

2009-04-12  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c, src/dinkvar.c, src/gfx_sprites.c: Fix memory
	leaks introduces by recent static->malloc changes

2009-04-12  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c: Use more common array indexes in figure_out and
	pre_figure_out

2009-04-12  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c, src/dinkvar.c, src/str_util.c: 
	separate_string now always returns an allocated string (no NULL):
	the return value was never checked in the original code, so there's
	no disruptive change, and this simplifies the calling code

2009-04-12  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Fix potential buffer overflow in DinkC
	arguments processing (slist[])

2009-04-12  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/dinkvar.h, src/game_engine.h: Remove empty
	fields from dumpable memory structures (dink_dat, map, savegame) and
	protect against corrupt savegames by forcing string null-termination

2009-04-12  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c, src/dinkvar.h, src/gfx_fonts.c,
	src/str_util.c: Fix another couple buffer overflows (process_line,
	talk_get)

2009-04-12  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c, src/dinkc.h: Fix off-by-1 in 'locate_goto(...)'

2009-04-11  Sylvain Beucler <beuc@beuc.net>

	* NEWS, doc/TODO, valgrind/suppressions-debian_lenny.txt: Update
	Valgrind suppressions to detect invalid memory accesses and leaks

2009-04-11  Sylvain Beucler <beuc@beuc.net>

	* doc/TODO, src/dinkc.c, src/dinkc.h, src/dinkc_bindings.c,
	src/dinkvar.c, src/dinkvar.h, src/fastfile.c, src/i18n.c,
	src/i18n.h, src/str_util.c, src/str_util.h: Fix potential buffer
	overflows when reading a DinkC script (separate_string,
	i18n_translate, decipher_string, talk_get...))

2009-04-11  Sylvain Beucler <beuc@beuc.net>

	* NEWS, doc/existing_bugs.txt, src/dinkc.c, src/dinkc.h,
	src/dinkc_bindings.c, src/dinkvar.c, src/game_engine.h,
	src/str_util.c, src/str_util.h: Fix potential buffer overflow when
	reading a DinkC script (replace(...))

2009-04-11  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c, src/dinkc.h, src/dinkc_bindings.c: Fix potential
	buffer overflow when reading a huge DinkC line (get_word())

2009-04-11  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c, src/dinkc.h, src/dinkc_bindings.c: Fix potential
	buffer overflow when reading a huge DinkC line

2009-04-10  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c, src/dinkc.h, src/dinkc_bindings.c: Store script's
	last parsed line (instead of parser position ~= next line) to ease
	debugging

2009-04-10  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c, src/dinkc_bindings.c: Attempt to make DinkC-related
	warnings/errors more visible in the log

2009-04-10  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c, src/dinkc.h, src/dinkc_bindings.c: Count lines in
	DinkC scripts to ease debugging

2009-04-10  Sylvain Beucler <beuc@beuc.net>

	* doc/psp.txt, src/SDL_rwops_libzip.c, src/bgm.c, src/dinkc.c,
	src/dinkc_bindings.c, src/dinkini.c, src/dinkvar.c, src/freedink.c,
	src/freedinkedit.c, src/gfx.c, src/gfx.h, src/gfx_fonts.c,
	src/gfx_sprites.c, src/gfx_tiles.c, src/init.c, src/input.c,
	src/io_util.c, src/io_util.h, src/log.c, src/log.h, src/paths.c,
	src/sfx.c, src/update_frame.c: Add small log facility so that text
	output 1) can be turned off and 2) is classified by priority

2009-04-09  Sylvain Beucler <beuc@beuc.net>

	* doc/psp.txt, src/SDL_rwops_zzip.c, src/init.c, src/io_util.c,
	src/paths.c, src/paths.h: Support .zip resources for PSP

2009-04-05  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.c, src/freedinkedit.c, src/gfx_fonts.c, src/init.c: 
	Make [Home] quit properly without crashing

2009-04-05  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c: Support naming new actions 12/14/16/18
	(down/left/right/up) in decipher_string

2009-04-05  Sylvain Beucler <beuc@beuc.net>

	* doc/psp.txt, psp/Makefile.PSP.EBOOT, src/bgm.c,
	src/dinkc_bindings.c, src/dinkini.c, src/game_engine.c, src/gfx.c,
	src/gfx_sprites.c, src/gfx_tiles.c, src/init.c, src/input.c,
	src/io_util.c, src/msgbox.c, src/paths.c, src/sfx.c: Allow
	finiObjects() and other uninitialization procedures to be called
	twice

2009-03-26  Sylvain Beucler <beuc@beuc.net>

	* doc/cross.txt, doc/psp.txt: Documentation: downgrading PSP
	firmware and first steps with GDB

2009-03-25  Sylvain Beucler <beuc@beuc.net>

	* doc/log.txt, doc/psp.txt, gnulib/lib/.gitignore: Docs

2009-03-22  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/freedink.c, src/freedinkedit.c, src/gfx.c, src/gfx.h: 
	Add alternate fullscreen-toggling code that is more portable

2009-03-22  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.c, src/input.c, src/input.h: Support mapping joystick
	buttons to left/right/up/down

2009-03-22  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, doc/psp.txt, src/input.c: Doc fixes

2009-03-22  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/freedink.c, src/freedinkedit.c, src/input.c,
	src/input.h: More input clean-up; support in FreeDinkedit +
	clarifications

2009-03-22  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c, src/dinkc_bindings.c, src/dinkvar.c, src/freedink.c,
	src/freedinkedit.c, src/game_engine.h, src/input.c, src/input.h,
	src/update_frame.c: More input clean-up; count buttons from 0
	internally

2009-03-21  Sylvain Beucler <beuc@beuc.net>

	* doc/psp.txt, src/dinkc.c, src/dinkc_bindings.c, src/dinkvar.c,
	src/freedink.c, src/game_engine.c, src/game_engine.h, src/input.c,
	src/input.h: Clean-up input/buttons handling code a bit, and provide
	alternate buttons mapping for PSP

2009-03-17  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.c, src/init.c: Remove debug memory stats from
	initialization

2009-03-17  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, doc/psp.txt: Add Tremor (Ogg Vorbis) in the build
	system

2009-03-16  Sylvain Beucler <beuc@beuc.net>

	* doc/psp.txt, psp/Makefile.PSP.EBOOT: Fix build system to use more
	PSP RAM

2009-03-15  Sylvain Beucler <beuc@beuc.net>

	* gnulib/m4/gnulib-cache.m4, src/dinkc.c, src/dinkc.h,
	src/freedink.c, src/init.c, src/input.c: Fix potential buffer
	overflows when reading scripts from disk to buffers

2009-03-15  Sylvain Beucler <beuc@beuc.net>

	* psp/Makefile.PSP.EBOOT: Add PSP-specific Makefile to generate
	EBOOT.PBP from the MIPS binary

2009-03-15  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/dinkvar.h, src/game_engine.h, src/gfx.c,
	src/gfx_sprites.c, src/gfx_sprites.h, src/init.h: Clean-up: move
	structures out of dinkvar, better errors when loading from a dir.ff

2009-03-15  Sylvain Beucler <beuc@beuc.net>

	* doc/psp.txt: A bit of research on PSP available heap size

2009-03-15  Sylvain Beucler <beuc@beuc.net>

	* src/paths.c: Add a note of warning for packagers who would try to
	alter the default paths

2009-03-14  Sylvain Beucler <beuc@beuc.net>

	* doc/psp.txt, src/bgm.c, src/dinkini.c, src/freedink.c,
	src/game_engine.c, src/gfx.c, src/init.c, src/input.c,
	src/io_util.c, src/msgbox.c: Fix joystick button init + clean-ups

2009-03-14  Sylvain Beucler <beuc@beuc.net>

	* valgrind/suppressions-debian_lenny.txt,
	valgrind/suppressions-debian_testing.txt: Update valgrind
	suppressions

2009-03-14  Sylvain Beucler <beuc@beuc.net>

	* doc/existing_bugs.txt, doc/memory_usage.txt, doc/psp.txt,
	src/dinkc_bindings.c, src/dinkini.c, src/dinkini.h, src/freedink.c,
	src/freedink.h, src/freedinkedit.c, src/gfx.c, src/gfx_utils.c,
	src/gfx_utils.h, src/init.c, src/update_frame.c: Improve/clean-up
	initialization process

2009-03-14  Sylvain Beucler <beuc@beuc.net>

	* src/fastfile.c, src/fastfile.h, src/gfx_sprites.c: FastFileLock
	now returns RWops - this avoids returning an additional malloc'd
	copy of the file when using non-mmap mode

2009-03-12  Sylvain Beucler <beuc@beuc.net>

	* doc/psp.txt, src/freedink.c, src/freedinkedit.c,
	src/game_engine.c, src/game_engine.h, src/gfx.c, src/gfx.h,
	src/init.c, src/init.h, src/input.c: Display splash screen earlier
	during startup

2009-03-12  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.c, src/gfx_tiles.c: Better gfx failsafe init + PSP
	temporary #ifdef's

2009-03-11  Sylvain Beucler <beuc@beuc.net>

	* doc/psp.txt, src/Makefile.am, src/dinkvar.c, src/dinkvar.h,
	src/freedink.c, src/freedinkedit.c, src/game_engine.c,
	src/game_engine.h, src/gfx_tiles.h, src/init.c, src/input.c: More
	start-up clean-up

2009-03-11  Sylvain Beucler <beuc@beuc.net>

	* doc/psp.txt, src/paths.c: Fix a couple NULL pointer when running
	on PSP

2009-03-08  Sylvain Beucler <beuc@beuc.net>

	* doc/psp.txt: docfix

2009-03-08  Sylvain Beucler <beuc@beuc.net>

	* src/fastfile.c: Fix typo

2009-03-08  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, doc/psp.txt, src/msgbox.c: Properly order : add them
	in reverse order (dependencies last) to please limited linkers

2009-03-08  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, src/msgbox.c: Disable falling back to 'xmessage'
	when there's no fork(2)

2009-03-08  Sylvain Beucler <beuc@beuc.net>

	* src/fastfile.c: Re-enable mmap-based fastfiles for architectures
	that support it (was disabled for testing)

2009-03-08  Sylvain Beucler <beuc@beuc.net>

	* .gitignore: Ignore another build dir

2009-03-08  Sylvain Beucler <beuc@beuc.net>

	* src/SDL_rwops_libzip.c, src/SDL_rwops_zzip.c, src/bgm.c,
	src/bgm.h, src/dinkc.c, src/dinkc_console.c, src/dinkc_sp_custom.c,
	src/dinkini.c, src/dinkvar.c, src/dinkvar.h, src/fastfile.c,
	src/fastfile.h, src/freedink.c, src/freedink.h, src/game_engine.c,
	src/gfx.c, src/gfx.h, src/gfx_fade.c, src/gfx_fonts.c,
	src/gfx_fonts.h, src/gfx_sprites.c, src/gfx_sprites.h,
	src/gfx_tiles.c, src/gfx_tiles.h, src/gfx_utils.c, src/gfx_utils.h,
	src/init.c, src/init.h, src/input.c, src/input.h, src/io_util.c,
	src/io_util.h, src/log.c, src/log.h, src/paths.c, src/paths.h,
	src/rect.c, src/sfx.c, src/sfx.h, src/str_util.c, src/str_util.h,
	src/update_frame.h: Fix/update copyright notices

2009-03-08  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, doc/psp.txt, gnulib/m4/gnulib-cache.m4,
	src/SDL_rwops_libzip.c, src/bgm.c, src/dinkc_bindings.c,
	src/dinkc_console.c, src/dinkc_sp_custom.c, src/dinkini.c,
	src/dinkvar.c, src/fastfile.c, src/fastfile.h, src/freedinkedit.c,
	src/game_engine.c, src/gfx.c, src/gfx_fade.c, src/gfx_fonts.c,
	src/gfx_sprites.c, src/gfx_tiles.c, src/gfx_utils.c, src/init.c,
	src/input.c, src/io_util.c, src/log.c, src/paths.c, src/rect.c,
	src/sfx.c, src/update_frame.c: First batch of changes for PSP
	cross-compilation: drop libffi, add fastfile mode without mmap(2),
	clean-ups, build documentation

2009-03-07  Sylvain Beucler <beuc@beuc.net>

	* doc/psp.txt: PSP: taking screenshots

2009-03-06  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, doc/psp.txt: Add basic/survival infos about the PSP
	platform

2009-03-01  Sylvain Beucler <beuc@beuc.net>

	* doc/psp.txt: Add instructions to setup a PSP environment to
	compile SDL-based games

2009-03-01  Sylvain Beucler <beuc@beuc.net>

	* configure.ac: Properly check for SDL_ttf 2.0.9 in ./configure
	(e.g. previous code would fail for SDL_ttf 2.x.8)

2009-02-09  Sylvain Beucler <beuc@beuc.net>

	* nsis/freedink-all.nsi: Optimize NSIS installer

2009-02-08  Sylvain Beucler <beuc@beuc.net>

	* doc/woe-installers.txt, nsis/AdvUninstLog.nsh,
	nsis/freedink-all.nsi, nsis/registerExtension.nsh: Add first version
	of a woe installer using NSIS

2009-02-08  Sylvain Beucler <beuc@beuc.net>

	* gnulib/m4/.gitignore, gnulib/m4/gnulib-cache.m4: Update Gnulib

2009-02-08  Sylvain Beucler <beuc@beuc.net>

	* src/woeres.rc.in: Bundle more precise version information in
	.exe's

2009-02-07  Sylvain Beucler <beuc@beuc.net>

	* doc/woe-installers.txt: Initial research on generating woe
	installers from GNU/Linux

2009-02-04  Sylvain Beucler <beuc@beuc.net>

	* : commit 9c2e0442ecea3516974501de47975a946e266e8f Author: Sylvain
	Beucler <beuc@beuc.net> Date:   Wed Feb 4 22:20:55 2009 +0100

2009-02-04  Sylvain Beucler <beuc@beuc.net>

	* : commit 591b5d57660621e42428369e1667deeef80c3ae1 Author: Sylvain
	Beucler <beuc@beuc.net> Date:   Wed Feb 4 21:45:40 2009 +0100

2009-02-01  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-debs.sh, autobuild/freedink-snapshot.sh,
	debian/copyright, debian/rules, src/dinkc_bindings.c,
	src/freedink.c, src/freedinkedit.c, src/paths.c, src/update_frame.c: 
	Update some copyright notices

2009-02-01  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.c, src/update_frame.c: Fix unsafe uses of sprintf
	of the form sprintf(buf, "%s foo %d %d", buf, var1, var2); - cf.
	http://lists.debian.org/debian-devel/2008/12/msg01079.html

2009-01-27  Sylvain Beucler <beuc@beuc.net>

	* Makefile.am, doc/release.txt, src/Makefile.am, src/compress.c: Add
	a few files missing in tarballs

2009-01-27  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: make symlinks for the woe version during the
	release

2009-01-27  Sylvain Beucler <beuc@beuc.net>

	* doc/TODO: dmod.diz needs to be included in the .pot

2009-01-27  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/copyright, debian/watch: Sync Debian
	files

2009-01-20  Sylvain Beucler <beuc@beuc.net>

	* doc/release.txt: Add step-by-step instructions for new releases

2009-01-20  Sylvain Beucler <beuc@beuc.net>

	* ChangeLog, NEWS, configure.ac, freedink.spec, po/de.po, po/fr.po,
	po/nb.po: Release 1.08.20090120

2009-01-20  Sylvain Beucler <beuc@beuc.net>

	* autobuild/freedink-debs.sh, autobuild/freedink-exe.sh,
	autobuild/freedink-rpms.sh, autobuild/freedink-snapshot.sh: Include
	some scripts used to build snapshots and binary packages unattended

2009-01-10  Sylvain Beucler <beuc@beuc.net>

	* NEWS, configure.ac, freedink.spec, po/de.po, po/fr.po, po/nb.po: 
	Sync last release

2009-01-10  Sylvain Beucler <beuc@beuc.net>

	* : commit e6c54d824d104ed630ffbffce4b0d4d5392e8d7c Author: Sylvain
	Beucler <beuc@beuc.net> Date:   Sat Jan 10 15:56:26 2009 +0100

2009-01-10  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Return 0 (*preturnint = 0) when
	get_sprite_with_this_brain, get_rand_sprite_with_this_brain,
	get_next_sprite_with_this_brain and sp DinkC functions don't find
	any match.

2009-01-10  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Add a reminder for the sp_binding data
	structure

2009-01-09  Sylvain Beucler <beuc@beuc.net>

	* ChangeLog, NEWS, configure.ac, freedink.spec, po/de.po, po/fr.po,
	po/nb.po: Release 1.08.20090109

2008-12-28  Sylvain Beucler <beuc@beuc.net>

	* contrib/xtrans.sh: Support conditional dialogs when extracting
	existing translations

2008-12-17  Sylvain Beucler <beuc@beuc.net>

	* contrib/xpot-tag.pl: Don't tag empty strings for translation

2008-12-16  Sylvain Beucler <beuc@beuc.net>

	* contrib/xpot-tag.pl: Fix choice_start...choice_end parsing and
	print an error when the dialog structure isn't properly formatted

2008-12-12  Sylvain Beucler <beuc@beuc.net>

	* po/fr.po: Testing Pootle

2008-12-12  Sylvain Beucler <beuc@beuc.net>

	* contrib/xpot-tag.pl: Changed the temporary filename from tmp.c to
	tmp.tag, just in case a D-Mod has a tmp.c script

2008-12-12  Sylvain Beucler <beuc@beuc.net>

	* contrib/xpot-tag.pl: Changed the temporary filename from tmp.c to
	tmp.tag, just in case a D-Mod has a tmp.c script

2008-12-12  Sylvain Beucler <beuc@beuc.net>

	* autotools/.gitignore: recreated autotools/

2008-12-12  Sylvain Beucler <beuc@beuc.net>

	* po/LINGUAS, po/nb.po: Add Norwegian translation by Alexander
	Krivács Schrøder

2008-12-12  Sylvain Beucler <beuc@beuc.net>

	* src/init.c: Change locale dir from 'i18n' to 'l10n' which seems
	more logical

2008-12-12  Sylvain Beucler <beuc@beuc.net>

	* contrib/xpot-tag.pl, contrib/xpot.sh, contrib/xtrans.sh,
	src/dinkc.c, src/dinkc_bindings.c: Reimplement strings tagger in
	Perl (rather than bash+sed); some clarifications

2008-12-08  Sylvain Beucler <beuc@beuc.net>

	* NEWS, configure.ac, contrib/xpot.sh, contrib/xtrans.sh,
	freedink.spec, po/de.po, po/fr.po: Find a work-around to support 2
	PO domains in the .spec file

2008-12-07  Sylvain Beucler <beuc@beuc.net>

	* NEWS, gnulib/m4/.gitignore: Update NEWS

2008-12-07  Sylvain Beucler <beuc@beuc.net>

	* bootstrap, gnulib/lib/.gitignore, gnulib/m4/.gitignore,
	gnulib/m4/gnulib-cache.m4, src/gfx.c: Remove 'putenv' gnulib module
	- issues with mingw (reported at bug-gnulib@gnu.org)

2008-12-07  Sylvain Beucler <beuc@beuc.net>

	* doc/SDL_gfx-patches/scaling-2.diff,
	doc/SDL_gfx-patches/scaling.diff, test/sdl/.gitignore,
	test/sdl/sdlgfx_resize.c: Add some work on fixing a SDL_gfx bug that
	shows in FreeDinkedit

2008-12-07  Sylvain Beucler <beuc@beuc.net>

	* acsite.m4, configure.ac, doc/binreloc.txt: Rename AM_BINRELOC to
	AP_BINRELOC to avoid aclocal warning

2008-12-07  Sylvain Beucler <beuc@beuc.net>

	* BUILD, Makefile.am, configure.ac, freedink.spec,
	gnulib/lib/.gitignore, gnulib/m4/.gitignore,
	gnulib/m4/gnulib-cache.m4, src/bgm.c, src/gfx.c, src/i18n.c,
	src/str_util.c: Build fixes

2008-12-07  Sylvain Beucler <beuc@beuc.net>

	* bootstrap, contrib/xpot.sh, contrib/xtrans.sh, doc/TODO,
	po/de.po, po/fr.po, src/dinkc_bindings.c, src/i18n.c: More
	translation fixes

2008-12-07  Sylvain Beucler <beuc@beuc.net>

	* contrib/xpot.sh, contrib/xtrans.sh: Extract translatable strings
	(xpot.sh) and existing translations (xtrans.sh) from a D-Mod: draft
	versions

2008-12-07  Sylvain Beucler <beuc@beuc.net>

	* .gitignore, Makefile.am, configure.ac, gnulib/m4/gnulib-cache.m4,
	po/.gitignore, po/de.po, po/fr.po, src/.gitignore, src/Makefile.am,
	src/dinkc_bindings.c, src/dinkvar.c, src/dinkvar.h,
	src/gfx_fonts.c, src/i18n.c, src/i18n.h, src/init.c, src/paths.c,
	src/paths.h, src/str_util.c, src/str_util.h: DinkC translation
	support; UTF-8 display support

2008-12-06  Sylvain Beucler <beuc@beuc.net>

	* doc/TODO, po/POTFILES.in, po/de.po, po/fr.po, src/dinkc.c,
	src/freedink.c, src/game_engine.h: Migrate German translations from
	#ifdef's to 'de.po'

2008-12-06  Sylvain Beucler <beuc@beuc.net>

	* debian/BUILD: Explain why not replace our gnulib with Debian's

2008-12-06  Sylvain Beucler <beuc@beuc.net>

	* .gitignore, Makefile.am, bootstrap, configure.ac,
	gnulib/lib/.gitignore, gnulib/m4/.gitignore,
	gnulib/m4/gnulib-cache.m4, gnulib/po/.gitignore, po/.gitignore,
	po/ChangeLog, po/LINGUAS, po/Makevars, po/POTFILES.in, po/de.po,
	po/fr.po, src/Makefile.am, src/freedink.c, src/init.c: Add gettext
	to the build system

2008-12-05  Sylvain Beucler <beuc@beuc.net>

	* BUILD, doc/cross.txt, src/dinkc_bindings.c: Doc fixes

2008-11-30  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Clarify process_line, and avoid permanent
	parameters warnings when trying to run a possible custom procedure

2008-11-30  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Convert all remaining bindings - yay!

2008-11-30  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Convert 9 more bindings

2008-11-30  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Convert 8 more bindings

2008-11-30  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Convert editor_ bindings

2008-11-30  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Convert all remaining v1.08 bindings

2008-11-30  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Convert 18 more bindings

2008-11-30  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, doc/cross.txt, gnulib/lib/.gitignore,
	gnulib/m4/.gitignore, gnulib/m4/gnulib-cache.m4,
	src/dinkc_bindings.c: update gnulib, cross.txt instructions
	(SDL_image and libpng), and fix alloca usage

2008-11-30  Sylvain Beucler <beuc@beuc.net>

	* BUILD, configure.ac, debian/control, doc/cross.txt,
	freedink.spec,
	gentoo/games-rpg/freedink-engine/freedink-engine-1.08.20080920.ebui
	ld, src/Makefile.am: Add libffi dependency to the build systems

2008-11-29  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c, src/dinkc.h: get_word: rewrite for efficiency
	(mainly: don't call strchar)

2008-11-29  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c: Avoid another quadratic strchar usage
	(read_next_line)

2008-11-29  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c, src/str_util.c: Slightly optimize .c and .d loading
	(avoid quadratic strchar usage)

2008-11-29  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Convert 21 v1.08-only functions

2008-11-29  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Reorder functions (take ev[2] processing
	order into account) + really fix case-insensitive lookup + convert
	bindings that don't have parameters

2008-11-29  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: sp_editor_num, sp_kill_wait, sp_script
	(different than other sp_*) functions

2008-11-29  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: sp_base_die + its sp_base_death alias

2008-11-29  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c, src/dinkvar.c: Convert similar sp_* bindings
	(using some Perl text manipulation)

2008-11-29  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c, src/dinkvar.c: More bindings + group sp_*
	functions together

2008-11-29  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: More bindings + lookup case-insensitively

2008-11-29  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: More bindings conversion. 'returnint' is now
	an in/out parameter.

2008-11-29  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c, src/dinkvar.c, src/dinkvar.h: Convert a
	first batch of functions to the new binding system

2008-11-29  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/dinkc.c, src/dinkc.h, src/dinkc_bindings.c,
	src/dinkc_bindings.h, src/init.c: libffi-based system to declare,
	lookup and call DinkC bindings

2008-11-28  Sylvain Beucler <beuc@beuc.net>

	* doc/HACKING_dinkc.txt, src/dinkc.c, src/dinkc_bindings.c,
	src/dinkc_bindings.h: Clarify DinkC parser + documentation

2008-11-27  Sylvain Beucler <beuc@beuc.net>

	* doc/HACKING_dinkc.txt, doc/cleanup.txt, doc/v1.08.txt,
	src/dinkc.c, src/dinkc_bindings.c, src/dinkvar.c, src/str_util.c: 
	More DinkC parser documentation/study

2008-11-26  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Fix crash when sp_editor_num(1000) - bug
	report by Andreas Berg

2008-11-25  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: kill_game: exit more cleanly (reported by
	Andreas Berg)

2008-11-22  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Fix crash when freeze(1000) - bug report by
	Andreas Berg

2008-11-18  Sylvain Beucler <beuc@beuc.net>

	* doc/hardware_surfaces.txt, src/gfx.c: Precisions about hardware
	surfaces

2008-11-17  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/dinkvar.h: Clarify sprite placement some more

2008-11-15  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c: Clarify the placement of resized sprites a little
	bit

2008-11-15  Sylvain Beucler <beuc@beuc.net>

	* test/sdl/videoinfo.c: Add test for 24bit mode

2008-11-08  Sylvain Beucler <beuc@beuc.net>

	* doc/game_libraries.txt, doc/hardware_surfaces.txt: Precision on
	hardware 2D surfacse

2008-10-10  Sylvain Beucler <beuc@beuc.net>

	* share/Makefile.am: Don't install .desktop files in share/ subdirs
	(such as share/games)

2008-10-09  Sylvain Beucler <beuc@beuc.net>

	* doc/fade.txt: More info on fades: fade_up() time

2008-10-06  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/copyright, debian/rules, debian/watch: 
	Sync nitpicking from pkg-games

2008-10-06  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: Update spec file

2008-10-06  Sylvain Beucler <beuc@beuc.net>

	* debian/copyright, src/freedink_xpm.c: Some licensing clarification

2008-10-05  Sylvain Beucler <beuc@beuc.net>

	* doc/fade.txt: Add doc about fade_down() time

2008-10-05  Sylvain Beucler <beuc@beuc.net>

	* BUILD: Build instructions for ArchLinux

2008-09-24  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: .spec fixes

2008-09-23  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: freedink.spec: remove attempt at proper BuildArch
	support + fix typos

2008-09-23  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, freedink.spec: .spec fixes (clarify help2man dev
	dep, s/fedora_version/fedora/, meta package depends on same version
	of freedink-engine

2008-09-22  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: Some fixes in the spec file

2008-09-22  Sylvain Beucler <beuc@beuc.net>

	* : Add alternate icon, temporarily used for Fedora packaging

2008-09-20  Sylvain Beucler <beuc@beuc.net>

	* gentoo/games-rpg/freedink/{freedink-1.08.20080914.ebuild =>
	freedink-1.08.20080920.ebuild}: Also rename Gentoo meta-package

2008-09-20  Sylvain Beucler <beuc@beuc.net>

	* NEWS, configure.ac, debian/changelog, freedink.spec,
	gentoo/games-rpg/freedink-engine/{freedink-engine-1.08.20080914.ebu
	ild => freedink-engine-1.08.20080920.ebuild}: Release

2008-09-20  Sylvain Beucler <beuc@beuc.net>

	* dev-cpp/.gitignore, dev-cpp/Makefile.win, dev-cpp/freedink.dev,
	dev-cpp/freedink_private.h, dev-cpp/freedink_private.rc,
	dev-cpp/freedinkedit.dev, dev-cpp/freedinkedit_private.h,
	dev-cpp/freedinkedit_private.rc, dev-cpp/readme.txt: Remove obsolete
	dev-cpp project files

2008-09-20  Sylvain Beucler <beuc@beuc.net>

	*
	gentoo/games-rpg/freedink-engine/freedink-engine-1.08.20080914.ebui
	ld, gentoo/games-rpg/freedink-engine/metadata.xml,
	gentoo/games-rpg/freedink/freedink-1.08.20080914.ebuild,
	gentoo/games-rpg/freedink/metadata.xml: Gentoo ebuilds

2008-09-20  Sylvain Beucler <beuc@beuc.net>

	* debian/BUILD, debian/control: Fix one-line description for
	'freedink' meta-package

2008-09-16  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: Fix opensuse build

2008-09-16  Sylvain Beucler <beuc@beuc.net>

	* BUILD: Precise Gentoo compilation

2008-09-15  Sylvain Beucler <beuc@beuc.net>

	* test/fontconfig.c: Add fontconfig standalone test (previously
	forgot to include it)

2008-09-15  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Validate DinkC sp_speed() parameter (in
	particular, don't crash if sprite==1000)

2008-09-14  Sylvain Beucler <beuc@beuc.net>

	* configure.ac: Explicitely call PKG_PROG_PKG_CONFIG since we're
	calling PKG_CHECK_MODULES conditionaly

2008-09-14  Sylvain Beucler <beuc@beuc.net>

	* debian/control: Mention Debian Games Team in debian/control

2008-09-14  Sylvain Beucler <beuc@beuc.net>

	* debian/copyright: Mention fonts in debian/copyright

2008-09-14  Sylvain Beucler <beuc@beuc.net>

	* BUILD, NEWS, configure.ac, debian/control, doc/fonts.txt,
	freedink.spec, src/gfx_fonts.c: Implement system font search for
	GNU/Linux

2008-09-14  Sylvain Beucler <beuc@beuc.net>

	* src/bgm.c: Remove debug trace

2008-09-06  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS: Precise zzlib-based files in AUTHORS

2008-09-06  Sylvain Beucler <beuc@beuc.net>

	* gnulib/lib/.gitignore, gnulib/m4/.gitignore: gnulib update

2008-09-06  Sylvain Beucler <beuc@beuc.net>

	* src/paths.c: Also search savegames case-insensitively in ~/.dink
	(in case the player copied existing savegames there)

2008-09-06  Sylvain Beucler <beuc@beuc.net>

	* src/bgm.c: Also look for .ogg before .mid when music is played
	through DinkC playmidi()

2008-09-05  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, debian/copyright, src/SDL_rwops_libzip.c,
	src/SDL_rwops_zzip.c: Mention zzip sample code in copyright files
	(asked by Debian)

2008-09-05  Sylvain Beucler <beuc@beuc.net>

	* NEWS, src/bgm.c: Ogg vorbis support, to play free sound
	replacements

2008-09-05  Sylvain Beucler <beuc@beuc.net>

	* debian/control, debian/menu, debian/rules, freedink.spec: New
	package naming scheme (freedink -> freedink-engine + freedink-dfarc)
	- Debian implementation; compile-time data prefix is now
	/usr/share/games per Debian Games Team recommendation

2008-09-04  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: New package naming scheme (freedink ->
	freedink-engine + freedink-dfarc) - RPM implementation

2008-09-04  Sylvain Beucler <beuc@beuc.net>

	* src/paths.c: Support datadir/games/dink path, and improve error
	messages related to --refdir

2008-08-31  Sylvain Beucler <beuc@beuc.net>

	* acsite.m4, doc/binreloc.txt: Add backported SVN fix to binreloc to
	properly detect paths in autoconf >= 2.60

2008-08-31  Sylvain Beucler <beuc@beuc.net>

	* src/sfx.c: Fix misleading error message about 'test.wav'

2008-08-31  Sylvain Beucler <beuc@beuc.net>

	* configure.ac: Fix typo in version number

2008-08-31  Sylvain Beucler <beuc@beuc.net>

	* share/README, share/freedink/Makefile.am, share/freedink/stop.aup: 
	Add replacements for Dinkedit sounds

2008-08-31  Sylvain Beucler <beuc@beuc.net>

	* doc/dinkini.txt: Not going to introduce COMPAT_DIRFF after all (no
	real advantage in repackaging graphics)

2008-08-30  Sylvain Beucler <beuc@beuc.net>

	* doc/dinkini.txt, src/dinkini.h, src/dinkvar.c, src/gfx_sprites.c,
	src/gfx_sprites.h: dink.in processing clean-up: more documentation
	and make code more readable

2008-08-30  Sylvain Beucler <beuc@beuc.net>

	* doc/dinkini.txt, src/dinkc_bindings.c, src/dinkvar.c,
	src/dinkvar.h, src/freedink.c, src/game_engine.h, src/gfx_utils.c: 
	dink.in processing clean-up: remove no-op starting_dinkx and
	starting_dink_y, document bug, remove extra unused parameter to
	pre_figure_out and figure_out

2008-08-30  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_sprites.c: gfx_sprite.c: indent fixes

2008-08-30  Sylvain Beucler <beuc@beuc.net>

	* NEWS, configure.ac, debian/changelog, freedink.spec: Switch back
	to snapshot releases

2008-08-30  Sylvain Beucler <beuc@beuc.net>

	* Makefile.am: Don't include any .gitignore file in releases

2008-08-30  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: Rename dfarc->freedink-dfarc and use ftp.gnu.org as
	official release location

2008-08-30  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/control, debian/watch: Debian packaging   * Reflect dfarc -> freedink-dfarc rename   * Watch official ftp.gnu.org release location   * Point Vcs-* to the Debian packaging rather than the development     repository

2008-08-30  Sylvain Beucler <beuc@beuc.net>

	* doc/dmod.txt: Fix typo in minimal dmod start.c

2008-08-30  Sylvain Beucler <beuc@beuc.net>

	* debian/copyright: Precise that the Debian packaging is GPL'd
	(suggestion by Ansgar Burchardt)

2008-08-28  Sylvain Beucler <beuc@beuc.net>

	* NEWS, configure.ac, debian/changelog, debian/watch, freedink.spec: 
	Release 1.08.20080828

2008-08-26  Sylvain Beucler <beuc@beuc.net>

	* src/init.c, src/msgbox.c, src/str_util.c: Properly pair remaining
	va_start/va_end

2008-08-26  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: Depend on timidity (+ doc/justification)

2008-08-26  Sylvain Beucler <beuc@beuc.net>

	* THANKS, freedink.spec: Add opensuse-specific .desktop files
	installation (patch by Stefan Dirsch)

2008-08-26  Sylvain Beucler <beuc@beuc.net>

	* src/fastfile.c, src/gfx_sprites.c: Fix fastfile.c so it reads
	dir.ff files portably (reported by Stefan Dirsch)

2008-08-26  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, debian/control, freedink.spec, src/io_util.c: Don't
	attempt to link zzlib or libzip when embedded resources are disabled

2008-08-26  Sylvain Beucler <beuc@beuc.net>

	* BUILD: Explicitely recommend to install pkg-config before
	compiling freedink, otherwise cryptic errors appears in ./configure

2008-08-26  Sylvain Beucler <beuc@beuc.net>

	* src/log.c, src/log.h: Reset va_list after using it (causes crash
	under amd64, reported by Stefan Dirsch)

2008-08-23  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: rpmlint

2008-08-23  Sylvain Beucler <beuc@beuc.net>

	* NEWS, debian/BUILD, doc/TODO, doc/changes.txt, doc/data.txt,
	doc/dfarc.txt, doc/existing_bugs.txt, doc/keycodes.txt,
	doc/troubleshootings.txt, doc/v1.08.txt: Properly document NEWS and
	otherwise clean-up doc

2008-08-23  Sylvain Beucler <beuc@beuc.net>

	* src/bgm.c: Revert mistaken changes related to CD support

2008-08-23  Sylvain Beucler <beuc@beuc.net>

	* debian/copyright: Precise earlier copyright in Debian packaging

2008-08-23  Sylvain Beucler <beuc@beuc.net>

	* freedink.spec: Update spec file

2008-08-23  Sylvain Beucler <beuc@beuc.net>

	* DEB, Makefile.am: Include specfile in tarballs and mention where
	to get debian/

2008-08-23  Sylvain Beucler <beuc@beuc.net>

	* BUILD, freedink.spec: Add specfile for Fedora

2008-08-23  Sylvain Beucler <beuc@beuc.net>

	* Makefile.am: Remove debian/ from tarballs to avoid trolls; add
	BUILD in tarballs (embarrasing oversight)

2008-08-21  Sylvain Beucler <beuc@beuc.net>

	* debian/control, src/gfx_fonts.c, src/io_util.c, src/paths.c,
	src/paths.h: Try to load resource from compile-time pkgdatadir, in
	case run-time prefix detection goes wrong (working version)

2008-08-21  Sylvain Beucler <beuc@beuc.net>

	* doc/directory_layout.txt, src/io_util.c: Try to load resource from
	compile-time pkgdatadir, in case run-time prefix detection goes
	wrong

2008-08-21  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, debian/rules: Remove commented dh_* that don't
	belong to the Debian package type (suggested by Miriam Ruiz) + don't
	try to embed resources

2008-08-19  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/control: zziplib->libzip in the Debian
	package: zziplib is available in 2 different versions depending on
	distros and prevents building a distro-neutral .deb

2008-08-19  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, README, debian/control, debian/docs: Clean-up
	descriptions and packaging; mention new game data package

2008-08-18  Sylvain Beucler <beuc@beuc.net>

	* doc/autopackage.txt: Note how to analyse ELF binary deps

2008-08-18  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Fix array-out-of-bounds in sp_kill and
	sp_kill_wait (unrelated)

2008-08-17  Sylvain Beucler <beuc@beuc.net>

	* doc/data.txt: Precisions after noticing credits.txt in the
	official game archive -_-'

2008-08-17  Sylvain Beucler <beuc@beuc.net>

	* autopackage/default.apspec.in: Mention the SDL_gfx library version
	ni Fedora 7 and Gentoo

2008-08-16  Sylvain Beucler <beuc@beuc.net>

	* autopackage/default.apspec.in: Fix SDL_ttf version in autopackage

2008-08-16  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Avoid array-out-of-bounds in
	compare_sprite_script (avoid checking sprite #1000, fixes crash in
	Dink Goes Hunting)

2008-08-16  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.c: Avoid array-out-of-bounds when checking adjacent
	screens presence

2008-08-16  Sylvain Beucler <beuc@beuc.net>

	* THANKS: Thank testers

2008-08-15  Sylvain Beucler <beuc@beuc.net>

	* autopackage/skeletons/@libsdl.org/sdl_ttf/skeleton.1: Fix typo in
	sdl_ttf autopackage skeleton

2008-08-15  Sylvain Beucler <beuc@beuc.net>

	* autopackage/Makefile.am, autopackage/default.apspec.in,
	autopackage/extract-package.sh,
	autopackage/skeletons/@libsdl.org/sdl_ttf/skeleton.1: Improve/update
	autopackage spec file

2008-08-15  Sylvain Beucler <beuc@beuc.net>

	* doc/static-build.txt: Mention Statifier for independent packages

2008-08-15  Sylvain Beucler <beuc@beuc.net>

	* doc/binreloc.txt, src/binreloc.c: Document the origin of binreloc
	some more

2008-08-14  Sylvain Beucler <beuc@beuc.net>

	* doc/cross.txt: Mention Vorbis cross-compilation bug report

2008-08-12  Sylvain Beucler <beuc@beuc.net>

	* doc/cross.txt: Use more common location for cross-compilation
	libraries

2008-08-12  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am: Another help2man fix

2008-08-12  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/str_util.c: Add rule to build libgnu.a from
	src/ (new version)

2008-08-12  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am: Add rule to build libgnu.a from src/

2008-08-12  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, debian/control, doc/cross.txt, src/Makefile.am: 
	configure.ac and help2man clean-up

2008-08-12  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am: Fix manpages/make dist/help2man presence/etc.
	combination

2008-08-11  Sylvain Beucler <beuc@beuc.net>

	* debian/control: Add help2man to buidl-depends

2008-08-11  Sylvain Beucler <beuc@beuc.net>

	* BUILD, configure.ac, debian/BUILD, debian/changelog,
	debian/control, debian/freedink.1, debian/manpages, debian/rules,
	src/Makefile.am, src/dink.6, src/dinkedit.6, src/init.c: Fix Debian
	lintian errors/warnings: separate -dbg, help2man manpages

2008-08-10  Sylvain Beucler <beuc@beuc.net>

	* share/README.fonts, src/gfx_fonts.c: Revert LiberationSans to
	original version - new one has some rendering quality issues

2008-08-10  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c: Fix array-out-of-bounds if the change_sprite_*
	procedures (in particular, beware that sprite may be #1000). This
	fixed a crash in Prelude.

2008-08-10  Sylvain Beucler <beuc@beuc.net>

	* debian/control: Recommend dfarc instead of dfarc2 (package rename)

2008-08-10  Sylvain Beucler <beuc@beuc.net>

	* share/freedink/Makefile.am: Remove editor sounds with unclear
	legal status (build system)

2008-08-10  Sylvain Beucler <beuc@beuc.net>

	* doc/TODO, share/README, src/Makefile.am: Remove editor sounds with
	unclear legal status

2008-08-10  Sylvain Beucler <beuc@beuc.net>

	* share/README.fonts: Update Liberation font to 1.04 (2008-07-13)

2008-08-10  Sylvain Beucler <beuc@beuc.net>

	* debian/rules: Include separate debugging info in Debian package -
	and make it work under Etch too

2008-08-10  Sylvain Beucler <beuc@beuc.net>

	* doc/cross.txt: Fixes in building cross-compilation environment

2008-08-09  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, doc/cross.txt: Cross-compilation: work on shared/dll
	support

2008-08-08  Sylvain Beucler <beuc@beuc.net>

	* debian/rules, doc/cross.txt: More cross-compilation instructions:
	zlib shared, libpng, libtiff. Still some issues.

2008-08-08  Sylvain Beucler <beuc@beuc.net>

	* debian/rules: Include separate debugging info in Debian package

2008-08-07  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.c: Note that full-screen toggle only works under X11
	(no woe support)

2008-08-07  Sylvain Beucler <beuc@beuc.net>

	* doc/cross.txt: More cross-compilation info / clean-up

2008-08-07  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.c: Explain 1.08 8bit-fade increment value

2008-08-07  Sylvain Beucler <beuc@beuc.net>

	* doc/cross.txt: Tested and fixed the cross-building instructions
	while recreating my build environment from scratch

2008-08-06  Sylvain Beucler <beuc@beuc.net>

	* Makefile.am: Add TROUBLESHOOTING to EXTRA_DIST

2008-08-05  Sylvain Beucler <beuc@beuc.net>

	* TROUBLESHOOTING, debian/docs: Mention sound issues and
	work-arounds; also add TROUBLESHOOTING in the Debian package

2008-08-05  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/freedink.c, src/freedinkedit.c: FreeDinkedit:
	properly apply palette to the physical screen

2008-08-05  Sylvain Beucler <beuc@beuc.net>

	* NEWS, configure.ac, debian/changelog: Bump version

2008-08-05  Sylvain Beucler <beuc@beuc.net>

	* src/init.c: Don't choke on -nomovie for compatiblity with DFArc2.0
	(incompatibility noticed by Sparrowhawk)

2008-08-04  Sylvain Beucler <beuc@beuc.net>

	* src/init.c: Fix crash when using debug mode - attempts to write in
	<dmod>/DEBUG.txt before paths_init()

2008-08-04  Sylvain Beucler <beuc@beuc.net>

	* doc/dmod.txt: Update minimal D-Mod so we can actually play (not
	just 'Hello World' :))

2008-08-03  Sylvain Beucler <beuc@beuc.net>

	* doc/changes.txt, doc/data.txt, src/freedinkedit.c, src/gfx.c: 
	Fixes and more documentation in FreeDinkedit's hardness mode

2008-08-03  Sylvain Beucler <beuc@beuc.net>

	* doc/changes.txt, src/dinkvar.c, src/freedinkedit.c, src/gfx.c,
	src/gfx_tiles.c: Fixes and more documentation in FreeDinkedit's
	hardness mode

2008-08-02  Sylvain Beucler <beuc@beuc.net>

	* debian/BUILD, debian/control: Make timidity a dependency in the
	Debian package to avoid SDL_mixer issues

2008-08-02  Sylvain Beucler <beuc@beuc.net>

	* doc/game_libraries.txt, test/sdl/.gitignore,
	test/sdl/sdl_stretch.c: Test SDL_stretch

2008-08-02  Sylvain Beucler <beuc@beuc.net>

	* doc/SDL_gfx-patches/asm_gcc4.3.diff,
	doc/SDL_gfx-patches/asm_win32_nomingw.diff,
	doc/SDL_gfx-patches/debian_020_gcc4.3.diff,
	doc/SDL_gfx-patches/libtool_crosscompile.diff,
	doc/SDL_gfx-patches/libtool_static.diff,
	doc/SDL_gfx-patches/series, doc/cross.txt: (cross-)Build instructions for new SDL_gfx 2.0.17

2008-08-02  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.c: Fix drawing current hardness tile
	(s/dst.y/dst.h/)

2008-08-01  Sylvain Beucler <beuc@beuc.net>

	* NEWS, doc/changes.txt, src/dinkvar.h, src/freedinkedit.c,
	src/gfx.c, src/sfx.c: Editor: fixed bugs introduced by
	layout-independant input, fixed known hardness-mode selector bug

2008-07-31  Sylvain Beucler <beuc@beuc.net>

	* debian/control: Fix syntax in debian/control

2008-07-31  Sylvain Beucler <beuc@beuc.net>

	* NEWS, README, configure.ac, debian/changelog, debian/control,
	debian/copyright: Fix description/copyright + bump version

2008-07-31  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt: Still need to do something wrt woe registry key

2008-07-31  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.c, src/game_engine.h, test/sdl/keycodes.c: Use
	keyboard-layout-independant input system for FreeDinkedit, allowing
	to use it with a non-English layout

2008-07-31  Sylvain Beucler <beuc@beuc.net>

	* src/input.c, src/input.h: Remove unused function 'keypressed'

2008-07-31  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/freedink.c, src/sfx.c, src/update_frame.c: 
	clean-up

2008-07-31  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_console.c, src/dinkc_console.h: Declare function
	'dinkc_console_process_key' in the module header

2008-07-31  Sylvain Beucler <beuc@beuc.net>

	* debian/control: Recommend 'dfarc2' in the Debian package

2008-07-31  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am: Use relative path for the 'dink' and 'dinkedit'
	symlinks (instead of absolute path to the build dir..)

2008-07-31  Sylvain Beucler <beuc@beuc.net>

	* TROUBLESHOOTING, src/dinkc_console.c, src/dinkc_console.h,
	src/dinkc_sp_custom.c, src/freedink.c, src/freedinkedit.c,
	src/game_engine.h, src/input.c, test/sdl/keycodes.c: Clean-up:
	FreeDinkedit keyboard state

2008-07-30  Sylvain Beucler <beuc@beuc.net>

	* README: Update README

2008-07-30  Sylvain Beucler <beuc@beuc.net>

	* doc/changes.txt, doc/v1.08.txt, doc/v1.08_dink.diff,
	doc/v1.08_dinkvar.diff, doc/v1.08_update_frame.diff,
	src/Makefile.am, src/dinkc.c, src/dinkc.h, src/dinkc_bindings.c,
	src/dinkc_console.c, src/dinkc_console.h, src/freedink.c,
	src/freedinkedit.c, src/gfx.c, src/gfx_fonts.c, src/gfx_fonts.h,
	src/init.c, src/input.c, src/update_frame.c: v1.08: DinkC
	show_console

2008-07-30  Sylvain Beucler <beuc@beuc.net>

	* doc/changes.txt: Document changes&fixes specific to FreeDink

2008-07-29  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/freedinkedit.c, src/gfx.c, src/gfx.h: Fix
	transparency issue with scaled sprites in truecolor mode

2008-07-29  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/freedink.c, src/freedinkedit.c, src/gfx.c,
	src/gfx.h: Ignore sprite transparency in a few cases, namely when
	drawing status and screenlock

2008-07-29  Sylvain Beucler <beuc@beuc.net>

	* NEWS, configure.ac, debian/changelog: Bump version

2008-07-29  Sylvain Beucler <beuc@beuc.net>

	* doc/data.txt: Suggest replacement for Roland's 'Ave Maria' midi

2008-07-28  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.c: Fix some overflow issues in up_cycle (fade_up)
	causing artifacts during a fadeup

2008-07-28  Sylvain Beucler <beuc@beuc.net>

	* src/game_engine.c, src/init.c: Clean-up version display

2008-07-25  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_fonts.c, src/gfx_fonts.h, src/update_frame.c: In debug
	mode, print a white background behind debug text

2008-07-25  Sylvain Beucler <beuc@beuc.net>

	* doc/midi.txt, doc/roadmap.txt: Doc fixes

2008-07-25  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt: Checked PJ's bug list

2008-07-25  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dink.diff, src/freedink.c: v1.08: new
	time-based paletted fadedown

2008-07-25  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dinkvar.diff, src/dinkc_bindings.c,
	src/dinkvar.c: v1.08: various clean-ups

2008-07-25  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dinkvar.diff, src/dinkc.c, src/dinkc.h,
	src/dinkc_bindings.c: v1.08: callback_kill()

2008-07-25  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dinkvar.diff, src/dinkc_bindings.c: 
	v1.08: set_dink_speed(0) is no-op

2008-07-24  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dinkvar.diff, src/dinkc_bindings.c: 
	v1.08: with v1.07 hurt(&sthing, -1) would run hit(), with v1.08 it
	doesn't

2008-07-24  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dinkvar.diff, src/dinkvar.c: v1.08:
	level-up no longer lost if in inventory screen, fixed another other
	experience count issue

2008-07-24  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dinkvar.diff, src/dinkvar.c: v1.08: fix
	crash when &magic_cost < 100

2008-07-24  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dinkvar.diff, src/dinkc_bindings.c,
	src/dinkvar.c, src/dinkvar.h: v1.08: add_exp will work with any
	active_sprite

2008-07-24  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dink.diff, doc/v1.08_dinkvar.diff,
	src/dinkc_bindings.c, src/freedink.c: v1.08: &missle_source is
	defined for all attacks, not just missiles.

2008-07-24  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dink.diff, doc/v1.08_dinkvar.diff: v1.08
	diffs clean-up: remove a couple non-changes

2008-07-23  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dink.diff, doc/v1.08_dinkvar.diff,
	src/dinkc.c, src/dinkvar.c, src/freedink.c: v1.08: sp_move_nohard()
	has effect all the time

2008-07-23  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dinkvar.diff, src/dinkc_bindings.c: 
	v1.08: screenlock() returns the current screenlock value if value is
	-1

2008-07-23  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dinkvar.diff, src/dinkc_bindings.c: 
	v1.08: compare_magic() works correctly

2008-07-22  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08_dink.diff, doc/v1.08_dinkvar.diff, src/freedink.c,
	src/game_engine.c: v1.08 diffs clean-up

2008-07-23  Sylvain Beucler <beuc@beuc.net>

	* src/init.c: Fix woe header issue

2008-07-20  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dinkvar.diff, src/Makefile.am,
	src/dinkc_bindings.c, src/{dinkc_sp_custom_hash.c =>
	dinkc_sp_custom.c}, src/{dinkc_sp_custom_hash.h =>
	dinkc_sp_custom.h}, src/dinkvar.c, src/game_engine.c,
	src/game_engine.h, src/init.c: DinkC sp_custom

2008-07-20  Sylvain Beucler <beuc@beuc.net>

	* gnulib/m4/gnulib-cache.m4, src/dinkc_sp_custom_hash.c,
	src/dinkc_sp_custom_hash.h: Add hashtable to be used by DinkC
	sp_custom support

2008-07-20  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dink.diff, src/freedink.c: Corpses appear
	as the same size as the living sprite.

2008-07-20  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dinkvar.diff, src/dinkc_bindings.c: DinkC
	sp_move_x and sp_move_y

2008-07-20  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, doc/v1.08.txt, doc/v1.08_dink.diff, src/freedink.c: 
	Enable new v1.08 button scripts (buttonX.c, dnotalk, dnomagic)

2008-07-19  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c, src/init.c: Init game structs before other inits, to
	avoid resetting data (e.g. play.button)

2008-07-19  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dink.diff, src/freedink.c: Fixed issue of
	a phantom keyboard key causing the Map to not be displayed.

2008-07-19  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_fade.c, test/sdl/fade.c: Fix fade in 15bits mode (SDL says
	bbp=16 instead of 15)

2008-07-18  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dink.diff, src/freedink.c: Fix map
	indicator when the current screen is on the last row of the map

2008-07-18  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dink.diff, src/freedink.c: More clean-up
	in v1.08 diffs

2008-07-18  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dink.diff, doc/v1.08_dinkvar.diff,
	doc/v1.08_update_frame.diff, src/dinkc_bindings.c, src/freedink.c,
	src/game_engine.c, src/game_engine.h, src/update_frame.c: DinkC
	set_dink_base_push(int dinkbasepush)

2008-07-18  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dinkvar.diff, src/dinkc_bindings.c: 
	Dink's map position appears correctly after warps. (2)

2008-07-18  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dink.diff, doc/v1.08_dinkvar.diff,
	src/dinkvar.c, src/dinkvar.h, src/freedink.c, src/game_engine.c,
	src/init.c, src/update_frame.c: Clean-up v1.08 diffs

2008-07-18  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dinkvar.diff, src/dinkc_bindings.c: DinkC
	var_used()

2008-07-18  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dinkvar.diff, src/dinkc_bindings.c: DinkC
	show_inventory()

2008-07-18  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS: Precise Dan's part.

2008-07-18  Sylvain Beucler <beuc@beuc.net>

	* doc/changes.txt, doc/existing_bugs.txt, src/gfx_sprites.c,
	src/gfx_sprites.h: Allow abusing sequences into loading than 50
	frames (backward compatibility)

2008-07-17  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dink.diff, doc/v1.08_dinkvar.diff,
	doc/v1.08_update_frame.diff, src/freedink.c: Dink's map position
	appears correctly after warps.

2008-07-17  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, src/bgm.c, src/bgm.h, src/dinkc_bindings.c: DinkC
	loopmidi()

2008-07-17  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.c: Improve warp semi-fade effect under truecolor mode

2008-07-17  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.c, src/gfx_fade.c, test/sdl/fade.c: Fix bad cache
	declaration; remove 15bit test

2008-07-17  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/dinkc_bindings.c, src/freedink.c,
	src/game_engine.c, src/game_engine.h, src/gfx.c, src/gfx.h,
	src/gfx_fade.c, src/gfx_fade.h, test/sdl/fade.c,
	test/sdl/videoinfo.c: Fadedown/fadeup in truecolor mode (integration
	in the engine)

2008-07-17  Sylvain Beucler <beuc@beuc.net>

	* test/sdl/fade.c: Fadedown/fadeup separate test: trying different
	approaches to efficiency (done)

2008-07-17  Sylvain Beucler <beuc@beuc.net>

	* test/sdl/fade.c: Fadedown/fadeup separate test: trying different
	approaches to efficiency

2008-07-17  Sylvain Beucler <beuc@beuc.net>

	* test/sdl/.gitignore, test/sdl/Makefile, test/sdl/videoinfo.c: 
	Fadedown/fadeup separate test: trying different approaches to
	efficiency

2008-07-16  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08_dinkvar.diff, src/dinkvar.c: Fix sprite lazy-loading; in
	some situations it only worked get_box ran fine on uninitialized
	sequence #0, which apparently only worked in v1.07 ;)

2008-07-16  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.c, src/update_frame.c: More performance tests with
	truecolor

2008-07-16  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c, src/freedink.c, src/gfx.c,
	src/gfx_sprites.c, src/update_frame.c: Truecolor fixes: memory leak,
	keep altering dir.ff bmps, prepare for different fade, have
	load_palette() also modify the reference palette, experiment with
	speed and memory usage

2008-07-16  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08_dink.diff, src/Makefile.am, src/dinkvar.c,
	src/dinkvar.h, src/freedink.c, src/freedink.h, src/game_engine.c,
	src/game_engine.h, src/gfx.c, src/gfx.h, src/update_frame.c: First
	attempt at truecolor fades, sadly incomplete because we have to
	support _not_ fading white pixels

2008-07-15  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08_update_frame.diff: Delete already merged changes from
	update_frame.cpp

2008-07-15  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08_update_frame.diff: Add diff for v1.08's update_frame.cpp

2008-07-15  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/freedink.c, src/freedinkedit.c,
	src/update_frame.c: More truecolor support (dinkedit, fill_screen)

2008-07-15  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dink.diff, doc/v1.08_dinkvar.diff,
	src/dinkc_bindings.c, src/dinkvar.c, src/freedink.c,
	src/freedinkedit.c, src/gfx.c, src/gfx.h, src/gfx_sprites.c,
	src/init.c, test/sdl/.gitignore, test/sdl/Makefile,
	test/sdl/videoinfo.c: Basic truecolor mode (lacks dinkedit,
	fadedown/fadeup, fill_screen)

2008-07-15  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.c, src/freedinkedit.c, src/gfx_sprites.c: s/&/&&/ in
	boolean tests, this can introduce bugs when operand are different
	than 0 and 1

2008-07-15  Sylvain Beucler <beuc@beuc.net>

	* NEWS, configure.ac, debian/changelog: Bump version

2008-07-15  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.c: Fix "erase all sprites" with alt+delete in the
	editor

2008-07-15  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/dinkvar.h, src/freedinkedit.c, src/gfx_utils.c: 
	Load alternate editor map.dat in a portable way

2008-07-15  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c, src/dinkvar.c: Load data (savegames, map.dat,
	dink.dat, hard.dat) in a portable way

2008-07-15  Sylvain Beucler <beuc@beuc.net>

	* contrib/dinkdat_inspect.c, src/dinkvar.c, src/dinkvar.h,
	src/game_engine.h, src/io_util.c, src/io_util.h: Save data
	(savegames, map.dat, dink.dat, hard.dat) in a portable way

2008-07-14  Sylvain Beucler <beuc@beuc.net>

	* contrib/dextract, doc/data.txt: Note that dextract/7-Zip misses
	some files when extracting dinksmallwood108.exe

2008-07-14  Sylvain Beucler <beuc@beuc.net>

	* contrib/dextract: Note that dextract/7-Zip misses some files when
	extracting dinksmallwood108.exe

2008-07-13  Sylvain Beucler <beuc@beuc.net>

	* TROUBLESHOOTING: Document issues with SDL + /dev/sequencer -
	timidity

2008-07-08  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dink.diff, src/freedink.c: Conditionally
	fix sp_flying

2008-07-08  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dink.diff, doc/v1.08_dinkvar.diff,
	src/dinkc_bindings.c, src/freedink.c, src/game_engine.c,
	src/game_engine.h: v1.08 DinkC functions: set_smooth_follow()

2008-07-07  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dinkvar.diff, src/dinkc_bindings.c,
	src/dinkvar.c: v1.08 DinkC functions: sp_clip_top, sp_clip_left,
	sp_clip_bottom, sp_clip_right

2008-07-07  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, src/dinkc_bindings.c: v1.08 DinkC functions:
	get_next_sprite_with_this_brain()

2008-07-07  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dink.diff, doc/v1.08_dinkvar.diff,
	src/dinkc_bindings.c, src/freedink.c, src/gfx_fonts.c,
	src/gfx_fonts.h: v1.08 DinkC functions: set_font_color()

2008-07-07  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dinkvar.diff, src/dinkc_bindings.c: v1.08
	DinkC functions: get_item(), get_magic(), load_map()

2008-07-07  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dinkvar.diff, src/dinkc_bindings.c: v1.08
	DinkC functions: clear_editor_info()

2008-07-07  Sylvain Beucler <beuc@beuc.net>

	* doc/TODO, doc/v1.08.txt, doc/v1.08_dinkvar.diff,
	src/dinkc_bindings.c, src/dinkvar.c, src/freedink.c,
	src/freedinkedit.c, src/gfx.c, src/gfx_tiles.c, src/gfx_tiles.h: 
	v1.08 DinkC functions: load_palette, load_tile, map_hard_tile,
	map_tile

2008-07-07  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dinkvar.diff, src/dinkc_bindings.c,
	src/dinkvar.c, src/game_engine.c, src/game_engine.h: 
	set_save_game_info() + prepare other savegame changes

2008-07-07  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dink.diff, src/dinkvar.c, src/freedink.c: 
	Fix which sprites blood to use when hit (attackee rather than
	attacker)

2008-07-07  Sylvain Beucler <beuc@beuc.net>

	* src/io_util.c: Fix crash (array out of bounds) when --game is a
	relative path

2008-07-06  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08_dink.diff: Remove merged code from v1.08_dink.diff

2008-07-04  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am: Don't try to include vgasys.fon in executables -
	it's already done via linking.

2008-07-04  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc_bindings.c: Clean-up in custom procedure launch + print
	appropriate debug info (instead of uninitialized string)

2008-07-04  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dinkvar.diff, src/dinkc_bindings.c,
	src/dinkvar.c, src/game_engine.h: sp_blood_seq and sp_blood_num

2008-07-04  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c, src/str_util.c: doc

2008-07-04  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt: Add infos on when v1.08 features were merged

2008-07-04  Sylvain Beucler <beuc@beuc.net>

	* doc/HACKING_dinkc.txt, doc/v1.08.txt, doc/v1.08_dinkvar.diff,
	src/dinkc.c, src/dinkc.h, src/dinkc_bindings.c, src/game_engine.h: 
	v1.08 DinkC syntax changes: variables (scope, prefix clash) and
	functions (globals, user parameters)

2008-07-01  Sylvain Beucler <beuc@beuc.net>

	* doc/HACKING_dinkc.txt, doc/v1.08.txt, doc/v1.08_dinkvar.diff,
	src/bgm.c, src/dinkc_bindings.c: Continue merging small v1.08
	changes and strip v1.08_dinkvar.diff accordingly

2008-06-30  Sylvain Beucler <beuc@beuc.net>

	* Makefile.am, gnulib/lib/.gitignore, gnulib/m4/.gitignore: Update
	Gnulib; include gnulib/m4/gnulib-cache.m4 in dist tarballs so users
	can update gnulib too

2008-06-29  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, doc/v1.08_dink.diff, doc/v1.08_dinkvar.diff,
	src/freedinkedit.c: Remove already merged code from the 1.08 diffs

2008-06-29  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08_dink.diff, doc/v1.08_dinkvar.diff: Remake v1.08 diff
	(commented some C++ constructs that confusd 'indent')

2008-06-26  Sylvain Beucler <beuc@beuc.net>

	* contrib/.gitignore, doc/v1.08_dink.diff, doc/v1.08_dinkvar.diff: 
	Add v1.07->v1.08 diffs; we'll trim them down as we merge (or reject)
	the changes

2008-06-26  Sylvain Beucler <beuc@beuc.net>

	* doc/HACKING_dinkc.txt: Add study of DinkC original implementation

2008-06-26  Sylvain Beucler <beuc@beuc.net>

	* src/dinkini.c, src/dinkini.h: Forgot to add new files dinkini.c
	and dinkini.h

2008-06-26  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c, src/dinkc.h, src/dinkvar.c, src/dinkvar.h: Move
	var_figure to dinkc.c

2008-06-26  Sylvain Beucler <beuc@beuc.net>

	* doc/cross.txt: Cross-build instructions for libffi

2008-06-25  Sylvain Beucler <beuc@beuc.net>

	* gnulib/m4/.gitignore, gnulib/m4/gnulib-cache.m4, src/Makefile.am,
	src/dinkc.c, src/dinkc.h, src/dinkc_bindings.c, src/dinkvar.c,
	src/str_util.c: gnulib update + clean-ups in DinkC-related functions

2008-06-24  Sylvain Beucler <beuc@beuc.net>

	* src/init.c: Fail if there are extra command line arguments

2008-06-24  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/dinkvar.c, src/init.c: The number of sprite
	information (idata) is now configurable at runtime: 600 in v1.07,
	1000 in v1.08

2008-06-24  Sylvain Beucler <beuc@beuc.net>

	* AUTHORS, doc/v1.08.txt, src/dinkc_bindings.c, src/dinkvar.c,
	src/str_util.c: Start introducing v1.08 new DinkC commands

2008-06-23  Sylvain Beucler <beuc@beuc.net>

	* README, doc/v1.08.txt, src/game_engine.c, src/game_engine.h,
	src/init.c, src/update_frame.c: Set v108 mode by default; add option
	to use v107 mode. Now we only need to actually implement v108 ;)

2008-06-22  Sylvain Beucler <beuc@beuc.net>

	* src/compress.c: Precise copyright notice for compress.c

2008-06-22  Sylvain Beucler <beuc@beuc.net>

	* doc/midi.txt: Update MIDI instructions

2008-06-22  Sylvain Beucler <beuc@beuc.net>

	* BUILD, contrib/dextract, doc/v1.08.txt: Doc fixes

2008-06-08  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, src/dinkc.c: Time for save game correctly displayed
	(2:05 instead of 2:5).

2008-06-08  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, src/dinkvar.c, src/gfx_tiles.c: The first tile on
	the fire and water tile pages animate correctly.

2008-06-08  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, src/dinkvar.c, src/dinkvar.h, src/freedink.c: Dink
	can no longer walk around the edges of the screen during a
	screenlock.

2008-06-08  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, src/dinkc_bindings.c: Removed screenlock on restart
	game

2008-06-08  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, src/dinkvar.c, src/dinkvar.h, src/freedink.c,
	src/update_frame.c: Scrolling now appears on 1-pixel rows and
	columns near status bar.

2008-06-02  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c: Fixed crash when ordering 99 (=max) sprites for
	display in screen load (place_sprites_game)

2008-06-01  Sylvain Beucler <beuc@beuc.net>

	* doc/TODO, src/dinkvar.c: Describe how the engine temporarily
	disable monsters

2008-06-01  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.c, src/gfx_utils.c: Fix crash with show_bmp() and
	non-paletted BMPs; make palette conversion code clearer along the
	way

2008-06-01  Sylvain Beucler <beuc@beuc.net>

	* src/dinkc.c, src/dinkc_bindings.c, src/str_util.c: Fixed 2
	crashes: temp 'crap' buffer too short (100 chars);
	compare_sprite_script: attemps to access a potential deleted script

2008-05-31  Sylvain Beucler <beuc@beuc.net>

	* doc/sound_resources.txt: Reference other games that provide freely
	licensed sounds

2008-05-31  Sylvain Beucler <beuc@beuc.net>

	* doc/roadmap.txt, src/gfx.c: Remove references to Doppelganger's
	disappearing slayer corpses in the context of background gfx's
	overwritten by tile animation - that effect was done differently
	(with a sprite floor)

2008-05-30  Sylvain Beucler <beuc@beuc.net>

	* doc/cross.txt: More guile cross-compile instructions

2008-05-30  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c: Fix crash in FreeDinkedit when a non-existent
	sequence is used ('introduced' when seq[x].ini became a pointer
	instead of a fixed-length string)

2008-05-26  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.c, src/gfx_sprites.c, src/update_frame.c: Blit surface to
	be RLE-encoded on Trick2 instead of Trick2, this messes the screen
	transition

2008-05-26  Sylvain Beucler <beuc@beuc.net>

	* doc/cross.txt: Add preliminary notes about cross-compiling Guile

2008-05-24  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/bgm.c, src/dinkc.c, src/dinkc.h,
	src/dinkc_bindings.c, src/dinkc_bindings.h, src/dinkvar.c,
	src/dinkvar.h, src/freedink.c, src/freedink.h, src/freedinkedit.c,
	src/game_engine.c, src/game_engine.h, src/gfx_sprites.h,
	src/gfx_tiles.c, src/init.c, src/init.h, src/input.c,
	src/io_util.h, src/paths.h, src/sfx.c, src/str_util.c,
	src/str_util.h, src/update_frame.c: Messy clean-up: extract
	DinkC-related functions from dinkvar.c

2008-05-23  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c: Add safety checks in the game .d decompression and
	fix a buffer overflow in stack[]

2008-05-23  Sylvain Beucler <beuc@beuc.net>

	* contrib/d2c.c: Clean-room stack-based BPE decompression

2008-05-23  Sylvain Beucler <beuc@beuc.net>

	* doc/hardcoded_sequences.txt, src/dinkvar.c: Properly fixed
	hard.dat reset

2008-05-22  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c: Fixed hard.dat reset in the editor (bug introduced
	with refdir support in load_hard)

2008-05-22  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, src/dinkvar.c: The 1-pixel row above the status bar
	now draws sprite graphics.

2008-05-22  Sylvain Beucler <beuc@beuc.net>

	* doc/changes.txt, src/gfx_sprites.c: Add Seth in gfx_sprites.c
	copyright holders (ahem)

2008-05-22  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_sprites.c: Fix copyright notice; remove reference to
	s_index (merged)

2008-05-22  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_sprites.c: Always close dir.ff files.

2008-05-22  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.c, src/gfx_sprites.c: Attempt at RLE encoding/compression

2008-05-22  Sylvain Beucler <beuc@beuc.net>

	* NEWS, configure.ac, debian/changelog: Bump version

2008-05-22  Sylvain Beucler <beuc@beuc.net>

	* doc/changes.txt, doc/v1.08.txt, src/dinkvar.h, src/gfx_sprites.c: 
	Clean sequence reload: no sequence overwriting, no memory leak

2008-05-21  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_sprites.c: Precise comment about palettes

2008-05-21  Sylvain Beucler <beuc@beuc.net>

	* doc/memory_usage.txt, doc/valgrind.txt: Tools for analyzing memory
	usage

2008-05-21  Sylvain Beucler <beuc@beuc.net>

	* doc/c_canonicalize.sh, doc/v1.08.txt: Minimize differences when
	comparing 1.07 and 1.08 using a canonical form for C source code

2008-05-21  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_sprites.c: Alter pure white and black colors when reading
	sprites from a dir.ff; this reproduces the original game behavior
	and prevent white pixels from appearing in the status bar during a
	fade_down()

2008-05-17  Sylvain Beucler <beuc@beuc.net>

	* doc/changes.txt, doc/existing_bugs.txt, src/dinkvar.c,
	src/dinkvar.h, src/gfx_sprites.c: Some clean-up in pre_figure_out,
	figure_out, make_idata, program_idata

2008-05-17  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_sprites.c, src/gfx_sprites.h: Rename org ->
	seq_path_prefix for clarity

2008-05-17  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_sprites.c: Remove cur_sprite -> next_slot for clarity

2008-05-17  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/dinkvar.h, src/gfx_sprites.c,
	src/gfx_sprites.h: Fix memory overwrite because of a too short
	'data' field in struct sequence; replaced by malloc'd string

2008-05-17  Sylvain Beucler <beuc@beuc.net>

	* contrib/.gitignore, src/dinkvar.c, src/gfx_sprites.c,
	src/gfx_sprites.h: Clean-up load_sprite_pak + add safety checks to
	avoid sprites with a too much greater index

2008-05-17  Sylvain Beucler <beuc@beuc.net>

	* doc/hardcoded_sequences.txt: Start referencing sequences numbers
	that are hardcoded in the game engine

2008-05-17  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.h, src/gfx_sprites.c: Some clean-up in load_sprites
	and load_sprite_pak

2008-05-16  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/dinkvar.h, src/freedink.c, src/gfx_sprites.c,
	src/update_frame.c: Merge s_index and seq structures, they both
	describe graphic sequences and are identically indexed

2008-05-16  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.h, src/gfx_sprites.c: Sequence-related comments;
	remove sprite_index.x and sprite_index.y (unused)

2008-05-15  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/gfx_sprites.c, src/gfx_sprites.h: Move
	load_sprite_pak and load_sprites: dinkvar.c->gfx_sprites.c

2008-05-15  Sylvain Beucler <beuc@beuc.net>

	* src/sfx.c: Ensured that cvt.buf wasn't realloc'd by SDL and could
	be free'd normally

2008-05-15  Sylvain Beucler <beuc@beuc.net>

	* THANKS, src/sfx.c: Fix sound memory leak found by José and add
	safety checks to avoid playing NULL sounds

2008-05-15  Sylvain Beucler <beuc@beuc.net>

	* doc/dmod.txt: Fix DinkC mistake in minimal D-Mod

2008-05-15  Sylvain Beucler <beuc@beuc.net>

	* contrib/.gitignore, contrib/d2c.c: Warn that d2c.c segfaulst and
	is to be reimplemented

2008-05-14  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c: Remove unused and pointless function 'refigure_out'

2008-05-14  Sylvain Beucler <beuc@beuc.net>

	* src/bgm.c: Fix small leak (pathname not freed) in PlayMidi

2008-05-14  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c: Fix memory lead in load_sprites; unlike
	load_sprite_pak, it didn't free the surface in the graphics slot it
	used.

2008-05-13  Sylvain Beucler <beuc@beuc.net>

	* doc/cross.txt: Improve cross-build instructions

2008-05-13  Sylvain Beucler <beuc@beuc.net>

	* NEWS, configure.ac, debian/changelog: Bump version (it's been a
	while)

2008-05-12  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/gfx.c, src/paths.c: - Close file pointers used by load_bmp_from_fp   (reported by José María Pavón Núñez)   Actually, close all RWops after image is loaded in
	  load_bmp_internal - Fix a small memory leak in paths_init

2008-05-08  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, debian/README, debian/README.Debian,
	debian/changelog, debian/control, debian/copyright, debian/menu,
	debian/rules: Fix a couple (Debian) packaging warnings.

2008-05-08  Sylvain Beucler <beuc@beuc.net>

	* doc/existing_bugs.txt, doc/v1.08.txt, src/freedink.c: More v1.08
	analysis

2008-05-08  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt, src/freedinkedit.c: Apply 1.08 editor grammar fixes

2008-05-04  Sylvain Beucler <beuc@beuc.net>

	* doc/existing_bugs.txt, src/dinkvar.c: Add v1.07/v1.08 bug reported
	by Someone

2008-05-01  Sylvain Beucler <beuc@beuc.net>

	* src/freedinkedit.c, src/io_util.c: No error return code when
	exiting FreeDinkedit from the window manager; doc fixes

2008-03-15  Sylvain Beucler <beuc@beuc.net>

	* debian/BUILD, debian/control, debian/rules: Improve Debian
	packaging: explain dpkg-shlibdeps warnings; add homepage,
	vcs-browser and vcs-git control fields; rename the tmp build
	directory from 'build' to 'build.tmp', to avoid case-insensitive
	clash with 'BUILD', which prevents FreeDink from finding resources.

2008-03-09  Sylvain Beucler <beuc@beuc.net>

	* doc/changes.txt, doc/v1.08.txt, src/dinkvar.c: Disable playavi()
	DinkC command

2008-03-09  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, src/Makefile.am: Overwrite 'dink' and 'freedink'
	symlinks if already exist

2008-03-08  Sylvain Beucler <beuc@beuc.net>

	* src/bgm.c, src/dinkvar.c, src/freedinkedit.c, src/gfx.c,
	src/gfx.h, src/gfx_fonts.c, src/gfx_tiles.c, src/gfx_utils.c,
	src/init.c, src/io_util.c, src/log.c, src/paths.c, src/paths.h,
	src/sfx.c: Simplify case-insensitiveness (fopen wrapper rathan than
	path wrapper)

2008-03-08  Sylvain Beucler <beuc@beuc.net>

	* src/bgm.c, src/dinkvar.c, src/dinkvar.h, src/freedinkedit.c,
	src/gfx.c, src/gfx_utils.c, src/io_util.c, src/io_util.h,
	src/sfx.c, src/update_frame.c: Make it clearer that ciconvert works
	in-place

2008-03-08  Sylvain Beucler <beuc@beuc.net>

	* doc/TODO: Remove FreeDinkedit fixed bug from TODO

2008-03-08  Sylvain Beucler <beuc@beuc.net>

	* doc/changes.txt: Add basic fullscreen<->window toggle

2008-03-08  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.c, src/freedinkedit.c, src/gfx.c, src/init.c: Add
	basic fullscreen<->window toggle

2008-03-08  Sylvain Beucler <beuc@beuc.net>

	* doc/changes.txt, doc/cross.txt, src/dinkvar.h,
	src/freedinkedit.c, src/input.c, test/sdl/.gitignore,
	test/sdl/keycodes.c: Improve non-US support and input dialogs in the
	editor

2008-02-24  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt: Add a link to a v1.08 bugs list (thanks to Phoenix
	for the link)

2008-02-24  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am: Remove references to now-unused stamp files

2008-02-24  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.h: Identify data structures

2008-02-15  Sylvain Beucler <beuc@beuc.net>

	* test/sdl/Makefile, test/sdl/keycodes.c: Add test for SDL keycodes

2008-02-15  Sylvain Beucler <beuc@beuc.net>

	* doc/keycodes.txt: Fix mistake in test results

2008-02-02  Sylvain Beucler <beuc@beuc.net>

	* share/README, share/freedink/Makefile.am, src/Makefile.am,
	src/freedink_xpm.c, src/freedink_xpm.h, src/gfx.c, src/gfx_fonts.c,
	src/init.c, src/init.h, src/media/README, {share/freedink =>
	src/media}/system.sfd, src/msgbox.c, src/paths.c, src/str_util.c,
	src/str_util.h, src/vgasys_fon.h, src/woeres.rc.in: Finish error
	handling for graphics initialization + move non-installed media out
	of share/

2008-02-02  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.c, src/gfx.h, src/gfx_fonts.c, src/gfx_fonts.h,
	src/gfx_utils.c, src/init.c, src/init.h, src/msgbox.c, src/paths.c,
	src/vgasys_fon.c, src/vgasys_fon.h: More on initialization error
	handling

2008-02-02  Sylvain Beucler <beuc@beuc.net>

	* share/README.fonts, src/Makefile.am, src/gfx.c, src/gfx_fonts.h,
	src/init.c, src/msgbox.c, src/msgbox.h, src/paths.c,
	src/vgasys_fon.c: Start implementing message box functions

2008-02-02  Sylvain Beucler <beuc@beuc.net>

	* doc/gettext.txt, gnulib/lib/.gitignore, gnulib/m4/.gitignore,
	gnulib/m4/gnulib-cache.m4, src/log.c, src/paths.c: Import asprintf,
	to build string that could be passed to GUI message boxes.

2008-02-01  Sylvain Beucler <beuc@beuc.net>

	* configure.ac: Change bug report e-mail
	(beuc@beuc.net->bug-freedink@gnu.org)

2008-01-27  Sylvain Beucler <beuc@beuc.net>

	* doc/sdl_existing_window.txt: Confirm migration of the SDL_WINDOWID
	doc to the wiki

2008-01-27  Sylvain Beucler <beuc@beuc.net>

	* doc/dfarc.txt: Move dfarc documentation to DFArc2 repository

2008-01-20  Sylvain Beucler <beuc@beuc.net>

	* BUILD, configure.ac, debian/control, doc/data.txt: FreeBSD build
	instructions

2008-01-19  Sylvain Beucler <beuc@beuc.net>

	* Makefile.am, configure.ac, doc/cross.txt, src/Makefile.am: Build
	system fixes

2008-01-19  Sylvain Beucler <beuc@beuc.net>

	* bootstrap: Add copyright notice to 'bootstrap'

2008-01-19  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am: Add 'dink' and 'dinkedit' aliases, to please
	3rd-party tools

2008-01-16  Sylvain Beucler <beuc@beuc.net>

	* {utils => contrib}/bmpinspect.c, {utils =>
	contrib}/bmpinvertpalette.c, {utils => contrib}/d2c.c,
	contrib/dextract, {utils => contrib}/dinkdat_inspect.c, {utils =>
	contrib}/ffinspect.c, {utils => contrib}/ffrextract.c, doc/data.txt: 
	Add script to extract game data from the official .exe package

2008-01-13  Sylvain Beucler <beuc@beuc.net>

	* doc/directory_layout.txt, src/init.c, src/paths.c, src/paths.h: 
	Moved non-FreeDink-specific paths from .../freedink/ to .../dink/

2008-01-13  Sylvain Beucler <beuc@beuc.net>

	* doc/dfarc.txt: Precisions about DFArc and DFArc2

2008-01-11  Sylvain Beucler <beuc@beuc.net>

	* utils/dinkdat_inspect.c: typo

2008-01-11  Sylvain Beucler <beuc@beuc.net>

	* utils/dinkdat_inspect.c: More doc on dink.dat

2008-01-11  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/dinkvar.h: doc

2008-01-11  Sylvain Beucler <beuc@beuc.net>

	* src/SDL_rwops_zzip.c, src/bgm.c, src/gfx.c, src/log.c: Reorder
	#include's -
	http://lists.gnu.org/archive/html/bug-gnulib/2008-01/msg00133.html

2008-01-11  Sylvain Beucler <beuc@beuc.net>

	* doc/data.txt: hard.dat is a prerequisite for tiles

2008-01-11  Sylvain Beucler <beuc@beuc.net>

	* src/paths.c: Don't try to free static string

2008-01-07  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/dinkvar.h, src/freedink.c, src/freedink.h: 
	Start implementing a early error message box

2008-01-07  Sylvain Beucler <beuc@beuc.net>

	* src/init.c, src/input.c: Move keyboard initialization code to
	input.c

2008-01-07  Sylvain Beucler <beuc@beuc.net>

	* src/bgm.c, src/bgm.h: Music clean-up

2008-01-07  Sylvain Beucler <beuc@beuc.net>

	* doc/sdl_existing_window.txt: More on integrating SDL in an
	existing GUI

2008-01-02  Sylvain Beucler <beuc@beuc.net>

	* doc/data.txt: More info on original data copyright

2008-01-02  Sylvain Beucler <beuc@beuc.net>

	* THANKS, src/paths.c: More fixes in paths detection (thanks again
	Alex\!)

2007-12-30  Sylvain Beucler <beuc@beuc.net>

	* Makefile.am: Simplify outrageously complex dos2unix-like sed
	script

2007-12-29  Sylvain Beucler <beuc@beuc.net>

	* configure.ac: Check SDL_ttf >= 2.0.9 in ./configure

2007-12-29  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_fonts.c: Don't free the current font if initfont() failed
	to load a new one (thanks again for the report Alex!).

2007-12-29  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/paths.c: Fix a double-free error, and don't
	look in ./dink for a D-Mod unless that's explicitely specified with
	-game (thanks to Alex Schrøder for hitting the bug\!)

2007-12-29  Sylvain Beucler <beuc@beuc.net>

	* doc/sdl_existing_window.txt: More on using SDL along with a
	widgets set

2007-12-28  Sylvain Beucler <beuc@beuc.net>

	* doc/data.txt: Reference data from the original game commonly
	needed by D-Mods

2007-12-28  Sylvain Beucler <beuc@beuc.net>

	* utils/d2c.c, utils/ffinspect.c, utils/ffrextract.c: Fix
	ffrextract.c and support some broken dir.ff files

2007-12-28  Sylvain Beucler <beuc@beuc.net>

	* src/fastfile.c, utils/ffrextract.c: ffrextract.c cleanup; attempt
	to process command line arguments as well

2007-12-28  Sylvain Beucler <beuc@beuc.net>

	* doc/v1.08.txt: Found v1.08's changelog

2007-12-28  Sylvain Beucler <beuc@beuc.net>

	* gnulib/lib/.gitignore: Gnulib refresh

2007-12-26  sylvain <sylvain@sylvain.(none)>

	* src/dinkvar.c, src/paths.c, valgrind/suppressions-debian_etch.txt: 
	A couple more one-shot memory leaks fixed.

2007-12-24  sylvain <sylvain@sylvain.(none)>

	* src/Makefile.am, src/dinkvar.c, src/freedink.c,
	src/freedinkedit.c, src/gfx_sprites.c, src/gfx_sprites.h,
	src/gfx_tiles.c, src/gfx_tiles.h, src/init.c, src/io_util.c,
	valgrind/suppressions-debian_etch.txt: Free graphics from memory on
	shutdown (avoid noise when using Valgrind)

2007-12-24  Sylvain Beucler <beuc@beuc.net>

	* NEWS, configure.ac, debian/changelog, doc/cross.txt: version bump

2007-12-24  Sylvain Beucler <beuc@beuc.net>

	* doc/game_libraries.txt, src/sfx.c: Don't reallocate (and move)
	shared memory in the sound subsystem (fix crash)

2007-12-23  Sylvain Beucler <beuc@beuc.net>

	* doc/valgrind.txt, src/bgm.c, src/bgm.h, src/dinkvar.c,
	src/freedink.c, src/gfx_fonts.c, src/init.c, src/input.c,
	src/input.h, src/paths.c, src/paths.h, src/sfx.c, src/str_util.c,
	src/str_util.h, valgrind/suppressions-debian_testing.txt: Fix some
	Valgrind-detected memory leaks + cleaner engine shutdown

2007-12-23  Sylvain Beucler <beuc@beuc.net>

	* bootstrap: Check for pkg-config presence in bootstrap (needed by
	some autoconf tests)

2007-12-23  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, doc/cross.txt: Dependencies documentation

2007-12-23  Sylvain Beucler <beuc@beuc.net>

	* BUILD, configure.ac, doc/cross.txt, src/Makefile.am,
	src/SDL_rwops_libzip.c, src/SDL_rwops_libzip.h, src/io_util.c,
	test/sdl/SDL_rwops_libzip.c: Can use either libzip or zziplib to
	load resources

2007-12-23  Sylvain Beucler <beuc@beuc.net>

	* doc/cross.txt, test/sdl/Makefile, test/sdl/SDL_rwops_libzip.c,
	test/sdl/SDL_rwops_libzip.h, test/sdl/SDL_rwops_zzip.c,
	test/sdl/embedded_font.c, test/sdl/embedded_font2.c: New test: load
	font from resource using libzip instead of zziplib (libzip is more
	portable, a.k.a. does not crash under woe)

2007-12-23  Sylvain Beucler <beuc@beuc.net>

	* src/paths.c: dirname -> dir_name (doesn't modify argument)

2007-12-23  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, doc/cross.txt, gnulib/lib/.gitignore,
	gnulib/m4/.gitignore, src/Makefile.am, src/SDL_rwops_zzip.c,
	src/paths.c: More cross compilation fixes

2007-12-23  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, doc/cross.txt, gnulib/lib/.gitignore,
	gnulib/m4/.gitignore, gnulib/m4/gnulib-cache.m4,
	src/SDL_rwops_zzip.c, src/bgm.c, src/dinkvar.c, src/fastfile.c,
	src/freedink.c, src/freedinkedit.c, src/gfx_fonts.c,
	src/gfx_fonts.h, src/paths.c, src/update_frame.c: Cross compilation
	fixes

2007-12-22  Sylvain Beucler <beuc@beuc.net>

	* doc/directory_layout.txt, gnulib/lib/.gitignore,
	gnulib/m4/.gitignore, gnulib/m4/gnulib-cache.m4, src/dinkvar.c,
	src/dinkvar.h, src/freedink.c, src/freedinkedit.c, src/gfx_fonts.c,
	src/gfx_utils.c, src/io_util.c, src/log.c, src/paths.c,
	src/paths.h, test/woepaths.c: Save games in ~/.freedink//saveX.dat
	when there's no write access to the D-Mod; some search path fixes

2007-12-22  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/io_util.c, src/io_util.h: Fix dir.ff search
	path

2007-12-22  Sylvain Beucler <beuc@beuc.net>

	* src/bgm.c, src/dinkvar.c, src/freedink.c, src/freedinkedit.c,
	src/gfx_tiles.c, src/gfx_utils.c, src/init.c, src/io_util.c,
	src/paths.c, src/paths.h, src/sfx.c: Implement refdir-based search
	path (done)

2007-12-22  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am, src/bgm.c, src/dinkvar.c, src/dinkvar.h,
	src/freedink.c, src/freedinkedit.c, src/gfx_fonts.c,
	src/gfx_tiles.c, src/gfx_utils.c, src/gfx_utils.h, src/init.c,
	src/init.h, src/input.c, src/io_util.c, src/io_util.h, src/log.c,
	src/log.h, src/paths.c, src/paths.h, src/sfx.c, src/update_frame.c: 
	Implement refdir-based search path (WIP) + factored out some
	initialization code

2007-12-21  Sylvain Beucler <beuc@beuc.net>

	* gnulib/m4/.gitignore: gnulib update

2007-12-21  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.c, src/init.c, src/io_util.c, src/io_util.h: 
	Introduce --refdir to refer to the directory containing 'dink/' and
	dmods

2007-12-20  Sylvain Beucler <beuc@beuc.net>

	* doc/directory_layout.txt, src/io_util.c: Compute base directories
	locations (not tested)

2007-12-14  Sylvain Beucler <beuc@beuc.net>

	* doc/TODO, doc/directory_layout.txt, src/freedink.c,
	src/freedinkedit.c, src/init.c, src/sfx.c, src/sfx.h: Load editor
	sounds as resources

2007-12-12  Sylvain Beucler <beuc@beuc.net>

	* test/sdl/embedded_font.c: Test for embedded font: use the same
	font parameters as in the game

2007-12-09  Sylvain Beucler <beuc@beuc.net>

	* doc/directory_layout.txt, src/dinkvar.c, src/dinkvar.h,
	src/freedink.c, src/freedinkedit.c, src/gfx_fonts.c,
	src/gfx_fonts.h, src/update_frame.c: Support use of 2 different
	fonts (dialog and system). Better font encapsulation/clean-up.

2007-12-09  Sylvain Beucler <beuc@beuc.net>

	* autopackage/default.apspec.in, configure.ac, doc/autopackage.txt,
	doc/static-build.txt, src/Makefile.am: Reflexions on autopackage and
	static linking

2007-12-09  Sylvain Beucler <beuc@beuc.net>

	* debian/changelog, debian/rules: Bump version and ignore 'make
	clean' error more precisely (fix lintian warning)

2007-12-09  Sylvain Beucler <beuc@beuc.net>

	* BUILD, Makefile.am, autopackage/default.apspec.in, configure.ac,
	src/Makefile.am: zip and upx are done at 'make install' time now.
	Improve ./configure to display missing dependencies at once (instead
	of stopping on first error)

2007-12-09  Sylvain Beucler <beuc@beuc.net>

	* src/sfx.c: More clean-up in SFX

2007-12-09  Sylvain Beucler <beuc@beuc.net>

	* src/sfx.c: Make sure all sound buffer pointers are initially NULL

2007-12-09  Sylvain Beucler <beuc@beuc.net>

	* NEWS, configure.ac: Bump version

2007-12-09  Sylvain Beucler <beuc@beuc.net>

	* src/bgm.c, src/dinkvar.c, src/freedink.c, src/freedinkedit.c,
	src/sfx.c, src/sfx.h: Integrate sound sample rate support in the
	engine. Plus more code clean-up / encapsulation.

2007-12-08  Sylvain Beucler <beuc@beuc.net>

	* autotools/.gitignore, bootstrap: Don't remove
	autotools/link-warning.h on 'sh bootstrap clean', it would force to
	reimport Gnulib

2007-12-08  Sylvain Beucler <beuc@beuc.net>

	* bootstrap: Continue cleaning if make maintainer-clean fails

2007-12-08  Sylvain Beucler <beuc@beuc.net>

	* doc/gnulib.txt, gnulib/m4/gnulib-comp.m4: Refresh Gnulib -
	documentation

2007-12-08  Sylvain Beucler <beuc@beuc.net>

	* gnulib/m4/.gitignore, gnulib/m4/gnulib-comp.m4: Refresh Gnulib

2007-12-08  Sylvain Beucler <beuc@beuc.net>

	* doc/midi.txt: Separate MIDI-related documentation

2007-12-08  Sylvain Beucler <beuc@beuc.net>

	* src/dinkvar.c, src/dinkvar.h: A bit of indent/comments/deletion of
	extra spaces in dinkvar.c

2007-12-07  Sylvain Beucler <beuc@beuc.net>

	* src/sfx.c: Fix declaration for SetVolume and SetPan

2007-12-02  Sylvain Beucler <beuc@beuc.net>

	* README, doc/cvs.txt, doc/fonts.txt, doc/game_libraries.txt,
	doc/roadmap.txt, doc/sound.txt, doc/valgrind.txt,
	doc/woe-compile.txt: Doc updates

2007-11-27  Sylvain Beucler <beuc@beuc.net>

	* doc/sound.txt: Mixing audio libs = bad idea; mention SDL_sound v2

2007-11-27  Sylvain Beucler <beuc@beuc.net>

	* src/sfx.c: SetVolume/SetPan -> internal/static funcs

2007-11-27  Sylvain Beucler <beuc@beuc.net>

	* test/sdl/sdl_freq.c: Frequency / sample rate shift with a
	SDL_mixer channel effect

2007-11-27  Sylvain Beucler <beuc@beuc.net>

	* test/sdl/embedded_font.c: Copyright notice

2007-11-17  Sylvain Beucler <beuc@beuc.net>

	* doc/sound.txt, src/sfx.c: Sound: implement volume&panning

2007-11-15  Sylvain Beucler <beuc@beuc.net>

	* src/freedink.c, src/freedinkedit.c, src/gfx_fonts.c,
	src/gfx_fonts.h, src/update_frame.c: Fix title placement for text
	choices: remove font vertical alignement (never worked in the
	original game actually), take leading newlines into account.

2007-11-12  Sylvain Beucler <beuc@beuc.net>

	* doc/embed_resources.txt, doc/fonts.txt, doc/game_libraries.txt,
	share/README.fonts, share/freedink/Makefile.am,
	share/freedink/system.sfd, src/freedink.c, src/freedinkedit.c,
	src/gfx_fonts.c, src/gfx_fonts.h, src/update_frame.c,
	test/woefont.c: Improved font support in progress: include alternate
	font used by FreeDinkedit (not used in the code yet), fix bugs in
	text wrapping, fix bugs in dialog positioning (not finished), more
	documentation, minimal test for printing fonts like Dink does under
	Woe

2007-11-12  Sylvain Beucler <beuc@beuc.net>

	* doc/changes.txt: Document (fixed) issues with compressed BMPs

2007-11-12  Sylvain Beucler <beuc@beuc.net>

	* doc/hardware_surfaces.txt: Doc about enabling hardware surface -
	difficult for end user

2007-11-04  Sylvain Beucler <beuc@beuc.net>

	* BUILD: AC_LIB_PROG_LD issue promptly fixed in Gnulib, removing
	workaround

2007-11-04  Sylvain Beucler <beuc@beuc.net>

	* BUILD, doc/game_libraries.txt, doc/sound.txt: Doc updates: more on
	using TiMidity++ and about game libraries

2007-11-01  Sylvain Beucler <beuc@beuc.net>

	* BUILD, doc/cross.txt, doc/roadmap.txt: Docs update: build info for
	Fedora, warning about FreeType compilation, update roadmap with
	today's progresses

2007-11-01  Sylvain Beucler <beuc@beuc.net>

	* doc/dependencies.txt: Remove doc/dependencies.txt, replaced by
	BUILD

2007-11-01  Sylvain Beucler <beuc@beuc.net>

	* src/gfx_fonts.c: More efficient implementation of text coloring
	using the final screen palette.

2007-11-01  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.c, src/gfx_fonts.c: Fix text color during fade_down() and
	palette change - but it's terribly slow\!

2007-10-27  Sylvain Beucler <beuc@beuc.net>

	* doc/directory_layout.txt: Precise main objectives for search path

2007-10-27  Sylvain Beucler <beuc@beuc.net>

	* bootstrap, gnulib/lib/.gitignore: Auto-install gnulib if not
	present, and don't hard-code its PATH. Updated gnulib while I was
	there.

2007-10-27  Sylvain Beucler <beuc@beuc.net>

	* configure.ac: Add -lzzip to static libs

2007-10-27  Sylvain Beucler <beuc@beuc.net>

	* BUILD: Gentoo 'from scratch' build instructions. Don't use their
	gnulib package for now.

2007-10-26  Sylvain Beucler <beuc@beuc.net>

	* BUILD: More BUILD explanations

2007-10-26  Sylvain Beucler <beuc@beuc.net>

	* BUILD, NEWS, configure.ac, debian/control, src/.gitignore,
	src/Makefile.am: Add BUILD documentation, small build fixes, bump
	version

2007-10-24  Sylvain Beucler <beuc@beuc.net>

	* src/Makefile.am: Fix build system bug when using zip resources
	without upx compression

2007-10-22  Sylvain Beucler <beuc@beuc.net>

	* configure.ac, debian/control, doc/.gitignore,
	doc/directory_layout.txt, doc/gnulib.txt, doc/roadmap.txt,
	gnulib/lib/.gitignore, gnulib/lib/Makefile.am, gnulib/lib/dummy.c,
	gnulib/lib/getopt.c, gnulib/lib/getopt1.c, gnulib/lib/getopt_.h,
	gnulib/lib/getopt_int.h, gnulib/lib/gettext.h,
	gnulib/lib/unistd_.h, gnulib/m4/.gitignore, gnulib/m4/getopt.m4,
	gnulib/m4/gnulib-cache.m4, gnulib/m4/gnulib-common.m4,
	gnulib/m4/gnulib-comp.m4, gnulib/m4/gnulib-tool.m4,
	gnulib/m4/include_next.m4, gnulib/m4/onceonly_2_57.m4,
	gnulib/m4/unistd_h.m4, src/Makefile.am, src/SDL_rwops_zzip.c,
	src/SDL_rwops_zzip.h, src/bgm.c, src/dinkvar.c, src/fastfile.c,
	src/freedink.c, src/freedinkedit.c, src/gfx.c, src/gfx_fonts.c,
	src/gfx_fonts.h, src/gfx_utils.c, src/gfx_utils.h, src/init.c,
	src/input.c, src/io_util.c, src/io_util.h, src/sfx.c,
	test/sdl/Makefile: Support embedded resources and loading default
	font from them + clean-up

2007-10-21  Sylvain Beucler <beuc@beuc.net>

	* doc/cross.txt, test/sdl/embedded_font.c: More doc on zziplib

2007-10-21  Sylvain Beucler <beuc@beuc.net>

	* doc/embed_resources.txt, test/getmodulefilename.c,
	test/sdl/.gitignore, test/sdl/Makefile, test/sdl/SDL_rwops_zzip.c,
	test/sdl/SDL_rwops_zzip.h, test/sdl/embedded_font.c: Embed a zip of
	resources in the executable: test and doc

2007-10-20  Sylvain Beucler <beuc@beuc.net>

	* share/README: Explain how to extract WAVs from dinkedit.exe v1.06

2007-10-20  Sylvain Beucler <beuc@beuc.net>

	* src/gfx.c, src/gfx_utils.c, src/init.c: Replace SDL_LoadBMP by
	IMG_Load. This supports compressed BMPs used in some D-Mods.
	Curiously my dink.exe from 1.07 doesn't support those either - maybe
	it's just a matter of DX version.

2007-10-19  Sylvain Beucler <beuc@beuc.net>

